2008-09-18 16:03 +0000 [r8897]  robert:

	* Added Serializer wrappers

2008-09-18 15:50 +0000 [r8896]  robert:

	* Moved Serializer header from VPB into osgDB.

2008-09-18 15:44 +0000 [r8895]  robert:

	* Updated wrappers

2008-09-18 15:18 +0000 [r8892-8893]  robert:

	* refactored the getWindows(..) and getContexts(..) methods so that
	  they produce consistent ordering based on the order Camera/slave
	  camera ordering.

	* From Mathias Froehlich, "Attached one namespace/scope lookup
	  problem which shows up on irix."

2008-09-18 14:48 +0000 [r8891]  robert:

	* From Christopher Blaesius, "Soft shadow mapping is basically the
	  same as hard shadow mapping beside that it uses a different
	  fragment shader. So for me it makes sense that
	  osgShadow::SoftShadowMap is derived from osgShadow::ShadowMap,
	  this makes it easier to maintain the two classes. Additional
	  SoftShadowMap also provides the same Debug methods as ShadowMap."

2008-09-18 13:54 +0000 [r8889-8890]  robert:

	* Updated wrappers

	* From Alan Dickinson, change methods to virtual.

2008-09-18 13:18 +0000 [r8888]  robert:

	* From John Argentieri, added missing _stripTextureFilePath( false
	  ) initializer.

2008-09-18 13:09 +0000 [r8887]  robert:

	* From Chris Denham, added missing ccopy of polyOffset in copy
	  constructor

2008-09-18 13:05 +0000 [r8886]  robert:

	* From Chris Denham, " I think I may have discovered a bug in
	  osgShadow/ShadowMap.cpp that results in incomplete shadows being
	  generated. The problem seems to caused by an incorrect
	  interpretation of the spot light cutoff angle. The valid ranges
	  for spot cutoff are 0-90 and 180, i.e half the 'field of view'
	  for the spotlight. Whereas the shadow map code seems to assume
	  the the spot cutoff is equal to the field of view. This results
	  in the shadows generated by the spotlight getting clipped at half
	  the spot cutoff angle. I have fixed this in my copy of
	  ShadowMap.cpp: =============================== //Original code
	  from OSG 2.6: if(selectLight->getSpotCutoff() < 180.0f) //
	  spotlight, then we don't need the bounding box { osg::Vec3
	  position(lightpos.x(), lightpos.y(), lightpos.z()); float
	  spotAngle = selectLight->getSpotCutoff();
	  _camera->setProjectionMatrixAsPerspective(spotAngle, 1.0, 0.1,
	  1000.0);
	  _camera->setViewMatrixAsLookAt(position,position+lightDir,osg::Vec3(0.0f,1.0f,0.0f));
	  } =============================== // My modifications: float fov
	  = selectLight->getSpotCutoff() * 2; if(fov < 180.0f) //
	  spotlight, then we don't need the bounding box { osg::Vec3
	  position(lightpos.x(), lightpos.y(), lightpos.z());
	  _camera->setProjectionMatrixAsPerspective(fov, 1.0, 0.1, 1000.0);
	  _camera->setViewMatrixAsLookAt(position,position+lightDir,osg::Vec3(0.0f,1.0f,0.0f));
	  } This change seems correct for spot cutoff in the range 0, 90,
	  but since OpenGL doesn't claim to support cutoffs >90 && <180,
	  I'm not sure how shadow map should deal with those cases, but
	  ignoring spot cut off greater than 90 here seems reasonable to
	  me. "

2008-09-18 12:57 +0000 [r8885]  robert:

	* From Ralf Habacker, "the appended patch fixes the problem
	  reported on
	  http://lists.openscenegraph.org/pipermail/osg-users-openscenegraph.org/2008-January/006110.html.
	  " > Using QOSGWidget - QWidget + osgViewer creating the graphics
	  context. > > Windows Error #2000: [Screen #0]
	  GraphicsWindowWin32::setWindow() - Unable > to create OpenGL
	  rendering context. Reason: The pixel format is invalid. > > > >
	  And then the following fate error pops up: > > > > The
	  instruction at "0x014c7ef1" referenced memory at "0x000000a4",
	  The > memory could not be "read". > > Click on Ok to terminate
	  the program > > Click on CANCEL to debug the program > >

2008-09-18 12:50 +0000 [r8884]  robert:

	* From Robert Osfield and Christophe Loustaunau, fixes for support
	  for 16bit and 32bit tiff images

2008-09-18 10:52 +0000 [r8883]  robert:

	* From Mathias Froehlich, "I did some performance test runs with
	  the development gcc-4.4 version. To make it compiel with future
	  gcc's we sppear to need the attached missing includes ..."

2008-09-18 10:49 +0000 [r8882]  robert:

	* From Mathieu Marache, "This is an addition for osgSim
	  reader/writer for the osg ascii file format adding
	  osgSim::OverlayNode support. "

2008-09-18 10:39 +0000 [r8880-8881]  robert:

	* From Tim Moore, "his submission fixes a bug when the
	  ModularEmitter and ParticleSystem are in different frames of
	  reference. Specifically, it supports the case where the
	  ParticleSystem is not in the world frame. One way this can come
	  up is if your world coordinate system is Earth-centric; the float
	  coordinates of particles don't have enough precision to avoid
	  terrible jitter and other rendering artifacts, so it's convenient
	  to root the particle systems in a local Z-up coordinate system
	  that gets moved around from time to time. " Tweak from Robert
	  Osfield, converted code to use new Drawable::getWorldMatrices
	  method

	* Improved the constness of parameters the
	  Node::getWorldMatrices(..) method. Added
	  Drawable::getWorldMatrices(const Node*) method.

2008-09-17 20:02 +0000 [r8879]  robert:

	* From Rob Bloemkool, "This is a submission for
	  src/osgPlugins/ogr/ReaderWriterOGR.cpp - adds display of options
	  when using osgconv --formats. - adds useGroupPerFeature option to
	  have each feature in a separate group. Usage: OSG_OPTIMIZER=OFF
	  osgconv -e ogr -O addGroupPerFeature <infile> <outfile> "

2008-09-17 19:51 +0000 [r8878]  robert:

	* From Ewe Woessner, "I looked at the Anaglyphic stereo
	  implementation in SceneView.cpp and think I spotted some
	  copy-paste bugs. osg::ColorMask* leftColorMask =
	  _renderStageLeft->getColorMask(); if (!leftColorMask) {
	  leftColorMask = new osg::ColorMask();
	  _renderStageLeft->setColorMask(leftColorMask); ^^^^ here it said
	  right, I think this should be Left. } // ensure that right eye
	  color planes are active. osg::ColorMask* rightColorMask =
	  _renderStageRight->getColorMask(); ^^^^ similar here, I think
	  this should be right if (!rightColorMask) { rightColorMask = new
	  osg::ColorMask();
	  _renderStageRight->setColorMask(rightColorMask); } and i further
	  removed an unnecessary setColorMask."

2008-09-17 19:25 +0000 [r8877]  robert:

	* From Mattias Helsing, CMakeLists.txt changes: "I installed latest
	  Cmake(2.6.1) on a new machine and got a CMP008 warning from
	  cmake. This fix set up osg to use the old behaviour which have
	  worked before. We might set this to NEW but I need to do more
	  testing first. I'l be able to test this on winxp with msvc80/90
	  and ubuntu hardy with gcc-4.2. quote from cmake cvs log policy
	  CMP0008 to decides how to treat full path libraries that do not
	  appear to be valid library file names. Such libraries worked by
	  accident in the VS IDE and Xcode generators with CMake 2.4 and
	  below." OsgMarcroUtils.cmake changes: "On Philips suggestion
	  truncated a redundant if/else construction in OsgMacroUtils to
	  avoid developer warnings in cmake-2.6.1 concerning cmake policy
	  CMP0008 which allows full paths to libraries only with valid
	  library names "

2008-09-17 18:56 +0000 [r8874-8875]  robert:

	* From Alberto Luaces, "Cygwin's cmake build adds a "d" postfix to
	  the plugins installed in debug mode. Nevertheless, the code
	  doesn't acknowledge that, so I had problems with debug versions
	  of the library not being able to open their plugins whereas the
	  release versions worked fine. I have made the same changes in
	  Registry.cpp that are available for the rest of platforms
	  appending that "d" to their plugins. I have also updated the
	  CMakeLists.txt file to get "_DEBUG" defined at compilation time.
	  I have copied the already existent conditional block because of
	  cmake's bizarre operator precedence. Since Cygwin defines both
	  CYGWIN and WIN32, the following would suffice: IF(CYGWIN OR UNIX
	  AND NOT WIN32 AND NOT APPLE) Sadly, it actually doesn't work, so
	  I wrote a new conditional block just for Cygwin. I could join the
	  two blocks when the parentheses support is added in newer
	  versions of cmake."

	* From Adrian Egli, "i came around reviewing my code, and found now
	  finally a solution to remove the polygon offset issue. as we all
	  know the polygon offset has a different behaviour on different
	  GPU system (ATI, NVidia) and this make the use of polygon offset
	  complicate. so i looked for a solution to remove this offset. i
	  changed the shader, also the filtering (default: on) use now a
	  correct 3x3 filter: 1 0 1 0 2 0 1 0 1 div: 6 of course a better
	  one would be 1 2 1 2 4 2 1 2 1 div: 16 but this isn't as
	  performant as the simple filter above is. because we need only 5
	  texture lookups instead of 9, and the result is still good, if
	  you wish we can add a enum to change the pcf filter type once, if
	  there is a need. testet on NVidia Quatro 570M and on ATI Radeon
	  X1600 "

2008-09-17 18:51 +0000 [r8873]  robert:

	* From Adrian Egli, "I changed the PSSM shadow map implementation,
	  if we have filtered turned on, it should be now correct. The
	  implementation is more robut on different scene. i tested it on
	  NVIDIA card against a park scene, a chess board and a terrain.
	  unfort. i couldn't test it on any ATI system. may there will be
	  still another problem there. if there are still some artefacts.
	  we should try out better fZOffSet value "

2008-09-17 18:42 +0000 [r8872]  robert:

	* From Bill Prendergast, "Found a typo in CameraRenderOrderSortOp
	  in osg/GraphicsContext.cpp (V2.6.0 and prior) as noted below:
	  struct CameraRenderOrderSortOp { inline bool operator() (const
	  Camera* lhs,const Camera* rhs) const { if
	  (lhs->getRenderOrder()<rhs->getRenderOrder()) return true; if
	  (rhs->getRenderOrder()<lhs->getRenderOrder()) return false; --->
	  return lhs->getRenderOrderNum()<lhs->getRenderOrderNum(); ^^^ ^^^
	  } }; Corrected code attached."

2008-09-17 17:25 +0000 [r8871]  robert:

	* From Christophe Loustaunau," I have found some errors on the
	  example osgGeometryShaders. It's about the varying in the
	  geometry shader. take a look at the varying vec4 v_color. In the
	  vertex shader, v_color is initialized to gl_vertex then in the
	  geometry shader v_color is initialized to gl_PositionIn[0] and in
	  the fragment shader v_color is used as the fragment color. Try to
	  initialized v_color to vec4(1.0, 0.0, 0.0, 1.0) in the vertex
	  shader and comment the line : " v_color = v;\n" in the geometry
	  shader, and you will see the lines as black ! It's because you
	  have to use keywords in and out. extract from :
	  http://www.opengl.org/registry/specs/EXT/geometry_shader4.txt :
	  in - for function parameters passed into a function or for input
	  varying variables (geometry only) out - for function parameters
	  passed back out of a function, but not initialized for use when
	  passed in. Also for output varying variables (geometry only).
	  Then for a geometry shader, a varying must be an array : extract
	  from :
	  http://www.opengl.org/registry/specs/EXT/geometry_shader4.txt :
	  Since a geometry shader operates on primitives, each input
	  varying variable needs to be declared as an array. Each element
	  of such an array corresponds to a vertex of the primitive being
	  processed. If the varying variable is declared as a scalar or
	  matrix in the vertex shader, it will be a one-dimensional array
	  in the geometry shader. Each array can optionally have a size
	  declared. If a size is not specified, it inferred by the linker
	  and depends on the value of the input primitive type. Here is a
	  patch based on the svn version of osg that correct that. "

2008-09-17 17:13 +0000 [r8870]  robert:

	* From Max Bandazian, "Lines 302-305 of WindowManager.cpp seem to
	  have a parenthesizing error - the code is if( (!win ||
	  win->getVisibilityMode() == Window::VM_PARTIAL) &&
	  !win->isPointerXYWithinVisible(x, y) ) continue; But it probably
	  should be if (!win || (win->getVisibilityMode() ==
	  Window::VM_PARTIAL) && !win->isPointerXYWithinVisible(x, y)))
	  continue; The effect of the bug is to segfault if a
	  non-osgWidgets::Window node hasn't been excluded from picking via
	  NodeMask."

2008-09-17 17:07 +0000 [r8869]  robert:

	* Updated wrappers

2008-09-17 16:14 +0000 [r8868]  robert:

	* From Mathias Froehlich, "This is a generic optimization that does
	  not depend on any cpu or instruction set. The optimization is
	  based on the observation that matrix matrix multiplication with a
	  dense matrix 4x4 is 4^3 Operations whereas multiplication with a
	  transform, or scale matrix is only 4^2 operations. Which is a
	  gain of a *FACTOR*4* for these special cases. The change
	  implements these special cases, provides a unit test for these
	  implementation and converts uses of the expensiver dense matrix
	  matrix routine with the specialized versions. Depending on the
	  transform nodes in the scenegraph this change gives a noticable
	  improovement. For example the osgforest code using the
	  MatrixTransform is about 20% slower than the same codepath using
	  the PositionAttitudeTransform instead of the MatrixTransform with
	  this patch applied. If I remember right, the sse type
	  optimizations did *not* provide a factor 4 improovement. Also
	  these changes are totally independent of any cpu or instruction
	  set architecture. So I would prefer to have this current kind of
	  change instead of some hand coded and cpu dependent assembly
	  stuff. If we need that hand tuned stuff, these can go on top of
	  this changes which must provide than hand optimized additional
	  variants for the specialized versions to give a even better
	  result in the end. An other change included here is a change to
	  rotation matrix from quaterion code. There is a sqrt call which
	  couold be optimized away. Since we divide in effect by
	  sqrt(length)*sqrt(length) which is just length ... "

2008-09-17 14:23 +0000 [r8864-8867]  robert:

	* Updated osgwidget examples to use the new osg::clone() methods

	* Updated wrappers of osgWidget

	* Tweaks to facilitate osgWrapper build

	* Introduce new templated clone(..) methods that return the correct
	  type of object cloned.

2008-09-17 11:43 +0000 [r8863]  robert:

	* Added support for finding DCMTK-3.5.4 installed lib/include
	  placement

2008-09-16 18:41 +0000 [r8862]  robert:

	* Added osgVolume to docs and wrappers

2008-09-16 15:32 +0000 [r8858-8859]  robert:

	* Introduced beginings of osgVolume NodeKit.

	* Complted the first pass at the DCMTK based dicom loader

2008-09-16 09:31 +0000 [r8857]  robert:

	* Change the GLSL textureRec and texture2D parameters to use .st to
	  make sure they only use 2D coords. Add setResizeNonPowerOfTwoHint
	  to false for Texture2D.

2008-09-15 19:59 +0000 [r8856]  robert:

	* Added optional usage of DCMTK in the dicom plugin

2008-09-15 11:27 +0000 [r8855]  robert:

	* From Ralf Habacker, removed redundent SwitchLayer::clear()

2008-09-14 10:31 +0000 [r8853]  robert:

	* Introduced Geometry::containsSharedArrays() and
	  Geometry::duplicateSharedArrays() to support a fix to the
	  osgUtil::Simplifier that couldn't handle shared arrays

2008-09-13 13:38 +0000 [r8852]  robert:

	* Added reading of whole directories of images

2008-09-13 09:09 +0000 [r8851]  robert:

	* Introduced TransferFunction1D::assign(ValueMap&).

2008-09-12 15:41 +0000 [r8850]  robert:

	* Removed use of ints and reading from gl_FragColor in shader

2008-09-11 16:11 +0000 [r8849]  robert:

	* Updated version numbers in prep for up comming dev release

2008-09-11 16:06 +0000 [r8848]  robert:

	* Added an svn update into the make ChangeLog entry.

2008-09-11 16:01 +0000 [r8847]  robert:

	* Updated wrappers

2008-09-11 14:28 +0000 [r8845-8846]  robert:

	* Refinements to SwitchLayer and WhiteListTileLoadedCallback

	* Added support for SwitchLayer into GeometryTechnique

2008-09-11 13:21 +0000 [r8844]  robert:

	* Introduced osgTerrain::WhiteListTileLoadedCallback for the
	  management of options terrain layers

2008-09-11 10:40 +0000 [r8843]  robert:

	* First cut of WhiteListTileLoadedCallback

2008-09-11 09:26 +0000 [r8842]  robert:

	* Changed the createGeodeFromImage code to use the non power of two
	  extension, and disabled mipmapping

2008-09-11 09:05 +0000 [r8841]  robert:

	* Added support for reading source image file names from the
	  command line.

2008-09-10 18:11 +0000 [r8840]  robert:

	* Introduced TerrainTile::TileLoadedCallback

2008-09-10 16:17 +0000 [r8839]  robert:

	* Removed unneccessary compound name usage

2008-09-10 11:38 +0000 [r8838]  robert:

	* Removed debugging output

2008-09-10 11:28 +0000 [r8834-8837]  robert:

	* Changed the image reading so that it leverages the
	  osgDB::Input::readImage() method to ensure that it picks up on
	  any local paths set on the Input object.

	* Changed the path management so that the node path is prepended on
	  the database path list, rather than replacing it.

	* Added playing of the imagesequence on creation of the
	  imagesequence

	* Added osg::Image::set/getWriteHint() that allows images
	  themselves to control how they are written to disk, either inline
	  or as an external file. Added support for this in the .ive
	  plugin. Default of WriteHint is NO_PREFERNCE, in which case it's
	  up to the reader/writer to decide.

2008-09-04 17:30 +0000 [r8832]  robert:

	* Fix for when looping is is disabled

2008-09-04 14:23 +0000 [r8830]  shuber:

	* From Stephan Huber: updated XCode-project

2008-09-02 16:13 +0000 [r8828]  robert:

	* Added acceptance of .ogv extensions in xine-lib plugin

2008-09-02 12:55 +0000 [r8826]  robert:

	* Added setSetName/getSetName() methods

2008-09-01 16:28 +0000 [r8825]  robert:

	* Update ChangeLog

2008-09-01 15:29 +0000 [r8821-8822]  robert:

	* Replaced uint with unsigned int

	* Introduced a OSG_MAINTAINER section of cmake build to help
	  support making tags and branches

2008-09-01 14:05 +0000 [r8818-8819]  robert:

	* Updated wrappers

	* Changed curr and min to current and minimum respectively, to
	  avoid compile problems under Windows

2008-09-01 12:40 +0000 [r8816-8817]  robert:

	* Implemented support for ShapeAttributeList, used John Vidar
	  Larring's initial submission as a base, but implementing the user
	  data functionality in a different way to facilitate more flexible
	  user data support

	* From John Vidar Larring, initial cut of .ive support for
	  ShapeAttributeList user data

2008-09-01 11:09 +0000 [r8815]  robert:

	* Updated version for 2.7.2 dev release

2008-09-01 10:49 +0000 [r8812-8814]  robert:

	* Updated wrappers

	* Added call to free in setValue methods to prevent potential
	  memory leak

	* From Mathias Froehilch,"Current include/osgSim/ShapeAttribute
	  also misses string.h include because of strdup. Attached is the
	  changed file."

2008-09-01 10:22 +0000 [r8811]  robert:

	* From He Sicong, "I found a bug here in VERTICAL_SPLIT stereo
	  type: The vertical separation not actually displayed as it is
	  set. So some display the up and down stereo images style will not
	  be correct. Someone may forget to change the "Horizontal" to
	  "Vertical" after copying and pasting the code from above
	  HORIZONTAL_SPLIT code segment. I've attached the file. By
	  replacing the incorrect "Horizontal" to "Vertical", the bug is
	  gone. "

2008-09-01 10:19 +0000 [r8810]  robert:

	* Removed std:: from in front of strcmp and added a string.h

2008-09-01 10:06 +0000 [r8809]  robert:

	* From Wojciech Lewandowski, "Most recent changes to
	  CameraPathEventHandler change path writing method. Now control
	  points are written on the fly. But default stream precision is
	  not adjusted as it used to and remains set to 6 digits (at least
	  with VS 2008) so larger coordinates like positions on Earth
	  Ellipsoid loose lots of fidelity. This patch fixes this issue. "

2008-09-01 09:57 +0000 [r8808]  robert:

	* Build fixes for Windows

2008-08-29 09:28 +0000 [r8806-8807]  robert:

	* Added CompositeLayer::addLayer(setname,filename) convinience
	  function

	* From Michael Guerrero, "I've attached the files with the new
	  addition of the "registered = true" flag set."

2008-08-28 16:15 +0000 [r8805]  robert:

	* Introduce the concept of layer set name, using the
	  osg::Object::s/getName() to store the setname, and using a
	  compound string (set:setname:filename) in place of standard
	  filename when reading and writing files.

2008-08-28 09:43 +0000 [r8804]  robert:

	* Converted AutoTransform to use doubles.

2008-08-27 10:13 +0000 [r8803]  robert:

	* Introduced SwitchLayer which will form the basis of provided
	  support for varients

2008-08-26 17:40 +0000 [r8802]  robert:

	* Improved the GLSL implementation.

2008-08-26 12:55 +0000 [r8800]  robert:

	* Added ChangeLog target for updating the ChangeLog, and updated
	  the ChangeLog and AUTHORS files

2008-08-26 12:05 +0000 [r8799]  robert:

	* Added wrapper build target for generating the osgWrappers

2008-08-26 09:39 +0000 [r8798]  robert:

	* Added provisional block in computePositions()

2008-08-26 08:41 +0000 [r8797]  robert:

	* From Ulrich Hertlein, attached is a small fix for a mismatched
	  function signature

2008-08-25 16:44 +0000 [r8795-8796]  robert:

	* Updated version number for 2.7.1 release, and added
	  OSG_FORCE_QUERY_RESULT_AVAILABLE_BEFORE_RETRIEVAL Cmake option
	  that enables the occlusion query workaround for an OpenGL driver
	  crash

	* From Doug McCorkle, via Paul Martz who writes : "Summary: Some
	  platforms/configurations cause application crashes if the
	  occlusion query result is not ready for retrieval when the app
	  tries to retrieve it. This fix adds an application-level wait
	  loop to ensure the result is ready for retrieval. This code is
	  not compiled by default; add "-D
	  FORCE_QUERY_RESULT_AVAILABLE_BEFORE_RETRIEVAL" to get this code.
	  Full, gory details, to the best of my recollection: The
	  conditions under which we encountered this issue are as follows:
	  64-bit processor, Mac/Linux OS, multiple NVIDIA GPUs, multiple
	  concurrent draw threads, VRJuggler/SceneView-based viewer, and a
	  scene graph containing OcclusionQueryNodes. Todd wrote a small
	  test program that produces an almost instant crash in this
	  environment. We verified the crash does not occur in a similar
	  environment with a 32-bit processor, but we have not yet tested
	  on Windows and have not yet tested with osgViewer. The OpenGL
	  spec states clearly that, if an occlusion query result is not yet
	  ready, an app can go ahead and attempt to retrieve it, and OpenGL
	  will simply block until the result is ready. Indeed, this is how
	  OcclusionQueryNode is written, and this has worked fine on
	  several platforms and configurations until Todd's test program.
	  By trial and error and dumb luck, we were able to workaround the
	  crash by inserting a wait loop that forces the app to only
	  retrieve the query after OpenGL says it is available. As this
	  should not be required (OpenGL should do this implicitly, and
	  more efficiently), the wait loop code is not compiled by default.
	  Developers requiring this work around must explicitly add "-D
	  FORCE_QUERY_RESULT_AVAILABLE_BEFORE_RETRIEVAL" to the compile
	  options to include the wait loop."

2008-08-25 15:57 +0000 [r8794]  robert:

	* From Liang Aibin, added support for : osgFX::Effect
	  osgFX::AnisotropicLighting osgFX::BumpMapping osgFX::Cartoon
	  osgFX::Scribe osgFX::SpecularHighlights.

2008-08-25 15:37 +0000 [r8793]  robert:

	* From Liang Aibin, removed redundent spaces

2008-08-25 15:20 +0000 [r8792]  robert:

	* From Michael Guerrero, Fixed crash that occurred when openning an
	  new movie file after all previous movie ImageStream had been
	  closed. Also add a missing close of the movie file.

2008-08-25 15:03 +0000 [r8791]  robert:

	* From Paul Martz, "This change fixes a problem with PAT nodes
	  during FLT export." Note, Paul Martz has merged this patch into
	  OpenSceneGraph-2.6.

2008-08-25 14:59 +0000 [r8790]  robert:

	* From Guillaume Chouvenc, "I have added the file
	  StateAttribute.cpp in src/osgPlugins/osg to support the reading
	  and writing of StateAttribute Callback in osg files. "

2008-08-25 14:54 +0000 [r8789]  robert:

	* From Guillaume Chouvenc, "I have modified Uniform.cpp and
	  StateSet.cpp in src/osgPlugins/osg to support the reading and
	  writing of Uniform Callback and StateSet Callback in osg files."

2008-08-25 11:37 +0000 [r8788]  robert:

	* Added testing of max texture size using a realize operation

2008-08-25 10:38 +0000 [r8786-8787]  robert:

	* Added support for event handler for non shader path, enable alpha
	  func

	* Removed debug info

2008-08-25 10:20 +0000 [r8785]  robert:

	* Moved _stateset = new StateSet instances to setStateSet(new
	  StateSet) to make sure the wiring up of the StateSet parents is
	  done consistently

2008-08-25 09:53 +0000 [r8784]  robert:

	* Added command line arguments to Viewer constructor, and added
	  meaningful error message when no 3d image is provided

2008-08-22 16:39 +0000 [r8780-8782]  robert:

	* Introduced initial cut of a dicom loader, which uses ITK to do
	  the loading.

	* Added warning message

	* Added support for reading the image transform from UserData in
	  the form of a Matrix.

2008-08-19 17:41 +0000 [r8779]  robert:

	* Added checked against an empty _kdNodes list before commensing
	  with intersection

2008-08-18 15:08 +0000 [r8776-8777]  robert:

	* Added --mip command line option which enables Maximum Intensity
	  Projection filtering

	* Added .ive support for BlendEquation

2008-08-18 14:49 +0000 [r8775]  robert:

	* Added BlendEquation .osg support

2008-08-18 12:39 +0000 [r8773]  robert:

	* Updated AUTHORS file for 2.7.0 release

2008-08-18 11:55 +0000 [r8772]  robert:

	* Updated ChangeLog for 2.7.0 release

2008-08-18 11:48 +0000 [r8771]  robert:

	* Updated wrappers

2008-08-18 11:21 +0000 [r8770]  robert:

	* From Sergey Leontyev, "1. In StyleManager when applying styles to
	  a Label element the code below runs in a infinite loop. The
	  reason for this is that nothing increments the Reader "r" in the
	  case when applying a style to label, so I advance the reader when
	  no match was found. ( To replicate the error apply style to any
	  label) replaced this: while(!r.eof())
	  if(_styles[style]->applyStyle(t, r)) inc = true; with this:
	  while(!r.eof()) { if(_styles[style]->applyStyle(t, r)) inc =
	  true; else r.advanceOverCurrentFieldOrBlock(); } I tested it and
	  it works well for me, I did not find any problems with it. 2.
	  Added style support for Canvas element, event though there is no
	  styles to apply yet. It is usefull for someone who inherits from
	  Canvas class to develop another element. If applyStyle(Canvas)
	  does not exist there is no way to apply style to the element that
	  inherited from Canvas element. Added virtual bool
	  applyStyle(Canvas). and in added call to apply style if the
	  Object is of type Canvas:
	  StyleManager::_applyStyleToObject(osg::Object* obj, const
	  std::string& style) { ... else
	  if(!std::string("Canvas").compare(c)) return
	  _coerceAndApply<Canvas>(obj,style,c); "

2008-08-18 11:17 +0000 [r8769]  robert:

	* Ran fixtabs to enforce four space tabs

2008-08-18 11:00 +0000 [r8768]  robert:

	* From Erik van Dekker, "I made several modifications: * The cause
	  of my errors was that my OSG source directory path contains
	  spaces. To fix this issue I wrapped all paths with quotes, as
	  stated in doxygen documentation. * I also received some warning
	  messages about deprecated doxygen settings, which I fixed by
	  updating the doxygen file, i.e. running \u2018doxygen \u2013u
	  doxygen.cmake\u2018. By running this command deprecated doxygen
	  options are removed, some option comments have changed and quite
	  some options have been added (I kept their default settings
	  unless mentioned). * I was surprised to find that the doxygen
	  OUTPUT_DIRECTORY was set to
	  \u201c${OpenSceneGraph_SOURCE_DIR}/doc\u201d, which does not seem
	  appropriate for out of source builds; I changed this to
	  \u201c${OpenSceneGraph_BINARY_DIR}/doc\u201d. (On the other hand,
	  maybe a cmake selectable option should be given to the user?) *
	  Fixed two warnings I received about unexpected
	  end-of-list-markers in \u2018osg\AnimationPath and
	  \u2018osgUtil\CullVisitor due to excess trailing points in
	  comments. * Fixed a warning in osgWidget\StyleInterface due to an
	  #include directive (strangely) placed inside a namespace. * Fixed
	  a warning in osg\Camera due to the META_Object macro that
	  confused doxygen. Adding a semi-colon fixed this. * Removed
	  auto_Mainpage from the INCLUDE option, because I am positive that
	  this file does not belong there; It never generated useful
	  documentation anyway. * I added the OSG version number
	  environment variable to the PROJECT_NUMBER option so that the
	  version number is now shown on the main page of generated
	  documentation (e.g. index.html). * Changed option FULL_PATH_NAMES
	  to YES, but made sure STRIP_FROM_PATH stripped the absolute path
	  until the include dir. This fixed an issue that created mangled
	  names for identical filenames in different directories. E.g.
	  osg/Export and osgDB/Export are now correctly named. * Changed
	  option SHOW_DIRECTORIES to yes, which is a case of preference I
	  guess. "

2008-08-18 10:47 +0000 [r8767]  robert:

	* Removed todo entry

2008-08-17 16:52 +0000 [r8766]  robert:

	* From Maceij Krol, "I have implement frame based expiration of
	  PagedLOD children. New attribute DatabasePager::_expiryFrames
	  sets number of frames a PagedLOD child is kept in memory. The
	  attribute is set with DatabasePager::setExpiryFrames method or
	  OSG_EXPIRY_FRAMES environmental variable. New attribute
	  PagedLOD::PerRangeData::_ frameNumber contains frame number of
	  last cull traversal. Children of PagedLOD are expired when time
	  _AND_ number of frames since last cull traversal exceed
	  OSG_EXPIRY_DELAY _AND_ OSG_EXPIRY_FRAMES respectively. By default
	  OSG_EXPIRY_FRAMES = 1 which means that nodes from last
	  cull/rendering traversal will not be expired even if last cull
	  time exceeds OSG_EXPIRY_DELAY. Setting OSG_EXPIRY_FRAMES = 0
	  revokes previous behaviour of PagedLOD. Setting OSG_EXPIRY_FRAMES
	  > 0 fixes problems of children reloading in lazy rendering
	  applications. Required behaviour is achieved by manipulating
	  OSG_EXPIRY_DELAY and OSG_EXPIRY_FRAMES together. Two interface
	  changes are made: DatabasePager::updateSceneGraph(double
	  currentFrameTime) is replaced by
	  DatabasePager::updateSceneGraph(const osg::FrameStamp
	  &frameStamp). The previous method is in #if 0 clause in the
	  header file. Robert, decide if You want to include it.
	  PagedLOD::removeExpiredChildren(double expiryTime, NodeList
	  &removedChildren) is deprecated (warning is printed), when
	  subclassing use PagedLOD::removeExpiredChildren(double
	  expiryTime, int expiryFrame, NodeList &removedChildren) instead.
	  "

2008-08-17 16:45 +0000 [r8765]  robert:

	* From Jason Beverage, "I've got a few machines that OSG
	  incorrectly believes support FRAME_BUFFER_OBJECTS so I am
	  manually trying to set the renderTargetImplementation to
	  PIXEL_BUFFER or PIXEL_BUFFER_RTT. I noticed that this call wasn't
	  setting the camera's overlay data properly because the
	  setRenderTargetImplementation simply calls init() which only does
	  anything for OBJECT_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY. Any
	  subsequent calls to getOverlayData will simply return the cached
	  OverlayData instead of setting it up. My fix updates the camera's
	  render target implementation for all OverlayData objects in the
	  OverlayDataMap."

2008-08-15 17:35 +0000 [r8763-8764]  robert:

	* From Paul Palumbo, "Fixes a typo in coverage antialiasing code...
	  Without this fix, get incorrect antialiasing results. "

	* From Jutta Sauer, "We added a raise window method to
	  GraphicsWindow. And added two implementations for Win32 and X11.
	  "

2008-08-15 17:26 +0000 [r8761-8762]  robert:

	* Updated version numbers in prep for next dev release

	* From Frashid Larshkari, "I modified the vertical/horizontal
	  interlace stereo modes so that they use the osg::State::applyMode
	  for enabling/disabling certain while rendering the stencil mask.
	  Previously some of these calls were overriding the scene graph
	  states because the global state was not aware of this change. "

2008-08-15 17:18 +0000 [r8760]  robert:

	* Added support for geometry shader attributes

2008-08-15 16:43 +0000 [r8759]  robert:

	* From Stephane Lamoliatte, "I added the osg::Program parameters
	  support for the osg plug'in. Now we could correctly configure
	  geometry shaders in osg files." Notes from Robert Osfield,
	  renamed the names of the parameters to be less GL centric and
	  more human readable.

2008-08-15 16:21 +0000 [r8758]  robert:

	* Changed osg::ImageSequence::set/getDuration to set/getLength() to
	  be in keeping with the osg::ImageStream's getLength().

2008-08-15 13:07 +0000 [r8756-8757]  robert:

	* Fixed the name of _playToggle

	* Updated wrappers

2008-08-15 12:45 +0000 [r8755]  robert:

	* Further work on osg::ImageSequence, improving pause
	  functionality, and introducing new seek(double time) method

2008-08-14 16:29 +0000 [r8753-8754]  robert:

	* Added initial looping and pause play support

	* Added event handler to toggling looping and play/pause

2008-08-14 14:22 +0000 [r8752]  robert:

	* Implemented a reference eye point and associated methods in
	  support of intersecting billboards

2008-08-05 20:05 +0000 [r8747-8748]  robert:

	* From Eric Sokolowski, added OSX release notes to READEME

	* Added osgWidget to doc building

2008-08-05 19:17 +0000 [r8744]  robert:

	* Improved the doxygen docs over the various namespaces

2008-08-05 16:05 +0000 [r8742]  robert:

	* From Eric Sokolowki, disabled default build of 64bit under OSX to
	  prevent build problems

2008-08-05 15:27 +0000 [r8739]  robert:

	* Merged from OpenSceneGraph-2.6 branch

2008-08-05 15:11 +0000 [r8738]  robert:

	* Added NullStream class that automatically creates and delete the
	  NullStreamBuffer, thus fixing a memory leak

2008-08-05 15:06 +0000 [r8737]  robert:

	* From Eric Sokolowski, "Fixed the build of the osgViewer library
	  to get GL/glx.h from the right place, when building on OSX with
	  X11"

2008-08-05 11:17 +0000 [r8734]  robert:

	* Merged changes to OpenSceneGraph-2.6 into trunk using : svn merge
	  -r 8729:8734
	  http://www.openscenegraph.org/svn/osg/OpenSceneGraph/branches/OpenSceneGraph-2.6
	  .

2008-08-04 20:48 +0000 [r8728]  robert:

	* Added -losgWidget to the list of libs

2008-08-04 17:08 +0000 [r8726]  robert:

	* From Sherman Wilcox, "Minor change to bool
	  setGLExtensionFuncPtr(T& t, const char* str1) and
	  setGLExtensionFuncPtr(T& t, const char* str1, const char* str2) -
	  functions returned false even on success."

2008-08-04 15:09 +0000 [r8720-8722]  robert:

	* Updated AUTHORS file

	* Updated ChangeLog

	* Updated news for 2.6.0 release rc2

2008-08-04 14:01 +0000 [r8718]  robert:

	* From Philip Lowman, workaround of Centos 5's missing definition
	  of GL_MAX_SAMPLES_EXT.

2008-08-04 12:47 +0000 [r8716]  robert:

	* Moved initial drawable setup to within the mutex locked section
	  to avoid multi-threaded crash on startup.

2008-08-04 12:27 +0000 [r8714]  robert:

	* Removed debug info

2008-08-04 09:05 +0000 [r8712]  robert:

	* From Ulrich Hertlien, "attached is a patch to
	  src/osgPlugins/quicktime/QTImportExport.cpp that fixes loading
	  images using the quicktime loader. Also fixes some minor bugs
	  like uninitialized variables and incorrect deletes. I'm a bit
	  puzzled why this didn't pop up for more people as it's quite
	  severe: basically the filename was never set!""

2008-08-04 08:45 +0000 [r8711]  robert:

	* Added a small epsilon expansion of the bounding box being
	  clipped/intersected against, to avoid numberic errors causing
	  problems.

2008-08-03 20:35 +0000 [r8710]  robert:

	* Improved the terrain intersection code so that it produces more
	  stable terrain movements.

2008-08-03 16:57 +0000 [r8708]  robert:

	* merged 2.6 branch changes back into trunk using : svn merge -r
	  8699:8706
	  http://www.openscenegraph.org/svn/osg/OpenSceneGraph/branches/OpenSceneGraph-2.6
	  .

2008-08-03 16:48 +0000 [r8707]  robert:

	* Moved bb expansion out of loop.

2008-07-25 21:09 +0000 [r8697]  robert:

	* Updated ChangeLog and AUTHORS.txt file for relese candidate

2008-07-25 21:01 +0000 [r8695-8696]  robert:

	* Updated version numbers to 2.6.0

	* Updated REAME and NEWS for 2.6 branch

2008-07-25 20:50 +0000 [r8692-8694]  robert:

	* Updated wrappers

	* Renamed enums in osgWidget from ALLCAPITALS to normal OSG
	  conventional of AllCapital

	* Added PluginQuery function to wrappers

2008-07-25 20:04 +0000 [r8691]  robert:

	* Added OSGPL Copyright notices

2008-07-25 19:57 +0000 [r8690]  robert:

	* Restructured classes to better fit with style of the rest of the
	  OSG.

2008-07-25 19:53 +0000 [r8689]  robert:

	* Added include to help wrapper building

2008-07-25 18:44 +0000 [r8688]  robert:

	* Improved handling of PAGE_AND_RETAIN_IMAGES

2008-07-25 17:42 +0000 [r8687]  robert:

	* Reverted back to using std::list<std::String>

2008-07-25 16:23 +0000 [r8686]  robert:

	* Added Mode support

2008-07-25 16:11 +0000 [r8685]  robert:

	* Updated wrappers, and further refined the ImageSequence API

2008-07-25 15:45 +0000 [r8684]  robert:

	* From Ulrich Hertlein, "as I hinted at on osg-users in the "obj
	  loader: map_* only reads last component" thread, this submission
	  broke material/texture loading for some files I have that specify
	  texture matrix scaling. The following link shows a very
	  comprehensive list of .mtl file options:
	  http://local.wasp.uwa.edu.au/~pbourke/dataformats/mtl/ Attached
	  is a patch that should fix spacey filenames and optional texture
	  scale/offset. I have tested it with files I have that I modified
	  to contain spaces in the texture filenames."

2008-07-25 15:38 +0000 [r8683]  shuber:

	* From Stephan Huber: updated XCode-project

2008-07-25 13:45 +0000 [r8682]  robert:

	* Added ImageSequence to .ive plugin, added support for multiple
	  ImageThreads in osgDB::ImagePager

2008-07-25 10:18 +0000 [r8680-8681]  robert:

	* Moved PluginQuery from osgconv into osgDB

	* Added extension docs

2008-07-25 09:46 +0000 [r8679]  robert:

	* Added option docs

2008-07-24 17:38 +0000 [r8678]  robert:

	* Added missing returns

2008-07-24 13:25 +0000 [r8677]  robert:

	* From Paul Martz, "Not sure about the descriptions, so I left
	  those blank. But at least "osgconv --formats" will display the
	  .ive options now."

2008-07-24 12:48 +0000 [r8675-8676]  robert:

	* Updated wrappers

	* Added getCurrentCamera/getCurrentRenderStage methods

2008-07-24 12:18 +0000 [r8674]  robert:

	* Added a getCurrentRenderStage() and getCurrentCamera()
	  convninience methods, and converted the
	  CullVisitor::apply(OcclusionQueryNode&) implementation to use the
	  new getCurrentCamera method.

2008-07-24 12:06 +0000 [r8673]  robert:

	* Improved the feedback for when a plugin isn't available.

2008-07-24 12:01 +0000 [r8671-8672]  robert:

	* Added supportOptions() entry docs

	* Added --format extname and --plugin pluginname extensions, and
	  improved formating

2008-07-24 11:22 +0000 [r8670]  robert:

	* From Bob Kuehne, "fix for filenames that have spaces within their
	  name." Note form Robert, changed std::cout to
	  osg::notify(osg::INFO)

2008-07-23 22:19 +0000 [r8668-8669]  robert:

	* Updated wrappers

	* Refactored OverlayData so that its possible to subclass
	  OverlayNode/OverlayData.

2008-07-23 21:52 +0000 [r8666-8667]  robert:

	* Added wrappers

	* Moved helper classes into Protected section

2008-07-23 21:25 +0000 [r8665]  robert:

	* From Paul Martz, typo fixes

2008-07-23 19:06 +0000 [r8663-8664]  robert:

	* Applied filename fix suggested by Andrew Bettison.

	* Implemented ImagePager internals

2008-07-23 15:42 +0000 [r8662]  robert:

	* Fixed unitialized variable

2008-07-22 20:20 +0000 [r8661]  robert:

	* Further work on ImageSequence

2008-07-22 16:44 +0000 [r8660]  robert:

	* Added support for pruning old images, recording the Duration in
	  the .osg file, and -o filename output support in
	  osgimagesequence.

2008-07-22 15:58 +0000 [r8659]  robert:

	* Improved position when multiple videos are provided

2008-07-22 15:21 +0000 [r8658]  robert:

	* Updated wrappers

2008-07-22 14:47 +0000 [r8657]  robert:

	* Fixed handling of TextureCubeMap's with
	  mipmapped/ImageSequence/PBO's.

2008-07-22 12:40 +0000 [r8656]  robert:

	* Added ImageSequence IO support in Texture classes

2008-07-22 12:28 +0000 [r8655]  robert:

	* Added support for ImageSequence to all Texture classes

2008-07-22 10:13 +0000 [r8654]  robert:

	* Disabled the setting of Texture::setUnrefImageOnApply(true) when
	  the imagery is an ImageStream.

2008-07-22 09:02 +0000 [r8653]  robert:

	* From Mario Valle, "The attached osgWidget source solves three
	  compilation warnings on VC 7.1 on WindowsXP (OSG 2.5.5). BTW the
	  construct is absolutely legal C++, but VC 7.1 has a different
	  idea..."

2008-07-21 23:42 +0000 [r8652]  robert:

	* Moved osgViewer::ScreenCaptureHandler's WindowCaptureCallback
	  from head into .cpp to clean up headers and avoid wrapper build
	  issues. Updated wrappers

2008-07-21 22:38 +0000 [r8651]  robert:

	* Removed the reducent non const get methods

2008-07-21 21:28 +0000 [r8650]  robert:

	* From Jean-Sebastien Guay, "Changes attached so that the
	  CaptureOperation is passed in the constructor of the
	  ScreenCaptureHandler (default 0 = default CaptureOperation). This
	  way, you can do: viewer.addEventHandler(new
	  osgViewer::ScreenCaptureHandler( new
	  osgViewer::WriteToFileCaptureOperation("filename", "jpg"))); and
	  the filename will be what you want. The
	  WriteToFileCaptureOperation will add the context ID and the file
	  number (if in SEQUENTIAL_NUMBER mode) to the file name. (The
	  attached also clarifies some notify messages, and corrects the
	  comment when adding the handler in osgviewer.cpp) I also
	  remembered, the current architecture could allow a different
	  CaptureOperation for each context, but currently the API only
	  allows setting one CaptureOperation for all contexts. This could
	  be improved if need be. "

2008-07-21 21:20 +0000 [r8649]  robert:

	* From Ruth Lang, "using osg version 2.5.5 and compiling my program
	  under OpenSUSE 11.0 with gcc (version 4.3.1) I got the following
	  error message in include/osgUtil/TriStripVisitor and Tessellator
	  error: type qualifiers ignored on function return type The errors
	  belong all to a INLINE function definition. Find attached my
	  modified version."

2008-07-21 21:17 +0000 [r8648]  robert:

	* From Mario Valle, signed/unsgined warning fix

2008-07-21 21:00 +0000 [r8647]  robert:

	* Further work on osg::ImageSequence/osgDB::ImagePager

2008-07-21 20:44 +0000 [r8646]  robert:

	* Upated version number for dev release

2008-07-21 19:23 +0000 [r8645]  robert:

	* Moved the ~Record body into the .cpp to avoid a MipsPro compile
	  error (due to a compiler bug)

2008-07-21 17:45 +0000 [r8644]  robert:

	* Added call to OpenThreads::Thread::cancel();

2008-07-21 17:39 +0000 [r8643]  robert:

	* Updated wrappers

2008-07-21 17:28 +0000 [r8641-8642]  robert:

	* Added basic image sequencing

	* Added non const getAuthenticationMap().

2008-07-21 16:17 +0000 [r8640]  robert:

	* Moved the if (!buffer) check to infront of the memory
	  initialization

2008-07-21 15:05 +0000 [r8638-8639]  robert:

	* Added --login <url> <username> <password> http authentication.

	* Added --login url username password http authentication option

2008-07-21 10:57 +0000 [r8637]  robert:

	* Initial cut of osgimagesequence example

2008-07-21 10:48 +0000 [r8636]  shuber:

	* From Stephan Huber: updated XCode-project

2008-07-21 10:10 +0000 [r8635]  robert:

	* Added ImagePager first cut, and updated wrappers

2008-07-21 09:55 +0000 [r8634]  robert:

	* Added first cut of ImageStream IO wrapper

2008-07-21 09:47 +0000 [r8632-8633]  robert:

	* First cut of osgDB::ImagePager for updating osg::ImageSequence

	* First cut of osg::ImageSequence class

2008-07-18 21:17 +0000 [r8631]  robert:

	* From Adrain Elgi, added osgGA to link list

2008-07-18 11:39 +0000 [r8630]  robert:

	* Introduce a custom atof function that always assumes data comes
	  in form 10.10 with the full stop used as a decimal place.

2008-07-17 16:12 +0000 [r8629]  robert:

	* From Jean-Sebastien Guay and Robert Osfiled,
	  osgViewer::ScreenCaptureHandler for taking screenshots

2008-07-17 14:25 +0000 [r8627]  robert:

	* Updated version and AUTHORS.txt for 2.5.5 release

2008-07-17 14:18 +0000 [r8626]  robert:

	* Updated ChangeLog for 2.5.5 release

2008-07-17 14:13 +0000 [r8625]  robert:

	* Updated wrappers

2008-07-17 13:51 +0000 [r8624]  robert:

	* From Ulrich Hertlein, "attached are some minor tweaks: - fixed
	  typos in osgViewer/ViewerBase - const-ness in include/osg/View
	  findSlaveIndexForCamera - supported options for STL reader, fixed
	  return values to reflect proper errors - supported options for
	  DirectX reader, fixed return values - normals pseudo-loader:
	  scaling normals to a const (but variable) fraction of the
	  bounding sphere radius "

2008-07-17 13:32 +0000 [r8623]  robert:

	* Updated ChangeLog

2008-07-17 13:23 +0000 [r8622]  shuber:

	* From Stephan Huber: updated XCode project

2008-07-17 12:26 +0000 [r8621]  robert:

	* Updated wrappers

2008-07-17 12:13 +0000 [r8620]  robert:

	* Moved AuthenticalMap/AuthenticationDetails out in their own files

2008-07-17 11:55 +0000 [r8619]  robert:

	* Added osgDB::AuthenticationMap/Details to osgDB and curl plugin
	  to add the ability to authenticate http transfers

2008-07-16 19:07 +0000 [r8617]  robert:

	* Removed net plugin for Xcode projects

2008-07-16 16:19 +0000 [r8614-8615]  robert:

	* Moved .net plugin out into Deprecated section of osg svn
	  repostitory

	* Fixed path to font

2008-07-16 16:05 +0000 [r8612-8613]  robert:

	* Set the default setting of LineWidth to 2.0 to ensure that old
	  default behavior is maintained.

	* From Vincent Bourdier, removed line with setWidth(2.0) as this
	  code prevents user settings of line with.

2008-07-16 15:58 +0000 [r8610-8611]  robert:

	* Cleaned up the updateStateSet code

	* Refactored the MultiTextureControl node callback so that the
	  update is now done as an update callback, with the elevation
	  aquired via a cull callback

2008-07-16 13:29 +0000 [r8608]  robert:

	* Updated wrappers

2008-07-16 13:26 +0000 [r8606-8607]  robert:

	* Changed int's to unsigned int's to avoid warnings

	* Moved the _textureObjectBuffer assignment to after the imagery
	  has been download to avoid crashes under multi-threaded compile
	  of texture objects (was causing a crash with 3D Textures, but is
	  something that would happen with other Texture types as well.)

2008-07-16 12:53 +0000 [r8605]  shuber:

	* From Stephan Huber: updated XCode-project, included
	  osgWidget-Framework

2008-07-16 11:40 +0000 [r8604]  robert:

	* Removed a division by precomputing the associated values

2008-07-15 22:30 +0000 [r8602]  robert:

	* From Jeremy Moles, Updated file references to reflect new data in
	  OpenSceneGraph-Data

2008-07-15 22:13 +0000 [r8601]  robert:

	* Added osgWidget wrappers

2008-07-15 22:03 +0000 [r8600]  robert:

	* Converted tabs to four spaces

2008-07-15 21:28 +0000 [r8599]  robert:

	* Fixed typo

2008-07-15 20:30 +0000 [r8598]  robert:

	* Moved the private sections int protected to allow subclasses
	  acces to all methods/members. Moved public section to top of the
	  class definition to make it more consistent with the rest of the
	  OSG.

2008-07-15 19:42 +0000 [r8597]  robert:

	* Fixed name of lib

2008-07-15 19:28 +0000 [r8592-8596]  robert:

	* Changed IMPORT to "Import option", and "EXPORT:" to "Export
	  option:" in supportsOptions() docs make it a little more friendly
	  and understandable

	* From Paul Martz, "Here's documentation for the export options of
	  the FLT plugin. I also labeled the import options as such."

	* Updated version number to 2.5.5 in prep for dev release

	* Changed the version setup code to be consistent with the rest of
	  the OSG

	* Removed now redundent example

2008-07-15 19:02 +0000 [r8591]  robert:

	* From Gino van den Bergen, "The VRML plugin in the current 2.5.4
	  release will not compile under VC8.0 when the project file is
	  generated using CMake 2.6. The attached CMakeLists.txt will fix
	  this problem. The file replaces the CMakeLists.txt file in
	  src/osgPlugins/vrml. NB: It is assumed that the antlr and regex
	  libs are located in $(OPENVRML_DIR)/lib. "

2008-07-15 18:53 +0000 [r8590]  robert:

	* From Jean-Sebastian Guay, "Here are the CMakeLists.txt files for
	  the osgWidget examples, changed to use SETUP_EXAMPLE like the
	  other examples."

2008-07-15 18:12 +0000 [r8589]  robert:

	* Fixed typo

2008-07-15 17:21 +0000 [r8588]  robert:

	* From Jeremy Moles, import of the osgWidget NodeKit, sourced from
	  the original http://osgwidget.googlecode.com/svn/trunk Notes from
	  Robert Osfield, I've merged osgWidget trunk, and added/changed
	  CMakeLists.txt file to make it suitable for inclusion in the core
	  OSG, and moved imagery/scripts/shaders out into
	  OpenSceneGraph-Data

2008-07-15 14:24 +0000 [r8585-8586]  robert:

	* Updated wrappers

	* From Art Trevs, Removed GLeunm version setAttachment() to avoid
	  ambigiuity with whether to enable MRT.

2008-07-15 14:15 +0000 [r8584]  robert:

	* Renamed Archive::ArchiveStatus to ReaderWriter::ArchiveStatus

2008-07-15 10:45 +0000 [r8583]  robert:

	* Updated wrappers

2008-07-15 09:55 +0000 [r8582]  robert:

	* Missing check-ins

2008-07-14 20:22 +0000 [r8581]  robert:

	* Added --plugins and --formats query support into osgconv to help
	  with querying the available plugins and the file
	  formats/protocols they support

2008-07-14 20:11 +0000 [r8580]  robert:

	* Added missing ac3d supportsExtensions() constructor

2008-07-14 08:48 +0000 [r8579]  robert:

	* Added initial cut at plugin query code

2008-07-13 22:18 +0000 [r8578]  robert:

	* Converted plugins to use the new
	  supportsExtension()/supportsOptions/supportsProtocl() methods to
	  help enable better querying of supported features

2008-07-13 15:24 +0000 [r8577]  robert:

	* Added new ReaderWriter methods for recording what protocols,
	  extensions and options are support by ReaderWriters

2008-07-13 12:34 +0000 [r8576]  robert:

	* From Paul Martz, removed uneccessary libraries from link line

2008-07-12 17:44 +0000 [r8574]  robert:

	* Updated date for 2.5.4 release

2008-07-12 17:30 +0000 [r8573]  robert:

	* Added an OSG_EXPORT

2008-07-12 16:11 +0000 [r8572]  robert:

	* Updated Authors for dev release

2008-07-12 15:29 +0000 [r8571]  robert:

	* Updated ChangeLog for dev release

2008-07-12 12:00 +0000 [r8570]  robert:

	* From Doug McCorkle, "Attached is patch that corrects/improves the
	  following issues with the OBJ loader: 1. Added options to control
	  wether the osgUtil::Tessellator or osgUtil::TriStripVisitor are
	  run. By default they still run just as before. 2. Added support
	  for the Emissive material. The data was being read from the mtl
	  file but was never being applied to the model. 3. This is the
	  main bug addressed, when a model is read in with an alpha value
	  specified like: newmtl Material__8 Ns 24 d 0.33 illum 2 Kd 0.204
	  0.204 0.204 Ks 0 0 0 Ka 0.153 0.153 0.153 where the alpha value
	  is d. The loader would then overwrite the alpha value when
	  reading the diffuse, specular, and ambient colors. I have changed
	  all the material color readers to only set the values they read
	  and to use the default colors specified in the constructor of the
	  obj class. With these changes, the obj reader now handles opacity
	  correctly if the alpha value is specified before the material
	  colo"

2008-07-12 11:19 +0000 [r8569]  robert:

	* Cleaned up osgkdtree example

2008-07-11 20:01 +0000 [r8568]  robert:

	* Updated version numbers for dev release

2008-07-11 19:52 +0000 [r8567]  robert:

	* From Adrain Egli, "i added a default scene with 7 different
	  draggers attached. it's more easy to test the draggers."

2008-07-11 19:43 +0000 [r8566]  robert:

	* From Christophe Loustaunau, "For our application, we need to
	  write tiff file in floats. I have change a little bit the
	  readerWritterTiff : It check the data type of the image (
	  img.getDataType() ) and if it's GL_FLOAT :It save the tiff with
	  float values. Otherwise it does the same thing as before."

2008-07-11 19:23 +0000 [r8565]  robert:

	* From Liang Aibin, " In lastest svn version of OSG, the .ive
	  plugin missing osg::Light, it does not process I/O for
	  osg::Light. Now I have fixed it as follows: 2. In
	  DataInputStream.cpp, I add support code in
	  DataInputStream::readStateAttribute for osg::Light. 3. In
	  DataOutputStream.cpp, I add support code in
	  DataOutputStream::writeStateAttribute for osg::Light. "

2008-07-11 17:46 +0000 [r8564]  robert:

	* From Joakim Simmonson, "Opcodes.h: * Added INVALID_OP as -1 in
	  the Opcodes enum. Note that INVALID_OP is not an actual opcode
	  defined in the OpenFlight format. The purpose of INVALID_OP is to
	  mark an opcode variable as invalid or uninitialized.
	  ReaderWriterFLT.cpp: * The header node is returned if it exists,
	  even if the file does not contain a node hierarchy. The old
	  behaviour returned a ERROR_IN_READING_FILE error. * Changed
	  opcodes initialized to -1 to the new enum value INVALID_OP."

2008-07-11 17:41 +0000 [r8563]  robert:

	* From Joakim Simmonsson, fixed various spelling typos in comments

2008-07-11 17:35 +0000 [r8562]  robert:

	* From Mathias Froehlich, "Due to the recent data variance
	  changes/discussion: Change the ac3d loader that can as such only
	  deliver static models to set the data variance to static for the
	  returned model. "

2008-07-11 17:07 +0000 [r8561]  robert:

	* Increased the buffer and fixed the buffer calculation when moving
	  backwards into objects

2008-07-11 16:51 +0000 [r8557-8560]  robert:

	* Updated KdTree code to refect new cleaned up API

	* Tweaked the KdTree intersection performance testing code block

	* Updated wrappers

	* Moved the building and intersecting of the KdTree into the .cpp,
	  and cleaned up the header to ready it for wider usage

2008-07-10 15:50 +0000 [r8556]  robert:

	* Streamlined KdTree implementation

2008-07-09 19:43 +0000 [r8552-8555]  robert:

	* Updated wrappers

	* Cleaned up KdTree implementation

	* Reordered KdLeaf/KdNode so that the first element to be accessed
	  is first in the data structure

	* Introduced code for doing dummy test traversals - used for
	  benchmarking KdTree code.

2008-07-09 19:28 +0000 [r8550-8551]  robert:

	* Added range of camera manipulators and a center of screen test
	  intersection that is insticated by pressing 'c' key

	* Introduce a intersecion performance testing code path, #if def'd
	  out for now.

2008-07-09 12:37 +0000 [r8549]  robert:

	* Updated wrappers

2008-07-08 18:02 +0000 [r8548]  robert:

	* Fixed set method

2008-07-08 17:35 +0000 [r8547]  robert:

	* Added optional control of whether to use KdTrees for
	  intersections

2008-07-07 20:27 +0000 [r8546]  robert:

	* Implement hierachy culling in KdTree::intersect(..)

2008-07-07 14:27 +0000 [r8545]  robert:

	* Improved the handling of KdTree intersections

2008-07-07 13:21 +0000 [r8544]  robert:

	* Implemented intial KdTree triangle intersection code, but without
	  culling implemented

2008-07-07 10:46 +0000 [r8543]  robert:

	* Added KdTreeBuilder calls into FindCompileableGLObjectsVisitor,
	  and an alternative path that explictly calls the KdTreeBuilde
	  when required in cases when no pre compile of GL objects is
	  required.

2008-07-07 09:40 +0000 [r8542]  robert:

	* Changed types to avoid warnings under Windows

2008-07-06 18:27 +0000 [r8541]  robert:

	* Changed the DatabasePager so that it bypasses the
	  Registry::readNode() method and calls readNodeImplementation()
	  directly to avoid calling the KdTreeBuilder. Updated wrappers.

2008-07-06 12:14 +0000 [r8540]  robert:

	* Moved KdTree build code into osg::KdTree

2008-07-05 17:29 +0000 [r8539]  robert:

	* Added handling of co-incident start and end points.

2008-07-05 16:39 +0000 [r8538]  robert:

	* Ported intersection code to use new
	  osgUtil::LineSegmentIntersector/IntersectionVisitor.

2008-07-04 19:16 +0000 [r8537]  robert:

	* Converted TerrainManipulator to use osgUtil::InterectionVisitor
	  rather than the old IntersectVisitor

2008-07-04 17:02 +0000 [r8536]  robert:

	* Added KdTree intersection support into LineSegmentIntersector

2008-07-04 15:57 +0000 [r8535]  robert:

	* Added prelimnary KdTree data structure and automatic kdtree build
	  support into osgDB::Registry/osgTerrain so that newly created
	  subgraphs can have KdTree built on all osg::Geometry
	  automatically on load/creation.

2008-07-04 11:51 +0000 [r8534]  robert:

	* Moved vertex indicies method into a single block with deprecated
	  doc lines

2008-07-03 17:18 +0000 [r8533]  robert:

	* Introduced bounding boxes to KDLeaf and KDNode structs

2008-07-03 15:49 +0000 [r8532]  robert:

	* Added new data structure + build algorithm that places triangles
	  into leaves without being shared, but with varying the boundaries
	  of leaves so that they may overlap.

2008-07-03 15:01 +0000 [r8530-8531]  robert:

	* From Mario Valle, "xed the following warning on Linux 64 bits
	  Athlon:
	  /users/mvalle/OSG/OpenSceneGraph/src/osg/BufferObject.cpp: In
	  member function `virtual void
	  osg::ElementBufferObject::compileBuffer(osg::State&) const':
	  /users/mvalle/OSG/OpenSceneGraph/src/osg/BufferObject.cpp:600:
	  warning: cast to pointer from integer of different size"

	* From Mario Valle, removed extraneous spaces

2008-07-03 11:23 +0000 [r8528-8529]  robert:

	* Added header guards

	* Refactored example so that the example will be able to run
	  different kdtree data strucutres/algorithms.

2008-07-03 11:07 +0000 [r8527]  robert:

	* From Eric Sokolowsky, "The check for Leopard to build 4-way
	  binaries by default was broken. Here is an updated CMakeLists.txt
	  file to fix the problem."

2008-07-03 10:24 +0000 [r8526]  robert:

	* Implement an experiemental triangle kdtree building support

2008-07-03 10:03 +0000 [r8525]  robert:

	* Set the DataVariance on FadeText to DYNAMIC to reflect their
	  nature

2008-07-02 10:00 +0000 [r8524]  robert:

	* Updated wrappers

2008-07-02 09:25 +0000 [r8523]  robert:

	* Introduced support for UNSCPECIFIED and STATIC DataVariance of
	  StateSet/Textures

2008-07-01 19:04 +0000 [r8522]  robert:

	* From Colin McDonald, "There is a problem reading bmp files
	  containing a colour palette, due to an incorrect scan line length
	  calculation. Attached is a fix, and a little bmp file which
	  demonstrates the problem."

2008-07-01 18:37 +0000 [r8521]  robert:

	* From Lilin Xiong, "I change ive plugin a little for osgText
	  inout, so the ive plugin supports backdrop setting, and Text3D,
	  FadeText inout : 1. in DataInputStream.cpp, add 1286--1293 lines;
	  2. in Text.cpp, add some code for text's Backdrop setting; 3. in
	  IveVersion.h, add line 39, increase the VERSION to
	  VERSION_028(line 41) 4. in ReadWrite.h, add line 146,147 5. add
	  file FadeText.h, FadeText.cpp, Text3D.h, Text3D.cpp."

2008-07-01 13:56 +0000 [r8520]  robert:

	* Added Vec3Array arrange pointer to avoid dynamic cast

2008-07-01 09:40 +0000 [r8519]  robert:

	* From Mathias Froehlich, "It appears not to be sufficient to set a
	  cmake variable to get a define in such a config file. Instead set
	  that variable to 1. Also included a small compile fix, that
	  appears to be required than ..."

2008-06-30 16:53 +0000 [r8518]  robert:

	* Added guards against FBO not being supported/setup

2008-06-29 13:41 +0000 [r8514]  robert:

	* Updated README date for 2.5.3 dev release

2008-06-29 12:22 +0000 [r8513]  robert:

	* Changed the Optimizer::StateVisitor so that it can individually
	  decide whether to optimize away duplicate state with dynamic,
	  static and unspecified DataVarience. By default the code now
	  optimizes away duplicate state with either static and unspecied
	  state, previously it was just handling static state.

2008-06-28 16:59 +0000 [r8512]  robert:

	* Added realize of new graphics contexts to handle new views being
	  added with unrealized windows

2008-06-27 19:40 +0000 [r8511]  robert:

	* Changed back to use an std::vector<> rather than a std::list for
	  RequestQueue to avoid member template problems under Solaris.

2008-06-27 18:59 +0000 [r8510]  robert:

	* Refactored the sort of the requestQueue so that there is single
	  code path for doing the sort.

2008-06-27 16:47 +0000 [r8509]  robert:

	* From Mathias Froehlich, "Update to the configure check for msvc
	  7.1. MemoryBarrier() is used in the implementation, so it should
	  be checked. This in effect disables the faster atomic ops on msvc
	  7.1 and older, even if only the MemoryBarrier() call is missing.
	  But it ensures for the fist cut that it will build everywhere. If
	  somebody cares for msvc 7.1 enough and has one for testing
	  installed, he might provide the apropriate defines to guard that
	  MemoryBarrier() call. I tested that msvc8 32/64bit still passes
	  the configure tests and compiles. "

2008-06-27 12:44 +0000 [r8508]  robert:

	* Simplified the MixinVector class so that it no longer supports
	  custom allocators, instead just uses std::vector<>'s default
	  allocators.

2008-06-27 12:35 +0000 [r8507]  robert:

	* Moved the apply(&) default implementations from the header into
	  the NodeVisitor.cpp, and changed the casts to use static_cast<>.

2008-06-27 11:47 +0000 [r8506]  shuber:

	* from Stephan Huber: updated XCode project

2008-06-27 10:17 +0000 [r8505]  robert:

	* From Andre Normann, "with version 8504, I am not able to compile
	  osgwrappers under Windows, because there are some DLL export
	  macros missing. I fixed it and put the files in the attached zip
	  file. "

2008-06-26 19:51 +0000 [r8504]  robert:

	* Updated authors and osgversion

2008-06-26 19:47 +0000 [r8503]  robert:

	* Updated ChangeLog

2008-06-26 19:21 +0000 [r8502]  robert:

	* Updated wrappers

2008-06-26 18:34 +0000 [r8501]  robert:

	* From Paul Martz, "The method
	  IntersectionVisitor::apply(osg::PagedLOD&) appears to attempt to
	  identify a "highest res" child of the PagedLOD and only allow
	  intersection on that child. The implementation appears to be
	  flawed in two cases: 1) The "highest res" child is assumed to be
	  the child with index "getNumFileNames()-1" or
	  "getNumChildren()-1". As a result, PagedLODs that do not sort
	  children from furthest to nearest will intersect with the wrong
	  child. (see attached "case1.osg" to reproduce this problem.) 2)
	  The code assumes there is only one highest res child. As a
	  result. PagedLODs with multiple children at the same highest res
	  range can only intersect one of those children. ("case2.osg"
	  demonstrates this issue; you can only pick the quad on the
	  right.) I've attached a modified IntersectionVisitor.cpp that
	  attempts to resolve these issues. It identifies a highest res
	  range based on the range mode, then continues traversal on all
	  valid children corresponding to that range description. Only in
	  the case of a malformed PagedLOD does the code fall back to
	  getting the last child in the list. "

2008-06-26 18:06 +0000 [r8500]  robert:

	* From Morten Haukness, "When cloning effects osg crashes because
	  the copy constructur tries to run av pure virtual method
	  (setUpEmitterAndProgram). The right thing to do when cloning an
	  effect is to run the inherited version og buildEffect and
	  setUpEmitterAndProgram. "

2008-06-26 16:45 +0000 [r8499]  robert:

	* Changed the removeCamera() method so that it now actively calls
	  releaseGLObjects() on all children of a camera that aren't shared
	  with other cameras on that context. This change fixes problems
	  with allocating and deleting views.

2008-06-26 15:06 +0000 [r8498]  robert:

	* From Mathias Froehlich, updated CMakeLists.txt to build the
	  Atomic.cpp

2008-06-26 13:09 +0000 [r8496-8497]  robert:

	* From Eric Sokolowski, added enforcement of CMake 2.6.0 under OSX.

	* From Eric Sokolowski, Cmake support for osgviewerCocoa

2008-06-26 12:08 +0000 [r8495]  robert:

	* From Mathias Froehlich, build fixes for various unices

2008-06-26 10:33 +0000 [r8494]  robert:

	* From Mathias Froehlich, added do not edit comments to Config.in
	  so that the autogenerated Config files have an appropriate
	  warning notice

2008-06-26 10:27 +0000 [r8493]  robert:

	* From Mathias Froechlich, "Attached is a change to that atomic
	  stuff to move the win32, msvc implementation of the atomic
	  increment and decrement into a implementation file. This way
	  inlining and compiler optimization can no longer happen for these
	  implementations, but it fixes compilation on win32 msvc targets.
	  I expect that this is still faster than with with mutexes. Also
	  the i386 gcc target gets atomic operations with this patch. By
	  using an implementation file we can guarantee that we have the
	  right compiler flags available."

2008-06-23 15:11 +0000 [r8491]  robert:

	* Fixed pedantic warning

2008-06-23 14:51 +0000 [r8490]  robert:

	* From Mathias Froehlich, "fixed win32/win64 configure check and
	  win32/win64 atomic related compile failures with msvs2005.
	  Attached changes to make win32 really use the atomic stuff. There
	  are pointer typecast problems and some historic alignment
	  restrictions that I just took from a previous similar
	  implementation of mine without looking deep enough. "

2008-06-23 11:14 +0000 [r8489]  robert:

	* From Mathieu Marache, "Suibject: CMakeList ADD_DEFINITION for
	  CMAKE_DEBUG_POSTFIX broken I needed a -DCMAKE_DEBUG_POSTFIX="d"
	  not a -D"CMAKE_DEBUG_POSTFIX=d". This corrects the build for the
	  CMake 2.4 and 2.6 series The error was in compiling
	  osgDB/Registry.cpp "

2008-06-23 10:18 +0000 [r8488]  robert:

	* Commented out the explict install of the Config files as
	  including these files into the header list allows the normal
	  Cmake install support to install them.

2008-06-23 09:57 +0000 [r8487]  robert:

	* From Eric Sokolowsky, "I have made a number of changes intended
	  to get a few things working better on OSX. However, since I'm
	  still pretty new at Mac development and cmake I'm not entirely
	  certain that the changes I have made are benign on other
	  platforms. I have tested these changes on Leopard with CMake 2.6
	  generating Xcode 3.0 projects, compiling on ppc and i386 for 10.5
	  and 10.4, and on Linux (CentOS) and everything still seems to
	  work ok. Here are the changes I made (against OSG svn as of this
	  afternoon): - Added osgviewerCocoa example to APPLE builds -
	  Fixed corrupt Xcode project generation with CMake 2.6 dealing
	  with ADD_DEFINITIONS and CMake Policy CMP0005 on Leopard -
	  Resolved CMP0006 warning for examples and programs by setting
	  BUNDLE DESTINATION to same as RUNTIME DESTINATION with CMake 2.6
	  - Fixed freetype plugin on Leopard to avoid OpenGL linking
	  problem - Figured out how to use a custom Info.plist included in
	  the project (see osgviewerCocoa application CMakeLists.txt)"

2008-06-23 08:06 +0000 [r8486]  shuber:

	* From Stephan Huber: added missing config files and updated
	  xcode-project

2008-06-21 17:56 +0000 [r8485]  robert:

	* Quietened down debug info

2008-06-21 17:50 +0000 [r8484]  robert:

	* Added support for X11's overrideRedirect functionality

2008-06-21 11:34 +0000 [r8483]  robert:

	* Converted tabs to four spaces

2008-06-20 19:52 +0000 [r8481-8482]  robert:

	* Changed the include/osg/Config and include/OpenThreads/Config
	  references to use the assocaited CMake variable for these headers

	* Updated ChangeLog

2008-06-20 17:32 +0000 [r8480]  robert:

	* From Terry Welsh, added missing MixinVector header

2008-06-20 16:57 +0000 [r8479]  robert:

	* Added OSG_WINDOWING_SYSTEM cmake option string to allow toggling
	  between X11 and Carbon under OSX.

2008-06-20 15:50 +0000 [r8476-8477]  robert:

	* From Mathias Froehlich, moved optional config variables into
	  include/osg/Config file that is automatically created by cmake
	  according to its own settings.

	* Updated ChangeLog

2008-06-20 15:28 +0000 [r8475]  robert:

	* Changed const double* to const Matrix::value_type* to ensure
	  changes in Matrix type don't break the build

2008-06-20 13:16 +0000 [r8474]  robert:

	* From Terry Welsh, new flatten static transforms visitor that
	  duplicates subgraphs that are shared beneath differnt static
	  transforms From Robert Osfield, made a range of changes to
	  Terry's visitor integrating it into osgUtil::Optimizer and
	  changing the code to use a style more like the rest of the OSG.

2008-06-20 11:16 +0000 [r8473]  robert:

	* From Mathias Froehlich, made the include of bin directory for
	  include/OpenThreads/Config only used when doing out of source
	  builds

2008-06-20 11:11 +0000 [r8472]  robert:

	* Updated version numbers for dev releases

2008-06-20 10:46 +0000 [r8471]  robert:

	* From Mathias Froehlich, "Fixes a compile of
	  src/osgSim/ShapeAttribute.cpp on suse 10.2."

2008-06-20 09:46 +0000 [r8470]  robert:

	* From Melchior Franz, fixed typo on variable name

2008-06-20 09:42 +0000 [r8469]  robert:

	* From Mathias Froehlich, add search path to enable out of source
	  builds to find include/OpenThreads/Config.

2008-06-19 20:42 +0000 [r8468]  robert:

	* Updated wrappers

2008-06-19 20:38 +0000 [r8467]  robert:

	* From Neil Groves, "I have taken the liberty of updating a few
	  files so that there is no longer any derivation from std::vector.
	  I have done this by adding a new file osg/MixinVector and by
	  updating only two others: osg/PrimitiveSet and osg/Array. You
	  will notice that this actually removes what is acknowledged as a
	  \u2018hack\u2019 in osg/PrimitiveSet. With the original code I
	  did manage to find memory leaks with some compiler options on VC
	  8 and 9, as well as Intel compiler. I determined the leak
	  existence by instrumenting the destructor code, and by use of a
	  garbage collector as a leak detector (in a similar manner to the
	  Firefox project). Hence in contrast to what I said originally, it
	  is exhibiting symptoms on at least some platforms. Since I am
	  trying to be a good OSG citizen I got out my editor and started
	  hacking! I have built and tested on Linux (Ubuntu) with GCC 4.x
	  and Windows VC 8 SP1. It appears that nothing is broken, and that
	  I\u2019m using less memory J"

2008-06-19 17:35 +0000 [r8466]  robert:

	* From Mathieu Marache, "submission for inclusion to support mpg
	  and avi files when using the quicktime plugin on windows"

2008-06-19 17:30 +0000 [r8465]  robert:

	* From Mathias Froehlich, added support for using
	  OpenThreads::Atomic for thread safe ref/unref.

2008-06-19 14:57 +0000 [r8464]  robert:

	* from Andrew Bettison, LineStipple support for .ive

2008-06-19 14:45 +0000 [r8463]  robert:

	* From Adrian Egli, "Improvements to the PSSM implementation"

2008-06-19 14:35 +0000 [r8462]  robert:

	* From Rudolf Weidemann, "in the OpenFlight format materials can
	  have editable names. In the OSG OpenFlight plugin these names are
	  ignored when reading, and empty strings are written. As we need
	  these names in the OSG scene graph by our application, I changed
	  the plugin code, so the names are now stored in class
	  "osg::Material" (derived from "osg::Object") by
	  material->setName(); (see "PaletteRecords.cpp, line 195) when
	  reading the file, and written to file by dos.writeString(
	  m.Material->getName(), 12 ); (see MaterialPaletteManager.cpp,
	  line 80). As these names otherwise get lost when reading an
	  OpenFlight file and writing it again e.g. by osgconv example.flt
	  converted_example.flt these changes make the plugin more
	  complete. The changes were made to OSG revision 8425, and were
	  tested by osgconv example.flt converted_example.flt comparing the
	  material palettes of both files inside Multigen Creator."

2008-06-19 14:29 +0000 [r8461]  robert:

	* From Farshid Lashkari, "I noticed some problems when setting up
	  CameraNodes that inherit viewport settings in stereo mode. It
	  seems that the SceneView::cull() method will pass the full size
	  viewport to the left/right cullvisitors, instead of the modified
	  stereo viewport. I made quite a few changes to SceneView to fix
	  the issue. The SceneView::cullStage() method will now receive the
	  viewport as an argument, instead of using the global viewport.
	  The SceneView::cull() method will pass the modifed viewport to
	  cullStage when rendering in stereo. There are 2 new private
	  methods computeLeftEyeViewport() and computeRightEyeViewport()
	  that will compute the stereo viewports. I also modified the
	  draw() function so it applies the correct viewport to the
	  prerender stages. These changes are only necessary for
	  horizontal/vertical split stereo."

2008-06-19 14:14 +0000 [r8460]  robert:

	* From Andrew Bettison, "Attached are changes for
	  src/osgPlugins/ive (version 2.4.0) that implement LineStipple
	  read/write support for the ive file format."

2008-06-19 13:49 +0000 [r8459]  robert:

	* From Paul Melis, "Here is a reworked version of the osgviewerWX
	  example. It changes the GraphicsWindowWX to only inherit from
	  osgViewer::GraphicsWindow and adds a standalone widget, called
	  OSGCanvas, that derives from wxGLCanvas. This solves a problem
	  with the GraphicsWindowWX instance being destructed twice (see
	  "Crash in osgviewerWX" of June 12th on osg-users). At program
	  exit, the main frame deletes all of its children widgets and
	  therefore calls GraphicsWindowWX's destructor, bypassing OSG's
	  reference counting. The GraphicsWindowWX instance is then later
	  destructed a second time when the reference held by osg::Camera
	  goes to zero. This bug isn't exposed by the example directly, but
	  if people are going to use the example as a basis (like the
	  poster in the mentioned thread) they very likely will run into
	  this problem. "

2008-06-19 13:28 +0000 [r8458]  robert:

	* Updated wrappers to fix OpenThreads::Atomic build issues.

2008-06-19 12:02 +0000 [r8457]  robert:

	* From Michael Platings, fixed typo error in renderbin assignment

2008-06-19 11:58 +0000 [r8456]  robert:

	* In Program::PerContextProgram changed const Uniform* to
	  osg::ref_ptr<const Uniform*> to avoid the possibility of a
	  uniform being deleted and another being created and assigned at
	  the same address which previously confused the uniform tracking
	  code and introduced a bug.

2008-06-19 11:09 +0000 [r8455]  robert:

	* From Michael Platings and Robert Osfield, added support for
	  controlling, via StateSet::setNestedRenderBin(bool) whether the
	  new RenderBin should be nested with the existing RenderBin, or be
	  nested with the enclosing RenderStage.

2008-06-18 20:27 +0000 [r8453-8454]  robert:

	* Updated wrappers

	* From Michael Platings, implemented check against max number of
	  supported samples to ensure that the number of samples is safely
	  capped to what the hardware is capable of, avoiding GL errors and
	  graceful fallback

2008-06-18 20:17 +0000 [r8452]  robert:

	* From Liang Aibin: "1. Location:
	  <OSG_SOURCE_ROOT>\src\osgPlugins\osg\Fog.cpp Reason: ".osg"
	  writter plugins output incorrected string for osg::Fog's Mode.
	  How to Fix: Line 138 in Fog.cpp: case(Fog::LINEAR): return
	  "NERVER"; Change to: case(Fog::LINEAR): return "LINEAR"; 2.
	  Location: <OSG_SOURCE_ROOT>\src\osgPlugins\ive\ Reason: ".ive"
	  writter plugins missing to process "osg::Fog". How to Fix: (1).
	  Line 86 in ReadWrite.h: Add: #define IVEFOG 0x00001133 (2). In
	  CMakeLists.txt "SET(TARGET_SRC" section Add: Fog.cpp
	  "SET(TARGET_H" section Add: Fog.h (3). In DataInputStream.cpp
	  Line 54,Add: #include "Fog.h" Line 1185,Add: else if(attributeID
	  == IVEFOG){ attribute = new osg::Fog();
	  ((ive::Fog*)(attribute))->read(this); } (4). In
	  DataOutputStream.cpp Line 57,Add: #include "Fog.h" Line 832,Add:
	  // This is a Fog else if(dynamic_cast<const
	  osg::Fog*>(attribute)){ ((ive::Fog*)(attribute))->write(this); }
	  (5). Add newly created ive::Fog Object in Fog.h and Fog.cpp. "

2008-06-18 16:46 +0000 [r8450-8451]  robert:

	* Updated wrappers

	* Added a wrapString(const char*) which automatically handles null
	  strings.

2008-06-18 16:28 +0000 [r8449]  robert:

	* Convert string handling to use strdup and free rather then
	  awkward new char[] code paths

2008-06-18 14:21 +0000 [r8448]  robert:

	* Added --fbo-samples value and --color-samples value command line
	  paramters for enabling fbo multisampling

2008-06-18 14:09 +0000 [r8447]  robert:

	* From Michael Platings and Paul Palumbo, multi-sample FBO support

2008-06-18 12:01 +0000 [r8446]  robert:

	* From Jean-Sebastien Guay, "When copying a node that had uniforms
	  on it, the copy constructor of osg::Uniform would not copy the
	  array of the original uniform (either _intArray or _floatArray)
	  because none had been allocated and the copy constructor checks
	  that *both* this's array and rhs's array are valid. I added a
	  call to allocateDataArray() if rhs has (at least) one valid
	  array, which should allocate the right array according to the
	  type. Since the type was copied from rhs, it should create the
	  same array as rhs has, so then it should copy the data in the
	  following lines. "

2008-06-18 11:56 +0000 [r8445]  robert:

	* From Bob Kuehne, "added multi-texture support (alpha/trans
	  images)"

2008-06-18 11:51 +0000 [r8444]  robert:

	* Updated wrappers

2008-06-18 11:13 +0000 [r8443]  robert:

	* From Bob Kuehne, "this submission extends the
	  osgViewer::RecordCameraPathHandler to have an optionally-enabled
	  auto-incrementing filename. default behavior is still the same,
	  but there's one new method to enable autoincrementing filenames."
	  From Robert Osfield, modified the above so that the number
	  increments come after the filename rather than before.

2008-06-18 10:51 +0000 [r8442]  robert:

	* From Gino van den Bergen, "Added support for vrml primitive
	  caching"

2008-06-18 10:46 +0000 [r8441]  robert:

	* From David Callu, "fixed bounding box bug"

2008-06-17 17:43 +0000 [r8440]  robert:

	* From Mathias Froehlich, OpenThreads::Atomic support

2008-06-16 20:22 +0000 [r8439]  robert:

	* Added overriding of CullSettings::inheritCullSettings() into
	  osg::Camera to properly inherit the clear colour.

2008-06-16 16:06 +0000 [r8438]  robert:

	* Changed class to struct

2008-06-16 13:20 +0000 [r8437]  robert:

	* Added mutex to serialize access to the trpager

2008-06-16 09:32 +0000 [r8436]  robert:

	* Checking in missing header changes

2008-06-12 16:33 +0000 [r8434]  robert:

	* Refactored the management of the request queues so that the
	  appropraite mutex is locked when DatabaseRequest objects are
	  modified

2008-06-06 19:57 +0000 [r8425]  robert:

	* Updated wrappers, authors and readme for 2.5.2 dev release

2008-06-06 19:41 +0000 [r8424]  robert:

	* Updated ChangeLog

2008-06-06 17:45 +0000 [r8423]  robert:

	* Updated versions for 2.5.2 dev release

2008-06-06 16:45 +0000 [r8422]  robert:

	* From Jean-Sebastien Guay, "The new osgscreencapture example was
	  being installed to bin instead of to share/OpenSceneGraph/bin,
	  this is because the CMakeLists.txt used SETUP_APPLICATION instead
	  of SETUP_EXAMPLE. Corrected CMakeLists.txt attached. "

2008-06-06 16:41 +0000 [r8421]  robert:

	* From Stephane Lamoliatte, "fix to reading of DatabasePath
	  property"

2008-06-06 16:28 +0000 [r8420]  robert:

	* From Glenn Waldron, "I'm using an IntersectionVisitor with a
	  PagedLOD database, employing a ReadCallback to allow the
	  intersector to traverse the paged nodes. I discovered that if the
	  visitor is unable (for any reason) to load a subtile via the
	  ReadCallback, the intersection fails. However, I had the
	  requirement to "fall back" on the lower-resolution parent tile
	  and settle for that intersection. This was easy to implement
	  simply by overriding IntersectionVisitor::apply(PagedLOD). My
	  question is: Are there any opinions on whether this should be the
	  default behavior? If it makes sense, I will submit the change; if
	  not, no worries."

2008-06-06 16:25 +0000 [r8419]  robert:

	* From Paul Melis, "Here's an updated include/osgText/Text3D that
	  forces recomputation of the glyph repr when the character depth
	  is updated, also when the rendering mode is set. This caused a
	  Text3D object read from a .osg file to not have the correct
	  depth."

2008-06-06 14:59 +0000 [r8418]  robert:

	* From Mathieu Marache, "I have made the logo plugin work again (a
	  simple copy and paste problem) and added the path of the logo
	  file (if not empty) to the data file path in order to be able to
	  find images relatively."

2008-06-06 14:10 +0000 [r8417]  robert:

	* Cleaned up implementation to only use simple structure

2008-06-06 13:21 +0000 [r8415-8416]  robert:

	* Renamed _rendergraph to _stateGraph to better reflect its
	  function

	* Introduce a lower overhead data structure for leaves.

2008-06-06 10:51 +0000 [r8414]  robert:

	* Added update traversal to run prior to doing kdtree build to make
	  sure that costs in build osgTerrain databases isn't incurred
	  during the build traversal.

2008-06-06 09:08 +0000 [r8413]  robert:

	* Quitened down the release context message

2008-06-06 08:42 +0000 [r8412]  robert:

	* Added OSGDB_EXPORT

2008-06-05 18:52 +0000 [r8411]  robert:

	* Added timing code

2008-06-05 17:28 +0000 [r8410]  robert:

	* Basic implementation of kdtree generation based on vertices

2008-06-05 13:46 +0000 [r8409]  robert:

	* Added accep(Shape&)

2008-06-04 17:59 +0000 [r8408]  robert:

	* Further work on fleshing out basic classes

2008-06-04 16:53 +0000 [r8407]  robert:

	* Updated wrappers

2008-06-04 16:46 +0000 [r8406]  robert:

	* Added support for optionally calling releaseContext at the end of
	  each renderinTraversals() to help with cases where uses are
	  driving multiple contexts from mulitple viewers in a single
	  threaded frame loop.

2008-06-03 17:29 +0000 [r8405]  robert:

	* Fleshed out some basic kd-tree data structures.

2008-06-03 16:13 +0000 [r8404]  robert:

	* First cut of osgkdtree example, this will be used as a base of
	  the development of native kdtree support to help speed up
	  intersection testing.

2008-06-03 15:49 +0000 [r8403]  robert:

	* Added missing updateBlock()

2008-06-03 13:07 +0000 [r8401-8402]  robert:

	* From Mario Valle, fixed warnings

	* Ran merge to get rid of tabs

2008-06-03 11:31 +0000 [r8400]  robert:

	* From Marco Lehmann and Robert Osfield, this fix was implemented
	  by Robert but is based on suggested fix from Marco for fixing a
	  crash due to lack of thread safety in std::ofstream("/dev/null");
	  The fix is to use a custom stream buffer that just discards all
	  data. The implementation is also twice as fast as the old
	  /dev/null based approach.

2008-06-03 11:28 +0000 [r8399]  robert:

	* Added unit test to smoke out a thread issue with using
	  ofstream("/dev/null") inside osg::notify()

2008-06-02 17:34 +0000 [r8398]  robert:

	* Added support for assigning GraphicsContext to individual
	  GUIEventAdapter events, and use of this within osgViewer::View to
	  better track the sources of events.

2008-05-31 08:47 +0000 [r8397]  robert:

	* Changed FIND_PACKAGE(PkgConfig) to INCLUDE(FindPkgConfig
	  OPTIONAL) as per suggestion from Philip Lowman.

2008-05-30 21:23 +0000 [r8395]  robert:

	* Updated authors and version file for 2.5.1 dev release

2008-05-30 21:12 +0000 [r8394]  robert:

	* Updated ChangeLog

2008-05-30 21:08 +0000 [r8393]  robert:

	* Added version check on FIND_PACKAGE(PkgConfig) to attempt to fix
	  build with older versions of CMake

2008-05-30 20:15 +0000 [r8392]  robert:

	* Added applyMaskAction(CLEAR_COLOR) to Camera::setClearColor() to
	  enable proper inheritance

2008-05-30 17:03 +0000 [r8391]  robert:

	* Updated ChangeLog

2008-05-30 16:53 +0000 [r8390]  robert:

	* From Jean-Sebastien Guay, "This is a fix for the warning we've
	  been discussing on osg-users. CMake 2.6.0 allows quotes to be
	  unescaped in strings in ADD_DEFINITIONS statements, where we had
	  to escape them before (CMake 2.4.x). Setting CMake policy CMP0005
	  to OLD removes the warning for 2.6.0, and the quotes are still
	  escaped, so it still works with 2.4.x. "

2008-05-30 12:59 +0000 [r8389]  robert:

	* From Luc Frauciel, Added support for
	  osgTerrain::ValidDataOperator. From Robert Osfield, added
	  versioning to the above.

2008-05-30 11:44 +0000 [r8387-8388]  robert:

	* Updated packgage number for 2.5.1 developer release

	* Fixed cirular reference in DatabaseRequest

2008-05-29 13:54 +0000 [r8386]  robert:

	* Moved enum to public scope and rebuilt wrappers to fix wrapper
	  build error

2008-05-29 11:45 +0000 [r8385]  robert:

	* Added code to catch erroneous Dof axis settings

2008-05-29 11:13 +0000 [r8384]  robert:

	* Improved the NaN depth detection within CullVisitor and debug
	  output.

2008-05-29 11:09 +0000 [r8383]  robert:

	* Improved the NaN error detection and reporting.

2008-05-28 17:56 +0000 [r8382]  robert:

	* Added catch for NaN depth values

2008-05-28 16:14 +0000 [r8381]  robert:

	* From Wojiech Lewandowski, Workaround for wglMakeCurrent bug in
	  NVidia drivers by calling wglMakeCurrent twice. This bug has been
	  reported to NVidia, confirmed and fixed by NVidia but awaits
	  verifiaction and release if a driver which fixes this bug.

2008-05-28 14:37 +0000 [r8380]  robert:

	* Updated wrappers

2008-05-28 14:11 +0000 [r8379]  robert:

	* From Adrian Egli, improvements to ParallelSplitShadowMap
	  implementation

2008-05-28 13:51 +0000 [r8378]  robert:

	* From Thibault Genessay, "The PNG plugin crashes when you try to
	  read a malformed file (attached is an example). This can happen
	  in circumstances that are not manageable by the OSG itself (e.g.
	  3rd party buggy program) but one would expect the plugin to be
	  able to recover by returning ReadResult::ERROR_IN_READING_FILE.
	  libpng provides two callbacks for warnings and errors - those are
	  currently unused. By default, they point to function that call
	  exit() or something similar (the default error callback never
	  returns). This patch registers the callbacks using libpng's
	  mechanisms, makes the warning callback emit an
	  osg::notify(osg::WARN) message and the error callback throw an
	  error. The reading process is enclosed in a try...catch block.
	  Upon error, the memory is freed and
	  ReadResult::ERROR_IN_READING_FILE is returned. "

2008-05-28 13:45 +0000 [r8377]  robert:

	* From Thibault Genessay, "On Windows, when setting a cursor
	  through osgViewer::GraphicsWindow::setCursor() the new cursor
	  type is recorded but not applied until windows sends another
	  WM_SETCURSOR message. This delays the application of the cursor
	  to the next mouse event. The attached file fixes this by setting
	  the new cursor with a call to ::SetCursor() immediately. "

2008-05-28 13:01 +0000 [r8376]  robert:

	* From Michael Platings, "Yes it's definitely a driver problem - I
	  submitted a bug report to nvidia 6 months ago and the issue is
	  still "in progress". I've given up waiting for them! Platform -
	  various Intel Windows XP SP2 PCs with various nvidia cards
	  including GeForce 8800 GTS and Quadro FX 4500, and various driver
	  versions including the latest WHQL 175.16. I investigated your
	  concerns about glGenerateMipmapEXT being slower than
	  GL_GENERATE_MIPMAP_SGIS, and for power-of-two textures, to my
	  surprise it is. For a 512*512 texture, glGenerateMipmapEXT takes
	  on average 10ms, while GL_GENERATE_MIPMAP_SGIS takes on average
	  6ms. Therefore I have modified the code to only use
	  glGenerateMipmapEXT if the texture has a non-power-of-two width
	  or height. I am resubmitting all the files previously submitted
	  (only "Texture.cpp" has significant changes since my previous
	  submission, I've also replaced tabs with spaces in "Texture"). "

2008-05-28 12:49 +0000 [r8375]  robert:

	* From Mathieu Marache, first post: "I had the problem that debug
	  and release version of the plugins had the same name under linux.
	  These minors modification to Registry and the CMake support files
	  enable to have both Release and Debug version of the plugins to
	  coexist and be found by there respective runtimes." follow up
	  post: "I've gone ahead and added a preprocessor directive with
	  the editable CMAKE_DEBUG_POSTFIX. I modified Registry.cpp to take
	  this new preprocessor directive called OSG_DEBUG_POSTFIX while
	  looking for libraries in Debug mode for the windows (msvc) and
	  the linux platforms. MinGW, cygwin and Apple are still left out
	  this proposal." Notes from Robert Osfield, completed the work in
	  change d entries to use OSG_DEBUG_POSTFIX

2008-05-28 11:58 +0000 [r8374]  robert:

	* Updated wrappers

2008-05-28 11:19 +0000 [r8373]  robert:

	* From Michael Platings, "On nvidia cards mipmap generation for
	  non-power-of-two textures with GL_GENERATE_MIPMAP_SGIS is very
	  slow (over half a second for a 720*576 texture). However,
	  glGenerateMipmapEXT() performs well (16ms for the same texture),
	  so I have modified the attached files to use
	  Texture::generateMipmap() if glGenerateMipmapEXT is supported,
	  instead of enabling & disabling GL_GENERATE_MIPMAP_SGIS." Notes,
	  from Robert Osfield, I've tested the out of the previous path
	  using GL_GENERATE_MIPMAP_SGIS and non power of two textures on
	  NVidia 7800GT and Nvidia linux drivers with the image size
	  720x576 and only get compile times of 56ms, so the above half
	  second speed looks to be a driver bug. With Muchael's changes the
	  cost goes done to less than 5ms, so it's certainly an effective
	  change, even given that Michael's poor expereiences with
	  GL_GENERATE_MIP_SGIS do look to be a driver bug.

2008-05-27 20:53 +0000 [r8372]  robert:

	* From Brad Anderegg, "This submission fixes two bugs and helps
	  some performance problems we have been having with txp databases.
	  The first bug is that the terrain tiles will page out to a lower
	  LOD when they are right in front of you. The issue appears to be
	  with the blacklisting heuristic which forces a tile to LOD 1,
	  commenting out the usage of blacklisting with the LOD Nodes fixes
	  our problem. This code change was made to line 29 of
	  TXPPageLOD.cpp. The second bug we were experiencing is that the
	  database reader options never make it through to the archive
	  loader. The use case for us appeared when the FID codes for the
	  terrain were no longer on the materials. As it turns out the
	  archive was being created twice, once by TXPNode and once by the
	  ReaderWriterTXP on getArchive() so the options never actually got
	  set on the archive that was being loaded. The fix is to first
	  create the archive by calling getArchive on the ReaderWriterTXP,
	  which stores it in a map for reference later, and then passing
	  that archive into the TXPNode for it to set its internal member.
	  With this code change we only create one archive (not sure what
	  creating two did) and our options flags get set properly on the
	  database. The changes made are in TXPNode.h line 72 where the
	  TXPArchive is now passed in. In the TXPNode.cpp the
	  loadArchive(TXPArchive*) was changed to have the default behavior
	  if NULL is passed in, if an archive is passed in then it does not
	  load it since all the loading is done in the
	  ReaderWriterTXP::getArchive(). The only other place that
	  loadArchive is called is in TXPIO.cpp where a modification was
	  made to pass in NULL which will have the same behavior as it used
	  to. The last change is the little block of code starting on line
	  57 of ReaderWriterTXP.cpp, this was changed so that it first
	  calls getArchive() which caches the archives in a map does some
	  loading stuff and returns a pointer to it which is then passed in
	  as a parameter to TXPNode::loadArchive(). The performance changes
	  were made to TXPParser.cpp line 163 where we use to
	  osgUtil::Optimizer on the node before passing it off, and on line
	  1456 we changed the geometry to use display lists. These small
	  changes actually made drastic performance increases for us, as
	  much as 1000% on certain laptops. As far as testing goes, we have
	  tested these changes with at least 5 txp databases on a variety
	  of different computers including Mac OS and Linux. The base
	  version used is 2.4."

2008-05-27 17:42 +0000 [r8371]  robert:

	* From Cedric Pinson, "By default it's the normal behaviour, it
	  means it's "d" extension for debug library and executable. But if
	  you want to change that you can. The reason is if you want to
	  build an application that use a library that use openscenegraph
	  you have to build the full chain in debug or in release. On
	  windows you have no choice, but on linux you can link with both
	  version without rebuilding everything ... The patch consist only
	  to change the line on one line SET(CMAKE_DEBUG_POSTFIX "d") with
	  SET(CMAKE_DEBUG_POSTFIX "d" CACHE STRING "add a postfix, usually
	  d on windows")"

2008-05-27 17:32 +0000 [r8370]  robert:

	* From Lars Nilson, bug fix to Sector::computeMatrix()

2008-05-27 16:32 +0000 [r8369]  robert:

	* Added handling of \ within srings by using \\

2008-05-27 15:42 +0000 [r8368]  robert:

	* Updated wrappers

2008-05-27 15:30 +0000 [r8366-8367]  robert:

	* Reorginized the TerrainTile/TerrainTechnique dirty mechanism so
	  that TerrainTile now holds the dirty flag and enables/disables
	  event traversal in response dirty being set/unset. This allows
	  terrain to be automatically updated in response to Terrain scale
	  and sample ratio changes.

	* Introduced a TerrainHandler that adjust the sameple ratio and
	  vertical scale of terrain interactively using the 'r','R' and
	  'v','V' keys respecitvely.

2008-05-27 13:11 +0000 [r8365]  robert:

	* From John Vidar Larring, "Added vertical scale as a property of
	  osgTerrain::Terrain. Lets you configure vertical scale when
	  initializing the terrain model. E.g: osgTerrain::Terrain* terrain
	  = findTopMostNodeOfType<osgTerrain::Terrain>(model.get()); if
	  (!terrain) { terrain = new osgTerrain::Terrain;
	  terrain->addChild(model.get()); terrain->setVerticalScale(2.0f);
	  model = terrain; } viewerWindow->setSceneData(model.get()); "

2008-05-27 12:07 +0000 [r8363-8364]  robert:

	* Updated version numbers in prep for 2.5.1 release

	* From Gino van den Bergen, "I've refactored the single
	  ReadedWriterVRML2.cpp into multiple files. The reason for doing
	  this was to break up the horribly long function
	  osg::ref_ptr<osg::Node>
	  ReaderWriterVRML2::convertFromVRML(openvrml::node *obj) The fixes
	  are: * Added the source's parent directory as search directory
	  for image files. * The material properties are now set in the
	  stateset of the Geode rather than the Geometry. This will allow
	  geometries to be reused with different material properties in
	  future updates. NB: I planned for a caching scheme in which
	  multiple occurences of the same primitive (e.g., Cylinders with
	  radius 0.8 and height 1.2), would use the same Geometry object.
	  Unfortunately, my planning moved me to other areas, but I might
	  still finish the caching scheme in a quiet hour. For the time
	  being I decided it would be a good thing to already submit my
	  current changes. "

2008-05-27 11:13 +0000 [r8362]  robert:

	* From Mathias Froehlich, "Included a fix for my past pbuffer
	  change. The version test fo 'need at least glx 1.1' was broken,
	  even if no implementation had yet a chance to trigger that :)
	  Attached a fix for that broken test. Based on rev 8358"

2008-05-27 11:07 +0000 [r8361]  robert:

	* From Andrew Bettison, "Problem: the LineStipple pattern when read
	  from an OSG node file is always 0xFFFF, even though specified
	  otherwise in the OSG file. Cause: possibly a copy/paste typo in
	  src/osgPlugins/osg/LineStipple.cc, line 61: if
	  (fr[0].matchWord("functionMask") && fr[1].getUInt(mask))
	  Solution: change to: if (fr[0].matchWord("pattern") &&
	  fr[1].getUInt(mask))"

2008-05-27 11:04 +0000 [r8360]  robert:

	* From Stephane Lamoliatte, "Here is a patch that fix the strange
	  bug describe on the osg-user group. Finally it seems to not come
	  from the empty geode. The origin of the problem seems to be the
	  uniform initialization during the building of the program which
	  call a glUseProgram. If your scene never display the node that
	  contains the shader and if there is no other shader on the scene,
	  this "glUseProgram" is the only one that is called during your
	  simulation. So, this shader is applied on all the scene. I fix
	  this bug by switching off the shader (by calling glUseProgram(0)
	  ) during the compilation of a state which does not contain the
	  shader. "

2008-05-27 10:50 +0000 [r8359]  robert:

	* From Wang Rui, "I have just done some changes on the classic
	  osgdb_gif plugin (based on OSG 2.5.0). I wish our developers may
	  use the newly written GIF reading plugin to attach animate GIF
	  files as textures now! In my opinion, a GIF is much smaller than
	  AVI and MOVs, and much more efficient sometimes. Changes
	  includes: 1. A new GifImageStream class (inherit from
	  osg::ImageStream and OpenThreads::Thread) have already been added
	  to implement different operations of a GIF movie, such like
	  playing, pausing, rewinding, setting time and so on. 2. Some
	  small changes to decode_row() and gif_read_stream(), which make
	  the transparency of GIF images correctly. 3. Just a few changes
	  to the ReaderWriterGIF::readGIFStream() function, which ensure
	  that animate GIFs are loaded by GifImageStream (and the function
	  returns GifImageStream objects) and static GIFs unchanged (still
	  use the old method and returns osg::Image objects!). Attachments
	  are the cpp file and an animate GIF file for further test. Just
	  rebuild the osgdb_gif project and use osgviewer or osgmovie to
	  view it. The plugin has been tested on Windows and Arch Linux."

2008-05-26 22:36 +0000 [r8357-8358]  robert:

	* From Philip Lowman, post 1: "Here is a collection of changes
	  which should fix issues building the OSG with CMake 2.6.0 (along
	  with some other changes) CMakeLists.txt: * Set CMP0003 to supress
	  warning about linking against -lpthread (which is a non-absolute
	  library location). (CMake 2.6.x fix) * Modified the WIN32_USE_MP
	  and a couple of other Visual Studio specific flags to be in an
	  IF(MSVC) block (minor tweak to reduce exposing this stuff on
	  MinGW builds) * Includes my second set of glu tesselator
	  autodetection changes that you seemed to want but haven't
	  committed yet. src/OpenThreads/pthreads/CMakeLists.txt: *
	  Eliminates warning when compiling on Linux about spaces in link
	  line (CMake 2.6.x fix) CMakeModules/OsgMacroUtils.cmake: * Tweaks
	  to make the macros behave properly under CMake 2.6.0 (doesn't
	  change behavior under CMake 2.4.x)
	  CMakeModules/Find3rdPartyDependencies.cmake: * Adds the
	  NO_DEFAULT_PATH option to all of the search options so that
	  things in C:\Program Files\OpenSceneGraph aren't accidently
	  picked up during configure time and instead only things in the
	  "3rdParty" folder are discovered. (general bugfix) " post 2: "Ok,
	  hold the presses. I just discovered that for some odd reason the
	  osgdb_* plugins under Linux aren't getting put under the
	  osgPlugins-2.5.0 folder. Not exactly sure why this broke, the
	  folder was there, just empty. I'll have to look into it this
	  evening." post 3: "Fixed, was caused by the switch to
	  CMAKE_LIBRARY_OUTPUT_DIRECTORY and some code in
	  osgPlugins/CMakeLists.txt that effectively overrides
	  LIBRARY_OUTPUT_PATH on non-MSVC compilers to dump the plugins in
	  the plugins folder. I tweaked it to override
	  CMAKE_LIBRARY_OUTPUT_DIRECTORY as well. Seems to work fine."

	* From Paul Martz, "When exporting a DrawArrays PrimitiveSet, the
	  DAE plugin computes an incorrect nbVerticesPerPoly if the first
	  index is not zero. The issue can be reproduced easily with:
	  osgconv cessna.osg cessna.dae Examination of the resulting .dae
	  file reveals several out-of-range tristrip indices; viewing the
	  .dae file in osgviewer causes a crash when OSG tries to lookup
	  those indices. Attached resolves this issue."

2008-05-26 21:53 +0000 [r8356]  robert:

	* From Art Tevs, "I've attached a patch for the Texture2DArray
	  which solves problems of loading image data into the texture
	  array. So here are a small description: - Solves issues of
	  loading image data into the texture memory - Print a warning if
	  images are of different dimensions or have different internal
	  formats (GL specification requires images to be the same) Patch
	  is tested and seems to work fine. It shouldn't break any other
	  functionality. It should go into include/osg and src/osg "

2008-05-26 21:44 +0000 [r8355]  robert:

	* Fixed copyright notice typo

2008-05-26 21:33 +0000 [r8353-8354]  robert:

	* From Paul Martz, "The attached code changes StateSet::merge() so
	  that it copies RenderBin data such as the rendering hint and
	  RenderBin details from rhs into "this", only if "this" has
	  RenderBin mode set to INHERIT. It replaces a comment by you
	  indicating something along these lines should be done. To me,
	  this seems like the right thing to do."

	* From Gino, "According to the 1.4.1 COLLADA spec (2nd ed) the
	  standard behavior for fx_sampler_wrap_common is as follows CLAMP
	  ->GL_CLAMP_TO_EDGE NONE->GL_CLAMP_TO_BORDER The current 2.5.0
	  daePlugin assumes the following binding CLAMP ->GL_CLAMP
	  NONE->GL_REPEAT Notably the GL_CLAMP binding will result in
	  visible black seams on input files that use otherwise matching
	  textures. Replacing GL_CLAMP by GL_CLAMP_TO_EDGE solves this
	  problem. I've updated both the read and write functions. "

2008-05-26 21:18 +0000 [r8352]  robert:

	* From Philip Lowman, "I changed the test name to be a little
	  easier to understand and defaulted Linux & Windows builds to
	  false and to skip the compile check as you desired. "

2008-05-26 21:10 +0000 [r8350-8351]  robert:

	* Updated wrappers

	* From Paul Melis, "Here is an update to the osgviewerWX example.
	  Keyboard events were not always received because the
	  GraphicsWindowWX wasn't receiving focus. It now receives focus
	  when the mouse enters the window. * I split the mouse handling
	  from a monolithic method to separate ones, slightly cleaner than
	  a whole bunch of if()'s, especially with another case of the
	  mouse entering the canvas. * I changed the EVT_KEY_DOWN handler
	  to an EVT_CHAR handler, although that now makes the up and down
	  handler assymetric. The new down-handler returns translated key
	  codes, so when you press the S key (without anything else), it
	  actually returns 's' and not 'S' as the EVT_KEY_DOWN did. This
	  means that statistics can be called up in the viewer window,
	  while the example previously only printed a "Stats output:" line
	  to the console. I'm not truly happy that the up handler returns
	  _untranslated_ key codes. But solving this completely would
	  probably mean adding some table that translated from wxWidgets'
	  untranslated key codes to OSG's internal ones. This might be
	  interesting to add, as anyone using OSG + wxWidgets in any
	  serious manner would also have to add this. * I commented out the
	  evt.Skip()'s in the keyboard handlers as these would only be
	  necessary if there were some key events that are not handled. But
	  currently all key events are simply forwarded. * I changed the
	  handling of a mouse drag to a more general mouse move"

2008-05-26 21:04 +0000 [r8349]  robert:

	* From Colin McDonald, "I had to tighten a declaration in
	  OpenFlight/FltWriteResult.h, as the Solaris SunStudio 11 compiler
	  was being picky and wouldn't compile."

2008-05-26 20:46 +0000 [r8348]  robert:

	* Added debug block to output the location of the master camera for
	  each View in a Viewer.

2008-05-26 17:30 +0000 [r8347]  robert:

	* Added continuous recording of the animation path to the
	  RecordAnimationPathHandler

2008-05-26 16:25 +0000 [r8346]  robert:

	* Introduce --pbuffer-only width height option, and added fps
	  reporting to stats output

2008-05-26 15:41 +0000 [r8345]  robert:

	* Added basic --pbuffer width height support

2008-05-26 14:30 +0000 [r8344]  robert:

	* Added better stats reporting

2008-05-26 12:01 +0000 [r8342-8343]  robert:

	* Added feedback of pixel format chosen for read back

	* Added automatic selection of the pixel type according to the
	  window type

2008-05-26 11:53 +0000 [r8341]  robert:

	* Added option for doing triple buffering, and set the default read
	  format to GL_RGBA

2008-05-25 22:06 +0000 [r8340]  robert:

	* Switch to using an inital draw callback when use --start-frame

2008-05-25 21:52 +0000 [r8339]  robert:

	* Added option for setting whether the front or back buffer should
	  be read using --front and --back command line options.

2008-05-25 21:35 +0000 [r8338]  robert:

	* Added option for controlling whether the front buffer is read at
	  the start of the frame or the back buffer at the end of the
	  frame.

2008-05-25 11:21 +0000 [r8337]  robert:

	* Added check for pkg-config so that build only use related package
	  checks when it's supported

2008-05-24 11:05 +0000 [r8336]  robert:

	* Added #define's for PixelBufferObject extensions. Added docs for
	  Camera::DrawCallback

2008-05-24 09:24 +0000 [r8335]  robert:

	* Added RenderStage::setClear*() methods from Camera::getClear*()
	  sources

2008-05-24 08:13 +0000 [r8334]  robert:

	* Changed default format to GL_BGR

2008-05-23 16:26 +0000 [r8333]  robert:

	* Added single buffered and double buffered PBO support, and
	  --no-pbo, --single-pbo and --double-pbo command line parameters

2008-05-22 17:50 +0000 [r8332]  robert:

	* Added basic glReadPixels code

2008-05-22 15:43 +0000 [r8331]  robert:

	* Added camera final callback attachment code.

2008-05-22 13:11 +0000 [r8329-8330]  robert:

	* Fixed name of source file

	* Added new osgscreencapture example folder, implementation to
	  follow

2008-05-22 12:38 +0000 [r8328]  robert:

	* Reorginaized the DatabaseQueue's to avoid warnings under Windows

2008-05-22 11:21 +0000 [r8327]  robert:

	* Fixed warning by adding in missing return

2008-05-22 08:31 +0000 [r8326]  robert:

	* Checking in missed header

2008-05-21 21:09 +0000 [r8325]  robert:

	* Refactored DatabasePager and related classes to introduce support
	  for multi-threaded paging, where the Pager manages threads of
	  reading local and http files via seperate threads. This makes it
	  possible to smoothly browse large databases where parts of the
	  data are locally cached while others are on a remote server.
	  Previously with this type of dataset the pager would stall all
	  paging while http requests were being served, even when parts of
	  the models are still loadable virtue of being in the local cache.
	  Also as part of the refactoring the DatabaseRequest are now
	  stored in the ProxyNode/PagedLOD nodes to facilitate quite
	  updating in the cull traversal, with the new code avoiding mutex
	  locks and searches. Previous on big databases the overhead
	  involved in make database requests could accumulate to a point
	  where it'd cause the cull traversal to break frame. The overhead
	  now is negligable. Finally OSG_FILE_CACHE support has been moved
	  from the curl plugin into the DatabasePager. Eventually this
	  functionality will be moved out into osgDB for more general
	  usage.

2008-05-20 09:28 +0000 [r8324]  robert:

	* Moved the compile to after the updateSceneView

2008-05-14 20:22 +0000 [r8323]  robert:

	* Updated wrappers

2008-05-14 17:03 +0000 [r8322]  robert:

	* Introduced preliminary support for asynchronous file read
	  requests, ReaderWriter::ReadResult now has a FILE_REQUEST enum.
	  ReaderWriter::Options now has a s/getAsynchronousFileReadHint()
	  parameter methods. libcurl based plugin now detects enabing of
	  the AsynchronousFileReadHint, but as yet does not handle async
	  requests - handling everything syncronously. DatabasePager now by
	  default will enable AsynchronousFileReadHint for http based file
	  requests

2008-05-14 14:59 +0000 [r8321]  robert:

	* Moved the cache file writing into StreamObject so that the cache
	  file is only created once data is being read.

2008-05-14 13:16 +0000 [r8320]  robert:

	* Introduced a thread safe map which manages a single EasyCurl
	  object per thread.

2008-05-14 12:47 +0000 [r8319]  robert:

	* Refactor curl usage so that a new EasyCurl class wraps up the
	  curl handle and reading from curl.

2008-05-13 18:28 +0000 [r8318]  robert:

	* Fixed lat/long ordering

2008-05-13 17:27 +0000 [r8317]  robert:

	* Added support for -e level minX minY maxX maxY extents controls

2008-05-13 14:08 +0000 [r8316]  robert:

	* Added --file-cache directoryname command line option support to
	  readNodeFiles(ArgumentParser&) to make it easier to specify a
	  local file cache, in place of the default OSG_FILE_CACHE env var.

2008-05-13 12:36 +0000 [r8315]  robert:

	* Further work on computing of lat/long range of PagedLOD subgraphs

2008-05-13 10:56 +0000 [r8314]  robert:

	* From Steven Thomas, "Subject: Collada fix There was a problem
	  converting a file to Collada by using osgconv like this: osgconv
	  file.osg file.dae You would get an error message: I/O error :
	  Permission denied I/O error : Permission denied error :
	  xmlNewTextWriterFilename : out of memory! Error:
	  daeLIBXMLPlugin::write(file://cessna.dae) failed Warning: Error
	  in writing to "cessna.dae". This was due to some bad URI
	  processing code in the Collada plugin. The attached file fixes
	  this by using the Collada DOM's URI processing functions. After
	  this change the file will convert successfully in the local
	  directory. "

2008-05-12 16:59 +0000 [r8313]  robert:

	* Added signal handling code, and prelimary lat/long computation

2008-05-12 15:42 +0000 [r8312]  robert:

	* Added missing getBound() method

2008-05-12 12:16 +0000 [r8309-8310]  robert:

	* Update ChangeLog and wrappers for 2.5.0 dev release

	* Updated AUTHORS for 2.5.0 release

2008-05-12 11:39 +0000 [r8308]  robert:

	* From Mathias Froehlich, Fixed FrameBufferObject attachement code
	  to handle cases where no texture or image is attached

2008-05-12 11:01 +0000 [r8307]  robert:

	* Updated version number for 2.5.0 dev release

2008-05-12 10:55 +0000 [r8306]  robert:

	* From Eric Sokolowski and Robert Osfield, moved command line
	  option usage setup from osgviewer example into
	  osg::ArgumentParser and osgViewer::Viewer to make them more
	  universally available.

2008-05-12 10:18 +0000 [r8304-8305]  robert:

	* From Bob Kuehne, "* add easy multiple texture targets support for
	  obj by refactoring texture load into it's own method. * use new
	  method from step 1 to load 'map_opacity' textures from .mtl
	  files"

	* From Mathias Froehlich, fixed typo

2008-05-11 14:26 +0000 [r8303]  robert:

	* Added CARIO_FOUND into svg plugins checks

2008-05-11 14:23 +0000 [r8302]  robert:

	* From Miguel Escriva, Here you will find a SVG Image Reader. It
	  renders a SVG file as an osg::Image using cairo and rsvg.

2008-05-10 17:25 +0000 [r8300-8301]  robert:

	* From Paul Martz, "This change adds support for osg::Billboards to
	  the OpenFlight exporter. It might seem odd that the change
	  actually removes the stub apply(Billboard&) method, but it turns
	  out Billboards are easily supported in subordinate routines of
	  the existing apply(Geode&) method with s dynamic_cast, so there's
	  no need for a separate apply(Billboard&)."

	* From Paul Martz, "Another round of plugin enhancements. 3DC:
	  Output now uses osg::notify. JPEG: Now returns correct error code
	  for empty input file. FreeType: Prevent possible crash if Options
	  is NULL."

2008-05-10 17:04 +0000 [r8299]  robert:

	* Moved compile setup from osgViewer::ViewerBase into
	  osgViewer::Renderer to avoid threading issues associated with
	  compile running in a parallel with update/cull on the first
	  frame. Also added automatic recompile when a new SceneData is
	  applied to a View.

2008-05-09 17:22 +0000 [r8298]  robert:

	* Added --file-cache command line option to compliment -c

2008-05-09 17:08 +0000 [r8297]  robert:

	* Initial cut of file cache population app

2008-05-09 11:54 +0000 [r8296]  robert:

	* From Art Trevs, set the _geometryVerticesOut to default to 1 as a
	  workaround for OpenGL driver bug that incorrectly reports a
	  warning when value is 0.

2008-05-09 11:27 +0000 [r8295]  robert:

	* From Paul Martz, "Attached are some minor plugin fixes. PNM, RGB,
	  and JPEG would all crash if attempting to read an empty file, and
	  FLT would go into an infinite loop. All are fixed with this
	  change. I also fixed some return values for a couple of these,
	  changing FILE_NOT_HANDLED to ERROR_IN_READING_FILE where
	  appropriate."

2008-05-09 10:27 +0000 [r8294]  robert:

	* From Jeremy Moles, fixed window resize problem

2008-05-08 17:02 +0000 [r8293]  robert:

	* Added missing check against handling invalid bounding sphere's

2008-05-08 16:48 +0000 [r8291-8292]  robert:

	* From Eric Sokolowsky, "I found one compilation error in OSG 2.4
	  in the Inventor plugin, where one node (SoTextureCoordinate3) was
	  assumed to be available in all versions of Inventor but is
	  actually only available in Coin. The use of the node is now
	  protected by #ifdef __COIN__ constructs. The attachment is based
	  on OSG 2.4, not SVN."

	* From Melchior Franz, "In KDE I switch desktops with Super-Tab,
	  and occasionally I get an excess Tab key report when switching
	  back to an OSG application (usually FlightGear :-). Although KDE
	  has consumed the Tab, it's sometimes still in the XKeymapEvent's
	  key_vector, and followed by a Tab KeyRelease event. Avoid this
	  artifact by - asking for a "fresh" keymap (via XQueryKeymap()),
	  rather than using the unreliable(?) XKeymapEvent's key_vector,
	  and by - flushing all key events on focus-in (to avoid the
	  KeyRelease) After Super-press, Tab-press, Super-release,
	  Tab-release (note the wrong release order!) I still get an extra
	  Tab event. But this is not surprising and not exactly wrong
	  either. Also it's hard to avoid, as we can't see what happened to
	  the keyboard before we regained focus. Files changed:
	  src/osgViewer/GraphicsWindowX11.cpp
	  include/osgViewer/api/X11/GraphicsWindowX11"

2008-05-08 16:39 +0000 [r8290]  robert:

	* From Jeremy Moles, osgviewerGTK example

2008-05-08 15:17 +0000 [r8289]  robert:

	* From Sebastien Messerschmidt, "attached you'll find a patch for
	  the shp-plugin. I've spotted huge memory leaks int ShapeParser
	  and fixed them. Also, there was a missing destructor (PolygonM)
	  and a missing member initialization (PolygonZ) Would be nice if
	  someone could test the changes. To release the memory just if no
	  reading error happened (and therefore the arrays would be valid)
	  I've added an macro to release and reset the pointers at once.
	  I'm not using macros myself very often as I don't like them, but
	  I think it doesn't hurt in this code. "

2008-05-08 15:14 +0000 [r8288]  robert:

	* Updated ChangeLog and osgversion to catch Raymond de Vries name
	  correctly

2008-05-08 14:00 +0000 [r8287]  robert:

	* From Raymond de Vries, "This fix tests the right variable before
	  it is allocated. Fortunately, until now it tested another
	  variable (_particleSizeUniform, which is, at that moment, not
	  allocated as well) and everything went ok. So it does not fix a
	  crash or so, it is a matter of correct code. Line 353 is changed
	  from if (!_particleSizeUniform) to if (!_particleColorUniform) "

2008-05-08 13:56 +0000 [r8286]  robert:

	* From Paul Martz, "As I discovered prior to the 2.4 release, the
	  FLT export geometry backend was using some old turn-on code,
	  originally written just to enable other development but not
	  intended for actual release. Sadly, my OSG training commitments
	  prevented me from fixing this prior to 2.4. In essence, the FLT
	  exporter was emitting a full set of Mesh records each time it
	  encountered a PrimitiveSet. Attached is a fix. The code now emits
	  the Mesh set up records, then iterates over all PrimitiveSets and
	  emits a Mesh Primitive record per PrimitiveSet. It also loops
	  over PrimitiveSets twice, first writing Face records according to
	  the mode, the writing Mesh records (again according to the mode).
	  The final change included here is support for GL_POINTS as
	  single-vertex Face records. Billboards are still to come."

2008-05-08 13:46 +0000 [r8285]  robert:

	* Updated wrappers

2008-05-08 13:22 +0000 [r8284]  robert:

	* From Roland Smeenk, "Small typo and implementation fix for
	  setInitialDrawCallback."

2008-05-08 12:55 +0000 [r8283]  robert:

	* From Philip Lowman, "Attached is a patch to the toplevel
	  CMakeLists.txt which adds an automated test for
	  OSG_GLU_TESS_CALLBACK_TRIPLEDOT. This should help ease initial
	  configuration on OS X systems."

2008-05-08 12:36 +0000 [r8282]  robert:

	* From Garrett Potts and Robert Osfield, changes to build against
	  Collada DOM 2.x

2008-05-08 09:16 +0000 [r8281]  robert:

	* Updated the doxygen docs to explain the deprecated status of
	  SceneView

2008-05-07 17:06 +0000 [r8280]  robert:

	* Commented out checking of DISPLAY env var

2008-05-07 14:32 +0000 [r8278-8279]  robert:

	* Updated wrappers

	* From Bob Kuehne, Added doxygen docs clarification of ReadResult
	  enum values

2008-05-07 14:24 +0000 [r8277]  robert:

	* From Donald Cipperly, "This is a fix to eliminate >> errors in VS
	  7.1"

2008-05-07 14:17 +0000 [r8276]  robert:

	* From Miguel Escriva, "Attached to this mail you will find some
	  files to work with the Philips WOWvx displays. It's implemented
	  in the same way that 3D Spherical Display and Panoramic Spherical
	  Display. You can test it running: osgviewer --wowvx-20 cow.osg
	  osgviewer --wowvx-42 cow.osg depending on the size of your
	  Philips WOWvx display (20" or 42") Other arguments you can use to
	  control the 3D effect are: --wow-content <value> This value
	  defines the kind of content that can be: 0: No depth 1: Signage
	  2: Movie 3: CGI 4: Still --wow-factor <value> Percentage of the
	  display recommended depth value. Default 64, Range [0-255]
	  --wow-offset <value> Amount of range behind the screen. Default
	  128, Range [0-255] 0: Range is shifted in the direction of the
	  viewer. 128: Range is equally divided in front and behind the
	  screen. 255: Range is shifted away from the viewer. "

2008-05-07 13:49 +0000 [r8275]  robert:

	* From Terry Welsh, fixed typo of getEnd()

2008-05-07 13:46 +0000 [r8274]  robert:

	* From Jeremy Moles,"Here's a small example I us to test text
	  rendering in osgWidget; I figured it might be helpful to folks in
	  OSG who need to do the same. "

2008-05-07 13:42 +0000 [r8273]  robert:

	* From Farshid Lashkari, "I've added hardware mipmap support to
	  Texture3D."

2008-05-07 11:59 +0000 [r8272]  robert:

	* Added doxygen comments for attach

2008-04-26 11:13 +0000 [r8238]  robert:

	* Updated package numbers for OSG-2.4, OT-2.2.1 release

2008-04-25 13:10 +0000 [r8229]  robert:

	* Update AUTHORS file for 2.4 release

2008-04-25 12:58 +0000 [r8228]  robert:

	* Updated ChangeLog for 2.4 release

2008-04-25 12:40 +0000 [r8227]  robert:

	* Update NEWS and README to 2.4 stable release

2008-04-25 09:46 +0000 [r8225]  robert:

	* Updated Version number for 2.4 stable release

2008-04-25 09:35 +0000 [r8224]  robert:

	* From Stephane Lamoliatte, "Here is the fix of a very little typed
	  error in BoundingBox : I replace "doulbe" by "double"."

2008-04-25 08:34 +0000 [r8222]  robert:

	* Added cast to avoid warning

2008-04-24 16:50 +0000 [r8218-8220]  robert:

	* Updated date of 2.4 release

	* Updated AUTHORS file for release

	* Updated ChangeLog for 2.3.11 release

2008-04-24 16:24 +0000 [r8217]  robert:

	* From Wojchiech Lewandowski, add missing setDataVariance(DYNAMIC)
	  and extra event handlers

2008-04-24 14:46 +0000 [r8213]  robert:

	* From Colin Dunlop, added alias for .live to quicktime plugin
	  mapping.

2008-04-24 11:34 +0000 [r8211]  robert:

	* Reverted the changes for ill fated tweaks for Apple build

2008-04-24 10:09 +0000 [r8210]  robert:

	* From Mattias Helsing, "I just made Find3rdPartyDependencies
	  search for curllib if it can't find libcurl. Mike's 3rdParty only
	  has curllib. I realize now that the in appended file I have
	  earlier removed searching for freetype219 since I have it but it
	  will break the build of osg."

2008-04-23 21:07 +0000 [r8205-8206]  robert:

	* Updated authors file for 2.3.11 release

	* Updated ChangeLog

2008-04-23 20:54 +0000 [r8202]  robert:

	* Updated version number 2.3.11

2008-04-23 20:50 +0000 [r8200-8201]  robert:

	* Refactored the inclusion of the headers in the ADD_LIBRARY so
	  that they aren't added under OSX.

	* Removed the mutable from the _image variable

2008-04-23 14:10 +0000 [r8195]  robert:

	* Added mutex to object creation to avoid a race condition when
	  using threaded multiple graphics context

2008-04-22 14:31 +0000 [r8193]  robert:

	* Added return.

2008-04-22 14:15 +0000 [r8192]  robert:

	* From Stephan Huber, "the support for the new mightymouse and new
	  touchpads was incomplete in GraphicsWindowCarbon. Attached is a
	  fixed version."

2008-04-22 13:00 +0000 [r8191]  robert:

	* Updated AUTHORS file

2008-04-22 12:52 +0000 [r8189]  robert:

	* Updated ChangeLog, NEWS and READE for 2.3.10 pre release of 2.4.

2008-04-22 11:47 +0000 [r8188]  robert:

	* Updated version number for 2.3.10 dev release

2008-04-22 11:41 +0000 [r8186-8187]  robert:

	* Updated wrappers

	* Removed hardware down sampling hack from GeoemtryTechnique and
	  replaced with Terrain::g/setSampleRatio() usage.

2008-04-22 10:10 +0000 [r8185]  robert:

	* Updated authors

2008-04-22 09:43 +0000 [r8184]  robert:

	* Fixed name

2008-04-21 16:31 +0000 [r8152]  robert:

	* Updated NEWS for 2.4 release

2008-04-21 14:51 +0000 [r8151]  robert:

	* From Luigi Calori, Added CURL_IS_STATIC option to help hint to
	  the libcurl's plugin build so that it can be select as static
	  build

2008-04-18 16:21 +0000 [r8144-8145]  robert:

	* Updated AUTHORS file for release

	* Updated ChangeLog

2008-04-18 15:52 +0000 [r8143]  robert:

	* Updated date on readem

2008-04-18 15:01 +0000 [r8142]  robert:

	* Updated wrappers

2008-04-18 14:57 +0000 [r8141]  robert:

	* Added support for COLOR_BUFFER entries up to 15

2008-04-18 14:51 +0000 [r8140]  robert:

	* Updated BufferComponent enum to list COLOR_BUFFERi entries up to
	  15.

2008-04-18 14:33 +0000 [r8139]  robert:

	* Fixed bug in FBO colour attachement code

2008-04-18 14:14 +0000 [r8138]  robert:

	* Added optional compiled in debugging output to
	  CullVisitor::apply(osg::Camera&)

2008-04-18 13:57 +0000 [r8137]  robert:

	* Added write(ostream&) method to allow one to print out the
	  current state

2008-04-18 13:25 +0000 [r8136]  robert:

	* Changed the FrameBufferObject::setAttachment() methods so it now
	  use osg::Camera::BufferComponent to enable it to distinguish
	  between MRT and non MRT paths

2008-04-18 11:09 +0000 [r8135]  robert:

	* Introduce OSG_GL_ERROR_CHECKING env var checking to osg::State
	  constructor so that you can enable fine grained check via env
	  vars o.e. export OSG_GL_ERROR_CHECKING=ONCE_PER_ATTRIBUTE

2008-04-17 15:30 +0000 [r8132]  robert:

	* From Stephan Huber, "attached you'll find a refactored and
	  improved quicktime-plugin. I moved all code related to the
	  image-loading, swizzling etc into an extra class. The quicktime
	  plugin supports now reading and writing images from/to streams
	  and the code is less cluttered than previous versions. I removed
	  QTtexture.h/.cpp and added QTImportExport.h/.cpp. I updated the
	  CMake-files, I hope they are alright. I used the submitted code
	  in my own apps since two months or so and it seems pretty stable,
	  but as always the migration to the osg-quicktime plugin may have
	  introduced new bugs, so perfect for developer release :)"

2008-04-17 11:12 +0000 [r8127]  robert:

	* From John Shue, build fix for QT 3.x

2008-04-17 09:04 +0000 [r8122]  shuber:

	* updated XCode project

2008-04-16 18:13 +0000 [r8121]  robert:

	* Added new computation of time to allocate to flushing deleted and
	  compiling OpenGL objects per frame.

2008-04-16 15:23 +0000 [r8118-8119]  robert:

	* From Bob Kuehne, "he attached are conversions of the 3 main
	  places i found in osg where tokens are used to represent bitmasks
	  with 'magic' numbers, like 32. i've changed these to a more
	  representative bitshift representation, showing clearly in which
	  bit you can expect this token to manifest. ie, converted things
	  like: from: DEEP_COPY_STATESETS = 8, to: DEEP_COPY_STATESETS =
	  1<<3, showing clearly that this isn't the _value_ 8, but the
	  _bit_ 8. this is an old pattern i see (and like to promulgate) to
	  make code a bit more readable and maintainable. "

	* Updated version number for nex dev release

2008-04-16 10:01 +0000 [r8107]  robert:

	* From Jason Beverage, cursor inheritance support

2008-04-15 20:27 +0000 [r8105]  robert:

	* Updated AUTHORS.txt for release

2008-04-15 20:16 +0000 [r8104]  robert:

	* Updated ChangeLog

2008-04-15 19:46 +0000 [r8103]  robert:

	* From Jason Beverage, "The following changes fix the flickering
	  issue I'm seeing when trying to externally manage my cursor in
	  Win32. If you set the cursor to InheritCursor,
	  GraphicsWindowWin32 ignores WM_SETCURSOR and assumes you will set
	  the cursor yourself."

2008-04-15 19:36 +0000 [r8102]  robert:

	* From Art Trevs, moved multile render targets support from
	  RenderStage into FrameBufferObject. From Robert Osfield,
	  refactored the FrameBufferObejcts::_drawBuffers set up so that
	  its done within the setAttachment method to avoid potential
	  threading/execution order issues.

2008-04-15 12:52 +0000 [r8099]  robert:

	* Updated wrappers

2008-04-15 11:50 +0000 [r8096]  robert:

	* From Tim Moore, compile fix for gcc 4.3

2008-04-14 10:38 +0000 [r8095]  robert:

	* Added docs explaining units

2008-04-13 19:31 +0000 [r8094]  robert:

	* Added subdivision of Goedes

2008-04-13 14:32 +0000 [r8092-8093]  robert:

	* From Christian Kaser, "I discovered a bug that lead to a space
	  being displayed at the start of the new line after an automatic
	  line break (through setMaximumWidth()). The fix simply skips all
	  spaces at the end of the line, before skipping a line break which
	  was done already. osgText/Text.cpp: Line 502 ... else { ++itr; }
	  if (itr!=_text.end()) { // skip over spaces and return. while
	  (*itr==' ') ++itr; // New if (*itr=='\n') ++itr; } // move to new
	  line. switch(_layout) { .."

	* From Paul Martz, added osgocclussionquery and osgthirdpersonview
	  examples

2008-04-12 10:02 +0000 [r8091]  robert:

	* Changed bias parameter to scale

2008-04-11 14:52 +0000 [r8090]  robert:

	* Updadated authors file for dev release

2008-04-11 14:43 +0000 [r8089]  robert:

	* Updated wrappers, and version numbers in prep for next release

2008-04-11 14:33 +0000 [r8088]  robert:

	* Fixed J.P. Delports name

2008-04-11 14:14 +0000 [r8087]  robert:

	* Added --unit entry for controlling which texture unit the overlay
	  works on.

2008-04-11 13:43 +0000 [r8086]  robert:

	* From Paul Martz,"Several misc changes, but the major fixes
	  include: * Support for Vec4ubArray for color data * Support for
	  material transparency Thanks to Neil Hughes, Jason Daly,
	  yourself, and others for testing and reporting issues."

2008-04-11 13:28 +0000 [r8085]  robert:

	* From Philipp Machler, "We have extended the support for Wacom
	  Tablet devices: - Mac OS X - not only pressure, but tilt and
	  z-rotation is supported now "

2008-04-11 13:04 +0000 [r8083-8084]  robert:

	* Added reference to osgstereomatch example to
	  osgmultiplerendertargets. Added usage example use
	  OpenSceneGraph-Data/Images examples

	* From Sherman Wilcox, "Here is a patch for cmakelists.txt to add
	  support for the /MP option in Microsoft compilers as discussed in
	  osg-users. There is now an advanced option called WIN32_USE_MP
	  (which defaults to OFF) that will enable the /MP switch for all
	  builds. I tucked this code block safely within a IF(WIN32)
	  branch."

2008-04-11 11:58 +0000 [r8082]  robert:

	* From Jose Delport, a MRT example implementing stereo matching.

2008-04-11 11:19 +0000 [r8080]  robert:

	* Updated wrappers

2008-04-11 11:10 +0000 [r8079]  robert:

	* From Melchior Franz, "The GUIEventAdapter header file had
	  KeySymbols for the super and hyper keys defined already, but
	  these modifiers were missing in GUIEventAdapter::ModKeyMask, and
	  the EventQueue ingored them as well. The attached diff/archive
	  adds the missing parts for Super/Hyper modifier key support. I'm
	  aware that this might not be supported on all systems/keyboards
	  out of the box, but decided to submit it anyway because: -
	  developers are aware of differences between input devices (Some
	  mice have scroll wheels, others don't. Some have five or more
	  buttons, some have only one. Some keyboards don't have numpads,
	  some have AltGr, some don't etc.) - even if someone relies on
	  Hyper/Super in distributed software, this is easy to fix and
	  doesn't create lock-in conditions - while the names Hyper/Super
	  may only be common on X11, they are just symbol names and not
	  OS-specific - even though some systems might not offer these
	  additional modifiers by default, it's likely that all of them
	  have at least 8 modifier levels internally, so it should only be
	  a matter of OS configuration to make them work - having
	  super/hyper available is useful to offer a user ways to define
	  local key definitions that are safe from collisions with
	  predefined "official" key assignments"

2008-04-11 10:58 +0000 [r8078]  robert:

	* From Sherman Wilcox, "Modified the cmakelists.txt file for the
	  curl plugin so the proper linker directories are set in Win32.
	  The old cmakelists.txt would set the lib release folder for debug
	  builds as well. This should correct that."

2008-04-11 10:31 +0000 [r8076-8077]  robert:

	* From Colin McDonald, fixed typo.

	* From Benoit Laniel, "I use mingw to cross-compile openscenegraph
	  to win32. However, linux filesystem is case-sensitive. Here are
	  the modifications needed to make the compiler happy. These are
	  only some include lines rewritten (Io.h to io.h, Windows.h to
	  windows.h etc.) for version 2.3.7."

2008-04-11 10:16 +0000 [r8074]  robert:

	* From Bob Kuehne, "1) add simplifier command "--simplifier .5" to
	  reduce complexity 2) complementarily add a "--overallNormal" to
	  replace per-vert/per-facet normals with an overall. simplifier
	  doesn't work in certain cases without less complex normals. this
	  gets that done. 3) add env var output with full verbose output so
	  people realize it's active when the app is run - i see this all
	  the time in training where people run osgconv, with unintended
	  data transformations due to osgUtil:;Optimzer, for example"

2008-04-11 10:10 +0000 [r8073]  robert:

	* Added --mouse option to enable mouse tracking, and fixed bug in
	  assumption that nv is not null.

2008-04-03 18:36 +0000 [r8038]  robert:

	* Introduced CMake build option for compiling double or float
	  versions of osg::BoundingSphere and osg::BoundingBox. Introduced
	  code in BoundgingSphere, BoundingBox, ProxyNode and LOD to
	  utilise the above settings. Added Matrix::value_type,
	  Plane::value_type, BoundingSphere::value_type and
	  BoundingBox::value_type command line options that report where
	  the types of floats or doubles.

2008-04-03 18:06 +0000 [r8037]  robert:

	* From Colin McDonald, "The X11WindowingSystemInterface in
	  osgViewer/GraphicsWindowX11.cpp unconditionally sets the X11
	  error handler routine, replacing anything that was previously
	  set. This is a bit unfriendly, as the X11 error handler is a
	  global attribute which the application, or the GUI toolkit being
	  used, may well have set itself. So I have modified
	  X11WindowingSystemInterface to only replace the error handler if
	  it is the default i.e. if the application has not set it."

2008-04-03 10:26 +0000 [r8033]  robert:

	* From Mattias Helsing, "While using the dds plugin (via osgdem) it
	  was able to write 24bit images with BGR order but not read them.
	  My 2-liner fixed it for me but it may be that someone with more
	  knowledge of the plugin want to insert more pixel formats in the
	  reading part of the plugin."

2008-04-02 17:08 +0000 [r8032]  robert:

	* From Jose Delport, added support for MRT via glDrawBuffers

2008-04-02 13:57 +0000 [r8030-8031]  robert:

	* From Mattias Helsing, "Subject: osga reading slash mismatch
	  requests for files in a archive are made with unix style paths.
	  So to be able to match an entry in map(_indexMap) it's keys needs
	  to be stored in unix style even on Win32" Note from Robert
	  Osfied, simplified this submission so that the added conversion
	  to unix slahes is done on all platforms as this should be safe
	  and simpler to maintain.

	* Updated to reflect new COLOR_BUFFER0 value

2008-04-02 13:48 +0000 [r8028-8029]  robert:

	* From Jose Delport, introduced osgmultiplerendertargets example

	* Changed the Camera::BufferComponent::COLOR_BUFFER0 from being
	  equal to COLOR_BUFFER to being COLOR_BUFFER+1 to enable
	  differentation between non MRT and MRT paths.

2008-04-02 11:28 +0000 [r8027]  robert:

	* From Jose Delport, typo fixes

2008-04-01 17:22 +0000 [r8025]  robert:

	* Updated ChangeLog, osgversion and AUTHOR.txt for 2.3.7 dev
	  release

2008-04-01 14:52 +0000 [r8024]  robert:

	* Removed svn:externals property

2008-04-01 14:28 +0000 [r8023]  robert:

	* Updated data for 2.3.7 dev release

2008-04-01 11:03 +0000 [r8022]  robert:

	* Updated OpenThreads version to 2.2.1 with the switch of
	  sources/svn:externals from OpenThreads to OpenSceneGraph.

2008-04-01 10:49 +0000 [r8020]  robert:

	* Moved OpenThreads directly into OpenSceneGraph/trunk rather than
	  being introduced via svn:externals. This change has been done to
	  make it easier for OpenSceneGraph users to check out the svn via
	  https without any conflicts introduced with a http externals.

2008-04-01 10:33 +0000 [r8019]  robert:

	* Updated version numbers for 2.3.7 dev release

2008-04-01 10:11 +0000 [r8018]  robert:

	* From Paul Martz, "Two changes: - Handle DrawArrays first/count
	  correctly (fixes problem reported by Jason Daly) - Display
	  warning if non-Geometry Drawable is encountered."

2008-04-01 10:00 +0000 [r8017]  robert:

	* From Tatsuhiro Nishioka and Stephan Huber, bug fixes and
	  enhancement of cursor suppoort.

2008-03-31 16:23 +0000 [r8016]  robert:

	* Added checks for a valid scene graph before doing various ops on
	  it.

2008-03-31 14:00 +0000 [r8015]  robert:

	* From Andy Skinner, build fix for Solaris

2008-03-31 11:44 +0000 [r8014]  robert:

	* Added Camera::s/getClearAccum, s/getClearStencil and
	  s/getClearDepth.

2008-03-31 09:43 +0000 [r8013]  robert:

	* Updated wrappers

2008-03-29 09:59 +0000 [r8011]  robert:

	* From Sherman Wilcox with a little reorganisation from Robert
	  Osfield, added test for 0 sized subloads, ignoring them to
	  prevent a divide by zero error occuring on some buggy drivers.

2008-03-28 19:56 +0000 [r8010]  robert:

	* From Paul Martz, "Some small changes and code cleanup. Biggest
	  change is an improvement to the WriteResult return."

2008-03-28 18:42 +0000 [r8009]  robert:

	* Set Texture::setMaxAnisotropy() to 16.0f for better quality
	  terrain when looking at shallow angle.

2008-03-28 17:53 +0000 [r8008]  robert:

	* Improved the error capture and reporting

2008-03-28 15:52 +0000 [r8007]  robert:

	* Rewrote the DatabasePager::removeExpiredSubgraphs(double) routine
	  as it as not expiring subgraphs quick enough to enable reasonable
	  load balancing. New version isn't perfect and will need further
	  work, but does at least reduce the memory footprint by as much as
	  half on test paths on big databases. The rewritten method no
	  longer uses the the MaximumNumOfRemovedChildPagedLODs and
	  MinimumNumOfInactivePagedLODs variables so these and associated
	  methods for accessing them have been removed. - /** Set the
	  maximum number of PagedLOD child to remove per frame */ - void
	  setMaximumNumOfRemovedChildPagedLODs(unsigned int number) {
	  _maximumNumOfRemovedChildPagedLODs = number; } - - /** Get the
	  maximum number of PagedLOD child to remove per frame */ -
	  unsigned int getMaximumNumOfRemovedChildPagedLODs() const {
	  return _maximumNumOfRemovedChildPagedLODs; } - - /** Set the
	  minimum number of inactive PagedLOD child to keep */ - void
	  setMinimumNumOfInactivePagedLODs(unsigned int number) {
	  _minimumNumOfInactivePagedLODs = number; } - - /** Get the
	  minimum number of inactive PagedLOD child to keep */ - unsigned
	  int getMinimumNumOfInactivePagedLODs() const { return
	  _minimumNumOfInactivePagedLODs; }

2008-03-28 15:31 +0000 [r8006]  robert:

	* Introduced mutex into Terrain node to manage the tile system data
	  structures

2008-03-28 15:28 +0000 [r8005]  robert:

	* Reordered set up of scene and event handlers to prevent warning

2008-03-28 13:22 +0000 [r8004]  robert:

	* Removed old lower case versions

2008-03-28 12:44 +0000 [r8003]  robert:

	* From Paul Martz, "Here's the mods to the OpenFlight plugin to
	  support FLT export. The ZIP file contains the new .cpp/h files as
	  well as existing files that I modified. Changes to existing
	  files: ReaderWriter.cpp -- to support writeNode() of course.
	  ReaderWriterATTR.cpp -- to support writeObject -- we write .attr
	  files for textures, if they don't already exist. AttrData.cpp/.h
	  -- Minor fixes. CMakeLists.txt -- to include the new files in the
	  build." From Robert Osfield, port to non Windows platforms just
	  required fixing of header capitilization errors that windows lets
	  through the net due to having a case insensitive file system.

2008-03-27 13:21 +0000 [r8002]  robert:

	* Removed TileSystem class, and added support for TerrainTile's
	  automatically registering and unregistering themseles with the
	  enclosing Terrain node.

2008-03-27 11:56 +0000 [r8000-8001]  robert:

	* Added wrapper for TerrainTile

	* Renamed osgTerrain::TerrainSystem to osgTerrain::Terrain

2008-03-27 10:55 +0000 [r7999]  robert:

	* Renamed Terrain to TerrainTile

2008-03-26 20:06 +0000 [r7998]  robert:

	* Introduce TerrainSystem node which decorates a complete terrain
	  model made up of Terrain tiles.

2008-03-26 20:03 +0000 [r7996-7997]  robert:

	* From Carlo Camporesi, "I have made some changes in order to allow
	  the using of proxies via env variables and options. I have
	  modified also the cmakelist. In this way osg is able to find the
	  library in 3rdParty directory."

	* From Carlo Comporesi, adding support of finding libcurl in 3rd
	  party dependencies

2008-03-25 15:21 +0000 [r7995]  robert:

	* From Tomas Hnilica, " Attached is modified source of
	  AdapterWidget.cpp file from osgviewerQT example. Original was
	  token today from SVN - trunk. (2.3.6). --mdi option needs to be
	  set to run MDI version. Few notes: - tested on Windows box (Win
	  XP) - using QT4 - I was not able to execute the example with
	  QOSGWidget - had same error like described in [osg-users] "fate
	  error using QOSGWidget in develop release 2.3.0" thread from
	  Shuxing Xiao, 2008-01-08. - problems are described in source --
	  And Later post: The problem of keypress events was solved by QT
	  community, attached is repaired AdapterWidget.cpp file. In the
	  AdapterWidget class constructor following line was added:
	  setFocusPolicy(Qt::ClickFocus); Scene disappearing by resizing to
	  minimum still needs to be fixed..."

2008-03-25 13:14 +0000 [r7994]  robert:

	* Moved include of c headers to top, and remove using std::strlen
	  in an attempt to solve gcc4.3 compile problems

2008-03-25 13:06 +0000 [r7993]  robert:

	* Added limits.h to try and avoid gcc 4.3 compile problems

2008-03-25 13:01 +0000 [r7992]  robert:

	* Added #include<memory> to fix gcc 4.3 build problem

2008-03-25 12:26 +0000 [r7991]  robert:

	* Fixed LessGeode operator.

2008-03-25 11:50 +0000 [r7990]  robert:

	* From Wojciech Leandowski, "I removed few lines of code that were
	  setting Threading mode and Screen mode. I believe they are now
	  not neccessary because the same does osgViewer::Viewer argument
	  parser. In fact argument list does not contain these args after
	  they were parsed by osgViewer::Viewer constructor. I also allowed
	  myself to add ThreadingHandler to the example."

2008-03-24 18:06 +0000 [r7989]  robert:

	* Added sampling down to 32x32 mesh for 64x64 height fields as a
	  workaround to memory consumption issues with high res whole earth
	  paged databases.

2008-03-24 18:03 +0000 [r7988]  robert:

	* Added mutex to prevent multiple cull threads changing the
	  MultiTextureControl at one time.

2008-03-24 10:53 +0000 [r7987]  robert:

	* Added full range of cameras manipulators to
	  osgmultitexturecontrol example

2008-03-23 18:28 +0000 [r7986]  robert:

	* Added < and > key bindings to allow the speed to be animation
	  speed to be increased or decreased.

2008-03-21 18:35 +0000 [r7985]  robert:

	* Added preliminary file cache support. Enabled by setting the
	  OSG_FILE_CACHE variable.

2008-03-21 18:31 +0000 [r7984]  robert:

	* Added missing break; at end of each case entry.

2008-03-21 15:43 +0000 [r7983]  robert:

	* Fixed push/popping of filepath, removed verbose debug messages

2008-03-21 13:20 +0000 [r7982]  robert:

	* Added better detection and error reporting of files without
	  proper server address

2008-03-21 13:08 +0000 [r7981]  robert:

	* Added initial cut of libcurl based plugin

2008-03-20 10:24 +0000 [r7979]  robert:

	* Updated date for 2.4.6 release

2008-03-19 21:05 +0000 [r7978]  robert:

	* From Melchoir Franz, "osgViewer toggled the NumLock state
	  correctly when pressing the NumLock key, but it didn't pick up
	  the initial state. So, if NumLock was on for the OS at startup
	  (LED on), it was still off for OSG. And the first keypress turned
	  the LED off, and NumLock on for OSG. The attached fix picks up
	  the state on every FocusIn, just like it was done in the last
	  commits for CapsLock. The difference is, that the NumLock mask
	  isn't standardized (e.g. 0x10 for Linux, and 0x80 for AIX), so we
	  have to do a reverse lookup (::rescanModifierMapping()). Note
	  that I could not reproduce the problem on my system, but someone
	  else confirmed it twice on his, and the patch fixed it for him.
	  Changed files: ./include/osgViewer/api/X11/GraphicsWindowX11
	  ./src/osgViewer/GraphicsWindowX11.cpp "

2008-03-19 17:11 +0000 [r7976-7977]  robert:

	* Update AUTHOR file

	* Updated version and ChangeLog for 2.3.6 dev release.

2008-03-19 12:30 +0000 [r7975]  robert:

	* Updated wrappers

2008-03-19 12:09 +0000 [r7974]  robert:

	* From Sebastian Messerschimdt, Added polygon offset controls

2008-03-19 11:41 +0000 [r7971-7973]  robert:

	* Updated wrappers

	* Revert the Camera::setInheritanceMask(0x) calls that were added
	  as workaround to a bug introduced by a bug fix to the way the
	  inhertiance mask was handled in CullVisito::apply(Camera&)

	* Introduced InheritanceMaskActionOnAttributeSetting member to
	  CullSettings, and associated applyMaskAction method that is now
	  used in all CullSettings::set*() methods, which by default helps
	  disable the inheritance mask associated with settings that are
	  made locally.

2008-03-18 17:44 +0000 [r7970]  robert:

	* Set the CullSettings::InhertianceMask to 0x0 as temporary measure
	  till we work out the best scheme to use w.r.t inhertiance of
	  CullSettins.

2008-03-18 15:48 +0000 [r7969]  robert:

	* Updated wrappers

2008-03-18 15:37 +0000 [r7968]  robert:

	* To osg::AutoTransform added support for MinimumScale,
	  MaximumScale and AutoScaleTransitionWidth parameters and a new
	  scheme for computing the scaling when using autoscale that
	  introduces smooth transitions to the scaling of the subgraph so
	  that it looks more natural.

2008-03-18 10:45 +0000 [r7967]  robert:

	* Added example code showing how to set the minimum and maximum
	  scales

2008-03-18 09:17 +0000 [r7966]  robert:

	* Added ObjectRecordData to include list

2008-03-17 15:22 +0000 [r7965]  robert:

	* Added minimum and maximum scale support to osg::AutoTransform

2008-03-17 12:23 +0000 [r7964]  robert:

	* Fixed moving model bug where the moving model code was looking
	  for a transform with DataVariance set to DYNAMIC, but the scene
	  graph set up code was leaving the setting to default to STATIC.
	  Fix involved setting DataVariance on moving transoforms to
	  DYNAMIC.

2008-03-17 12:13 +0000 [r7961-7963]  robert:

	* Updated wrappers

	* Added doxygen docs

	* Introduce
	  osgParticle::ParticleSystem::s/getParticleScaleReferenceFrame()
	  to help manage the scaling of particles, whether they should be
	  relative to the local coordiante frame of the particle system, or
	  be in world coordinates.

2008-03-17 10:29 +0000 [r7960]  robert:

	* Added fire effect, enabled by --fire command line option. The new
	  fire effect has been introduced to reproduce the scaling of
	  paricle effects

2008-03-15 19:27 +0000 [r7959]  robert:

	* Added better error reporting

2008-03-14 16:51 +0000 [r7957]  robert:

	* From Paul Melis, "typo fix : NVidea -> NVidia (including option
	  --Nvidea)"

2008-03-14 16:24 +0000 [r7956]  robert:

	* Update ChangeLog and AUTHORS.txt file for 2.3.5 release

2008-03-14 15:33 +0000 [r7953-7955]  robert:

	* Updated wrappers

	* Added utilty script for cleaning up build files/directories.

	* Fixed indenting

2008-03-14 15:13 +0000 [r7952]  robert:

	* From Melchior Franz, "Attached is a fix for remaining problems in
	  capslock handling: It sets osgGA's keymask when restoring keys on
	  FocusIn, according to the state values of XKeyEvent and
	  XCrossingEvent. (These are the only source for X11's current
	  capslock state that avoids pulling in the XKB extension.) "

2008-03-14 15:00 +0000 [r7951]  robert:

	* Missing checkin

2008-03-14 14:35 +0000 [r7950]  robert:

	* Added iostream include

2008-03-14 13:21 +0000 [r7949]  robert:

	* Added cloning of the StateSet before modification to work around
	  threading issue relating to the StateSet being modified by the
	  event/update thread and read from the draw thread at the same
	  time.

2008-03-14 12:03 +0000 [r7948]  robert:

	* Converted static const unsigned int definitio to enum.

2008-03-14 11:53 +0000 [r7947]  robert:

	* Updated version/author type fixes, authors, readme and changelog
	  for 2.3.5 dev release

2008-03-14 11:07 +0000 [r7944-7946]  robert:

	* Updated wrappers

	* Improved the indenting

	* Changed the const get(), operator*() and operator->() methods to
	  return non const T versions

2008-03-14 11:01 +0000 [r7943]  robert:

	* From Andy Skinner, build fix for Solaris

2008-03-13 19:48 +0000 [r7942]  robert:

	* Fixed doc comment

2008-03-13 19:44 +0000 [r7941]  robert:

	* Removed gl and glu prefixes from SceneGraphBuilder methods to
	  avoid problems under Solaris

2008-03-13 16:40 +0000 [r7939-7940]  robert:

	* From Gino van den Bergen, "I've added a few fixes to the VRML 2.0
	  plugin: 1) Full DOS paths are now correctly opened by OpenVRML. A
	  URL containing a DOS path should be "file:///C:data/blah" rather
	  than "file://C:data/blah". 2) The last primitive defined in
	  "coordIndex" is now added if the "coordIndex" is not terminated
	  by -1. 3) Smoothed normals are computed if no normal field is
	  provided. Currently, there is no support for "creaseAngle", so
	  all edges (even the ones sharper than the creaseAngle) are
	  smoothed. I might add this in the future if demand rises. 4) If
	  an IndexedFaceSet contains only triangles or quads then the
	  primitive type is set to TRIANGLES or QUADS, and the primset
	  becomes DrawArrays rather than DrawArrayLengths. Question: I
	  noticed that for DrawArrays you can still provide an index array.
	  Would the rendering be faster if I'd create DrawElements primsets
	  rather than DrawArrays? Phrased differently, what is the benefit
	  of using DrawElements over DrawArrays, as there is clearly not a
	  one-to-one mapping of these concepts to their OpenGL
	  counterparts? 5) Objects are added to the transparent bin and
	  blend mode is enabled only if the transparency is nonzero.
	  Rendered transparent objects no longer write the depth buffer."

	* From Jose Delport, "attached is a version of osgunittests that
	  does not give false alarms for the case where q1 = -q2. The
	  output of 'osgunittests quat' is now much cleaner. "

2008-03-13 16:22 +0000 [r7938]  robert:

	* From Paul Melis, "Here is an updated osgviewerWX example to bring
	  it more in line with the other GUI toolkit examples. It now takes
	  a model file as command-line argument (complaining if there isn't
	  one), and its startup window size is now actually applied (it
	  used to be too small). I tested this with a unicode-build of
	  wxWidgets, as that is the recommended build type on Linux with
	  GTK. I'm pretty sure this version of the example will work for
	  the ANSI build as well, but I have no way of testing."

2008-03-13 16:18 +0000 [r7937]  robert:

	* From Melchoir Franz, "ac3d.cpp does currently strip everything
	  but the file name in "texture" paths. This is to drop absolute
	  paths that some 3d editors export (even AC3D itself!). But this
	  also strips directories of relative paths, which is wrong and
	  contradicts the ac3d reference implementation. (The reference
	  implementation doesn't strip anything, though, and so takes the
	  absolute paths as they are. Definitely not what we want.) The
	  attached solution checks absolute paths and only strips those:
	  (1) A:\\foo\\bar.png -> bar.png (as before) (2) /foo/bar.png ->
	  bar.png (as before) (3) foo/bar.png -> foo/bar.png (new) (4)
	  ../foo/bar.png -> ../foo/bar.png (new) "

2008-03-13 16:12 +0000 [r7936]  robert:

	* From Melchoir Franz, Caps lock support under X11

2008-03-13 16:05 +0000 [r7934-7935]  robert:

	* Added double versions of intersect methods

	* Updated wrappers

2008-03-13 15:23 +0000 [r7932-7933]  robert:

	* From Andy Skinner, "I've taken this another step, to use
	  value_type inside the intersect calls. I did choose to use sqrt()
	  instead of sqrtf()."

	* From Paul Martz, files for adding ObjectRecordData support into
	  OpenFlight

2008-03-13 14:09 +0000 [r7931]  robert:

	* From Paul Martz, "The attached preserves OpenFlight Object record
	  data as UserData in the osg::Group corresponding to the Object
	  record. The files are: include/osgSim/ObjectRecordData -- The new
	  class. Derives from Object to support .osg IO.
	  src/osgPlugins/OpenFlight/PrimaryRecords.cpp -- Reads data into
	  that class. src/osgPlugins/osgSim/IO_ObjectRecordData.cpp -- .osg
	  IO support." From Robert Osfield, made the OpenFlight read object
	  record data optional via the -O readObjectRecordData ReaderWriter
	  option.

2008-03-13 13:44 +0000 [r7929-7930]  robert:

	* Added support for assigning state to created drawables,
	  implemented gluDisk.

	* From Alberto Luaces, "Here I send minor corrections to the text
	  output by the osgforest example when building its graphs. The
	  message "Creating billboard based forest" appears four times
	  regardless of the actual type of the graph being built. "

2008-03-12 20:20 +0000 [r7928]  robert:

	* Updated wrappers

2008-03-12 20:15 +0000 [r7926-7927]  robert:

	* Added extra constructors

	* Added proper implementations of OpenGL 1.0 calls to OSG object
	  representation methods in SceneGraphBuilder.

2008-03-12 15:28 +0000 [r7925]  robert:

	* Fixed bug in output of ProxyLayer's MinLevel/MaxLevel

2008-03-11 13:29 +0000 [r7924]  robert:

	* Added default implementations of new SceneGraphBuilder class

2008-03-11 13:23 +0000 [r7923]  robert:

	* From Mathias Froehlich, "it appears to me that sun CC cannot use
	  static functions from template functions. The attached change is
	  required to make it compile with sun CC."

2008-03-11 13:19 +0000 [r7922]  robert:

	* From Jose Delport, added support for finding and using GDAL 1.5

2008-03-11 12:10 +0000 [r7921]  robert:

	* Added extra event handlers to make viewer more functional

2008-03-10 20:30 +0000 [r7920]  robert:

	* Added commandline help options

2008-03-05 13:54 +0000 [r7919]  robert:

	* From Andreas Ekstrand and Lars Nilsson, fix for reading Texture
	  Attribute file

2008-03-05 12:05 +0000 [r7918]  robert:

	* Updated wrappers

2008-03-05 11:52 +0000 [r7917]  robert:

	* From Atr Trevs, added missinging initializers

2008-03-05 11:33 +0000 [r7916]  robert:

	* From Jean-Sebastien Guay, "I changed osgGA::StateSetManipulator
	  to mirror the osgViewer::StatsHandler and other handlers which
	  allow you to change the key(s) you would press to get them to do
	  something. Pretty simple change but useful in our context and
	  possibly in others too."

2008-03-04 17:57 +0000 [r7915]  robert:

	* From Jean-Sebastien Guay, " The problem can be reproduced by
	  simply changing the osgpick example to use a CompositeViewer with
	  a single view initialized using setUpViewAcrossAllScreens(). I
	  have attached a modified osgpick.cpp so you can test it out
	  quickly (please don't check this file in though :-) ) The
	  eventState is then incorrect and picking does not work. The only
	  changes are in CompositeViewer.cpp (eventTraversal() method), and
	  fix the problem for me. "

2008-03-04 16:39 +0000 [r7914]  robert:

	* From Colin McDonald, "Attached is an updated to
	  osgViewer::PixelBufferWin32. The win32 pbuffer implementation
	  returned an error unless both the WGL_ARB_pbuffer and the
	  WGL_ARB_render_texture functions were present. This was too
	  restrictive, as a pbuffer can usefully be created without
	  render-to-texture, e.g. for use with glReadPixels. The osg
	  1.2/Producer pbuffers worked without RTT, and
	  osgUtil::RenderStage has all the code to handle both RTT and
	  non-RTT pbuffers, doing a read and copy in the latter case. With
	  these changes I have successfully tested the osgprerender example
	  on a graphics card which supports RTT, and one which doesn't.
	  Plus tested in my own application. In order to aid diagnostics I
	  have also added more function status return checks, and
	  associated error messages. I have included the win32 error text
	  in all error messages output. And there were some errors with
	  multi-threaded handling of "bind to texture" and a temporary
	  window context which I have corrected. These is one
	  (pre-existing) problem with multi-threaded use of pbuffers in
	  osgViewer & osgprerender, which I have not been able to fix. A
	  win32 device context (HDC) can only be destroyed from the thread
	  that created it. The pbuffers for pre-render cameras are created
	  in osgUtil::RenderStage::runCameraSetUp, from the draw thread.
	  But closeImplementation is normally invoked from the destructor
	  in the main application thread. With the additional error
	  messages I have added, osgprerender will now output a couple of
	  warnings from osgViewer::PixelBufferWin32::closeImplementation()
	  at exit, after running multi-threaded on windows. I think that is
	  a good thing, to highlight the problem. I looked into fixing it
	  in osgViewer::Renderer & osgUtil::RenderStage, but it was too
	  involved for me. My own application requirements are only
	  single-threaded. Unrelated fix - an uninitialised variable in
	  osg::GraphicsThread::FlushDeletedGLObjectsOperation(). "

2008-03-04 16:22 +0000 [r7913]  robert:

	* From Wojciech Lewandowski, "Attached is modified
	  osgShadow::ShadowMap. I changed following things: 1: Shadow map
	  camera sets ABSOLUTE_RF_INHERIT_VIEWPOINT refernce frame. 2:
	  Light Direction by matrix multiplications replaced with
	  transform3x3 multiplication. 3: I made DebugingHUD functional by
	  adding special draw callback. Former version was simply drawing
	  pale square. 4: I was tempted to make 4 th change but decided to
	  not do it. Instead I put it whith #if VIEW_DEPNDENT_TEXGEN. If
	  you decide you may let it go. When objects are not centered at
	  0,0,0 coord but in some distant location (for example at surface
	  of earth ellipsoid) shadow texgen suffers from inadequate
	  precision of float matrices. I changed that by premultiplying
	  Texgen matrix (using OSG double matrices) with inverse modelview
	  and applying it later with ModelView identity matrix. This tweak
	  may be appropriate for OverlayNode texgen as well. I left former
	  version because I suspect that this change will make
	  osgShadow::ShadowMap view dependant. Currently texgen matrix
	  remains the same no matter what View displays it. With my change
	  it wuld be different for each view. This touches the subject of
	  View Dependent Shadow Techniques that J-S asked recently."

2008-03-04 16:03 +0000 [r7912]  robert:

	* Refactored the way that the camera settings are inhertied

2008-03-04 15:29 +0000 [r7911]  robert:

	* From Art Trevs, "in the current implementation of the
	  FrameBufferObject there is a bug. The header file do specify
	  something like this: FrameBufferAttachment(Texture3D* target, int
	  zoffset, int level = 0); However in the .cpp file we have:
	  FrameBufferAttachment::FrameBufferAttachment(Texture3D* target,
	  int level, int zoffset) Which means that the meaning of level and
	  zoffset is interchanged. The file with the corrected line is
	  attached. Should go into src/osg/ "

2008-03-04 15:10 +0000 [r7910]  robert:

	* From Philip Lowman, "A missing _WIN32_WINNT declaration causes
	  MinGW compilation to fail when reaching FileNameUtils.cpp and the
	  Windows 2000 function GetLongPathName() is called."

2008-03-04 14:19 +0000 [r7909]  robert:

	* From Jean-Sebastien Guay and Robert Osfield, added optional
	  --CompositeViewer path into osgpick to illustrate how to do
	  picking in both viewers and as unit test for picking.

2008-03-04 14:04 +0000 [r7908]  robert:

	* From Art Trevs, add support for saving external shader files.
	  From Robert Osfield, adding missing member variable initializes
	  and Output::getShaderFileNameForOutput() implementation

2008-03-04 13:30 +0000 [r7907]  robert:

	* From Paul Martz, a third person view CompositeViewer example

2008-03-04 11:53 +0000 [r7904-7906]  robert:

	* Change the setViewAsLookAt method to use Vec3d rather than Vec3
	  for better precision

	* Changed the updateStateSet code so that it creates a new StateSet
	  each update rather than clear and reuse the existing one, this
	  change fixes a threading issue that occured when the viewer is in
	  DrawThreadPerContext.

	* Removed single threaded setting

2008-03-03 18:12 +0000 [r7903]  robert:

	* Implemented fade between layers using MultiTextureControl node

2008-03-03 14:17 +0000 [r7902]  robert:

	* Added beginings of new osgmultitexturecontrol example

2008-03-01 13:42 +0000 [r7900-7901]  robert:

	* Updated wrappers

	* Added OSG_EXPORT

2008-03-01 12:50 +0000 [r7899]  robert:

	* Fixed typo

2008-03-01 12:29 +0000 [r7898]  robert:

	* Fixed naming

2008-02-29 16:09 +0000 [r7897]  robert:

	* Disabled the resizing of Camera's with FBO's

2008-02-29 15:25 +0000 [r7896]  robert:

	* Added Camera::g/setIntialDrawCallback and
	  g/setFinalDrawCallback(), and added screen snapshot example code
	  to osghud.

2008-02-28 20:02 +0000 [r7895]  robert:

	* Added LODScaleHandler

2008-02-28 18:08 +0000 [r7894]  robert:

	* Added OSG_EXPIRY_DELAY env var option.

2008-02-28 17:59 +0000 [r7893]  robert:

	* Moved the delete operations to before of the compile operations
	  to ensure that delete operations don't get pushed out by
	  allocations

2008-02-28 10:56 +0000 [r7892]  robert:

	* From He Sicong, "fixed shader calculation of ray tracing"

2008-02-27 12:11 +0000 [r7891]  robert:

	* From Wojciech Lewandowski and Robert Osfield, Support from
	  LightPointNode::s/getPointSprite parameter.

2008-02-27 11:46 +0000 [r7888-7890]  robert:

	* From Paul Martz, "Per the discussion in osg-users, this change
	  adds code comments to the Matrix* headers to document assumptions
	  in the getRotate() method."

	* From Paul Martz, fixed get/set methods API

	* Added debug message to track cache usage

2008-02-25 17:30 +0000 [r7887]  robert:

	* From Melchior Franz, fixed handling of modified keys when
	  entering/leaving window

2008-02-25 16:50 +0000 [r7886]  robert:

	* From Franz Melchior, "When switching virtual desktops or
	  minimizing a window, keys remain in pressed state after
	  revealing, even if they are no longer pressed on the keyboard.
	  This can have bad effects, especially if the stuck keys are
	  modifier keys. One has to press and release the stuck keys again
	  to reset the wrong state. The fix keeps track of all key presses
	  and releases. On FocusOut and UnmapNotify it releases all keys
	  that are in pressed state, and on KeymapNotify (following a
	  FocusIn), it sets the currently pressed keys again. To avoid
	  confusion in the OSG-using application normal keys are always
	  reported released /before/ and pressed /after/ modifier keys. As
	  current key states are returned as char[32] keymap by
	  XQueryKeymap and XKeymapEvent, this format is also used to
	  recognize modifier keys and for maintaining the current internal
	  key state. Functions to set/clear/query bits in such a keymap are
	  added. The patch was extensively tested with osgkeyboard and
	  FlightGear under KDE and fvwm2. It was not tested on a Xinerama
	  setup or with multiple windows, but as _eventDisplay is used
	  throughout, there should be no problems. The patch also makes the
	  following changes: - removes old and obsolete handling of
	  modifier keys in ::adaptKey(). This wasn't only unused, but also
	  wrong (and for that reason commented out in revision 7066). The
	  modifier states are actually handled in
	  ./src/osgGA/EventQueue.cpp (EventQueue::keyPress/keyRelease). -
	  fixes some spelling"

2008-02-25 16:26 +0000 [r7885]  robert:

	* From Emmanuel Roche, "I'm joining two zip files to this mail for
	  the modified sources and include files of osgIntrospection. The
	  modifications I made are very small but they are absolutely
	  usefull to use osgIntrospection with visual studio 7.1 or 8 in
	  debug modes. This should also solve other minor common problems
	  (converter memory leak, virtual destructor for PropertyInfo,
	  etc...). I choosed two function names :
	  Reflection::uninitialize() and Type::reset(), this can of course
	  be changed if someone has a better idea... I made the changes
	  against OSG 2.2.0 public release. I tested the result with VS
	  7.1, VS 7.1 SP1, VS 8.0 SP1 and AQTime 5.0 on Windows XP SP2...
	  All 4 seem to agree : they detected memory leaks before and don't
	  anymore. Sorry I haven't take the time to test that on linux but
	  the changes are so small I doubt there could be a problem... I
	  let you check that on your side :-). I hope this will help making
	  OSG an even more wonderfull library."

2008-02-25 16:05 +0000 [r7884]  robert:

	* From Stephan Huber, "I missed a refactoring of the handling of
	  modifier-keys, so they did not work on OS X. Attached you'll find
	  the missing implementation for OS X."

2008-02-25 15:09 +0000 [r7881-7883]  robert:

	* From Paul Martz, "This change adds "GL_NORMALIZE" and
	  "GL_RESCALE_NORMAL" to .osg IO in place of the hex equivalents."

	* Updated wrappers

	* From Robert Osfield and Carlo Camporesi, took submission from
	  Carlo for adding LoadingExternalReferenceMode to ProxyNode and
	  extended it to include a wider range of options, also completed
	  implementation

2008-02-25 14:27 +0000 [r7880]  robert:

	* Changed method parameter to use const &

2008-02-25 14:15 +0000 [r7879]  robert:

	* From Wojciech Lewandowski, "----1---- Attached is a fixed version
	  of OverlayNode.cpp. I fixed CustomPolytope::cut( osg::Plane )
	  method. Bug was apparent in such scenario: Let P1 be some random
	  frustum polytope Let P2 be the polytope that was created from P1
	  bounding box (P2 contains P1 entirely) Then ignoring precision
	  errors: P1.cut( P2 ) == P2.cut( P1 ) == P1. But this condition
	  was not always met. Cut failed when some of the polytope
	  reference points happened to lie exactly on some intersecting
	  planes in both P1 & P2 (plane distance was = 0). I only use
	  CustomPolytope for my shadowing stuff so I did not test how this
	  affects rest of OverlayNode.cpp. ----2---- Also attached is a
	  minor precision improvement for osg::Plane intersect method
	  (double version). ----3---- I have also one observation regarding
	  osg::Plane - There are two intersect vertices methods (float and
	  double flavour): inline int intersect(const std::vector<Vec3>&
	  vertices) const inline int intersect(const std::vector<Vec3d>&
	  vertices) const I guess osg::Plane won't compile when someone
	  changes default vec3 typedef to vec3d. Shouldn't the first method
	  be changed to use vec3f explicitly ? Ie: inline int
	  intersect(const std::vector<Vec3f>& vertices) const"

2008-02-25 13:25 +0000 [r7878]  robert:

	* From Glenn Waldron, "As you may recall, we discussed adding
	  ReaderWriter::readObject() overrides to all the image plugins in
	  order to facilitate future archive support. Attached are the
	  necessary modifications. I tested JPEG, but not all the others...
	  the code is identical though. Note that the DDS plugin already
	  contained the readObject() implementations."

2008-02-25 13:17 +0000 [r7876-7877]  robert:

	* From Wojciech Lawandowski, "Fixed
	  EllipsoidModel::computeLocalUpVector to use Vec3d instead of Vec3
	  for normal computation. Its really small issue, maybe not even
	  worth submitting ;-). But one never knows when inadequate
	  precision hits him. "

	* Updated wrappers

2008-02-25 13:07 +0000 [r7875]  robert:

	* Reverted back to previous version of osgtext

2008-02-25 12:54 +0000 [r7874]  robert:

	* Refactored the mutex usage in osgText and freetype plugin to
	  prevent multi-thread crash

2008-02-22 18:38 +0000 [r7873]  robert:

	* From Mathias Froehlich, "I have extended the X11 pbuffer code to
	  use either the complete set of glx 1.3 pbuffer functions or
	  exactly ask for the extensions we need to call the apropriate glx
	  extension functions for and around pbuffers extensions. The glx
	  1.3 version of this functios are prefered. If this is not
	  pressent we are looking for the glx extensions and check for
	  them. Prevously we just used some mix of the glx 1.3 functions or
	  the extension functions without making sure that this extension
	  is present. "

2008-02-22 11:52 +0000 [r7872]  robert:

	* Refactored osgTerrain so that the interface for setting up layer
	  is more straight forward, and added support into
	  GeometryTechnique for handling multiple layers

2008-02-20 12:34 +0000 [r7871]  robert:

	* Added TextureUnit entry to osg::TransferFunction and
	  osgTerrain::Layer

2008-02-19 16:02 +0000 [r7870]  robert:

	* Removed erroneous ;

2008-02-19 12:26 +0000 [r7869]  robert:

	* Changed the updating of the contextID so that the
	  DisplaySetting::MaxNumberOfGrapicsContexts() is updated on each
	  new graphics context creation, in keeping with how osgProducer
	  used to do things.

2008-02-19 11:30 +0000 [r7868]  robert:

	* Refactor the rendering code to not use iterators, instead using
	  indices as means of avoiding using < and += on STL iterators that
	  have shown to be problematic under Windows

2008-02-19 09:49 +0000 [r7867]  robert:

	* From Philip Lowman, workaround for gcc 3.2.3 bug

2008-02-18 15:30 +0000 [r7866]  robert:

	* From Stephan Huber, "Attached you'll find some enhancements by
	  Adrian Egli and me for the carbon-implementation of
	  GraphicsWindow. Now you can use an AGLDrawable in conjunction
	  with osgViewer/osgCompositeViewer." Changes from Robert Osfield,
	  changed std::cout to osg::notify(osg::INFO)

2008-02-18 15:26 +0000 [r7865]  robert:

	* From Rene Molenaar, "Using commandline build system nmake on
	  windows does not work. This is caused by the
	  OSG_MSVC_VERSIONED_DLL hack. there are hard-coded paths to place
	  the dll's in the bin /dir that normally would go in the
	  lib/config (release/debug) dirs. Nmake has different locations
	  for the files (no config dir). fix: change the macro's in
	  OsgMacroUtils.cmake for the IF(NOT MSVC_IDE) situation. Libs go
	  in lib/, and DLLs and executables go in bin/ To accopmplish this
	  for MSVC_IDE the targets get a "../../bin" prefix, for nmake this
	  should be "../bin" (because there are no config folders). This
	  fix mimics the behaviour of the MSCV_IDE (visual studio) build
	  system when building with nmake. Note: A change in the main
	  CMakeLists.txt creates the needed plugin directory in the binary
	  dir. see included files for the changes:
	  r7885fix-v2/CMakeModules/OsgMacroUtils.cmake
	  r7885fix-v2/osgWrappers/CMakeLists.txt r7885fix-v2/CMakeLists.txt
	  The behaviour of visual studio projects (and other build systems)
	  remain unchanged. Tested building and installing with nmake and
	  visual studio 8 debug and release. "

2008-02-18 15:17 +0000 [r7864]  robert:

	* From Bob Kuehne, "Subject: obj material parse fix this fix strips
	  whitespace off externally referenced material files. fixes a bug
	  where the obj listed something like: mtllib
	  FR_PARIS_ESPACE_UNESCO_S.MTL and then that caused failures in the
	  load later: FindFileInPath() : trying /Users/rpk/Downloads/
	  FR_PARIS_ESPACE_UNESCO_S.MTL ... this fix simply strips
	  whitespace around that filename before passing it on to the
	  remainder of the loader." Changes from Robert Osfield, change
	  std::cout to osg::notify(osg::INFO)

2008-02-18 15:10 +0000 [r7863]  robert:

	* From Thibault Genessay, "On Dec 16 you introduced a fix to remove
	  internal use of ref_ptr<>'s. It contained a bug that would cause
	  freed memory to be written again. Specifically, in
	  FreeTypeLibrary::~FreeTypeLibrary(), calling
	  font->setImplementation(0); deletes the content pointed to by the
	  fontImplementation pointer, while the line the immediately
	  follows tries to access it. My fix is to make the second
	  instruction part of an else clause rather than always executed.
	  This way, the fontImplementation->_facade = 0 instruction is only
	  executed when the font implementation is not set to 0 before
	  (although I have no idea what it is here for and if this code
	  path is ever followed, since I don't know the plugin's internals
	  very well). Attached is the modified FreeTypeLibrary.cpp file."

2008-02-18 15:02 +0000 [r7862]  robert:

	* Updated wrappers

2008-02-18 14:51 +0000 [r7861]  robert:

	* Introduced typedef vec_type and value_type into LineSemgment
	  class to allow easier switching between double and float
	  versions.

2008-02-18 14:14 +0000 [r7860]  robert:

	* From Bob Kuehne, build fix for OSX/gcc 4.0.1

2008-02-18 13:52 +0000 [r7859]  robert:

	* From Brede Johansen, "Here's a fix to the changes regarding the
	  new dispose() function. The last primary node inside a push-pop
	  level would not get the dispose() call. This would result in
	  information from some ancillary records, like the matrix
	  (transform), being lost. Changes are made to the latest version
	  in the repository. Thanks to Terry for the help to find and fix
	  the bug and test the changes."

2008-02-18 13:47 +0000 [r7858]  robert:

	* From Bryan Thrall, "moved the prints to a higher notify level
	  (DEBUG_FP) so they are only printed at the most verbose level."

2008-02-18 13:44 +0000 [r7857]  robert:

	* From Paul Martz, "Attached is a modification to
	  OcclusionQueryNode. The copy constructor was failing to
	  initialize all member variables. This change resolves the issue.
	  Thanks to Doug McCorkle for testing and finding the bug."

2008-02-15 14:09 +0000 [r7856]  robert:

	* Changed constructors to take const pointers

2008-01-29 22:14 +0000 [r7854]  robert:

	* Update AUTHORS list for release

2008-01-29 21:34 +0000 [r7853]  robert:

	* Updated logs for release

2008-01-29 20:45 +0000 [r7852]  robert:

	* Updated wrappers

2008-01-29 12:24 +0000 [r7851]  robert:

	* Reorganized the static vector used for buffering extensions to
	  prevent an crash on exit.

2008-01-29 10:28 +0000 [r7850]  robert:

	* Updated versions for OSG-2.3.4 release

2008-01-28 20:54 +0000 [r7848-7849]  robert:

	* From Mike Weiblen, "1) best practices suggest that values passed
	  by-reference should be initialized. 2) explanatory comments are
	  handy when available as notify() messages."

	* From Mike Weiblen, "an aesthetic enhancement for displaying
	  important version information."

2008-01-28 20:31 +0000 [r7847]  robert:

	* From Roger James, "A small fix for compiling with
	  OSG_USE_FLOAT_MATRIX"

2008-01-28 20:27 +0000 [r7846]  robert:

	* From Rainer Oder, removed duplicate conditional

2008-01-28 19:54 +0000 [r7845]  robert:

	* Fixed BUILD_REF_DOCS_SEARCHENGINE conditional

2008-01-28 19:42 +0000 [r7844]  robert:

	* Added explict casts to double to prevent VS compiler error

2008-01-28 18:29 +0000 [r7843]  robert:

	* From Jean-Christophe Lombardo and Robert Osfield, added
	  BUILD_REF_DOCS_SEARCHENGINE and BUILD_REF_DOCS_TAGFILE options
	  for being doxygen docs.

2008-01-28 17:00 +0000 [r7842]  robert:

	* From Glen Waldon, "This change patches ReaderWriterOSGA.cpp so
	  that it passes along the ReaderWriter::Options to files loaded
	  from inside the archive. Previously it was discarding them.
	  example: osgviewer -O noLoadExternalReferenceFiles archive.osga"

2008-01-28 16:38 +0000 [r7841]  robert:

	* From Stephan Huber, added support for double click event for OSX.

2008-01-28 16:13 +0000 [r7840]  robert:

	* From Cedric Pinson, "default white behaviour : osgviewerd -e ogr
	  yourFile randomize color by feature: osgviewerd -e ogr -O
	  UseRandomColorByFeature yourFile"

2008-01-28 15:41 +0000 [r7838]  robert:

	* Added projectorMatrix parameter support to *SphericalDisplay
	  setup functions and .view, this allows one to flip, rotate, or
	  turn up side the position of the projector. Note, projector at
	  base of display is the default.

2008-01-28 15:36 +0000 [r7837]  robert:

	* Added include RenderLeaf to make sure #define's are defined
	  correctly

2008-01-26 20:03 +0000 [r7836]  shuber:

	* From Stephan Huber: updated XCode project

2008-01-24 10:04 +0000 [r7835]  robert:

	* Removed duplicate declaration of DeleteHandlerPointer

2008-01-22 11:13 +0000 [r7833]  robert:

	* Updated ChangeLog, Authors and readme for 2.3.3 release

2008-01-22 10:28 +0000 [r7832]  robert:

	* Added missing checks for null pointers

2008-01-21 18:06 +0000 [r7831]  robert:

	* From Jean-Sebastien Guay, notes on how to enable syntax
	  highlighting in VS.

2008-01-21 17:04 +0000 [r7830]  robert:

	* Fixed debug build of Inventor plugin

2008-01-21 14:42 +0000 [r7828-7829]  robert:

	* From Drederic Bouvier, "I noticed the AC3D loader resets database
	  path given as Options, preventing users to put textures in
	  another directory. This patch adds the model path to the path
	  list instead of replacing it."

	* Introduced BUILD_REFERENCE_DOCS option to make it a bit clearer
	  how to enable and build the DoxygenDocs

2008-01-21 12:01 +0000 [r7826-7827]  robert:

	* From Cedric Pinson, "you can find as attachement a readerwriter
	  for ogr files (.tab, .gml, .shp ...) ogr is a part of gdal so i
	  added the build of ogr plugin if gdal is found. to test it
	  osgviewerd -e ogr file.tab or osgviewerd -e ogr file.gml or
	  osgviewerd -e ogr file.shp "

	* Fixed Geometry::removePrimitiveSet method so that it no longer
	  emits a warning when removing 0 elements form an empty primtive
	  set list.

2008-01-21 11:47 +0000 [r7825]  robert:

	* From Mike Weiblen, restructured GL2Extensions so that they now
	  live in their own GL2Extensions.cpp file rather than in
	  Program.cpp

2008-01-21 11:40 +0000 [r7821-7824]  robert:

	* Updated version number for 2.3.3 release

	* Updated wrappers

	* Fixed debugged code path and set the minimum number of display
	  lists to retain in cache to the same amount as the number of
	  textures

	* Removed redundental vertex buffer object flush methods

2008-01-21 11:27 +0000 [r7820]  robert:

	* Moved useful elements of the old VisualStudio directory into a
	  new PlatformSpecifics/Windows directory

2008-01-19 18:26 +0000 [r7818-7819]  robert:

	* Added thread safe debugging checking of allocation/deallocations

	* Added use of ref_ptr<> throughout geometry setup code to prevent
	  memory leaks

2008-01-19 13:41 +0000 [r7817]  robert:

	* Added debugging messages to help monitor expiry of inactive
	  children. Debug messages current #if 0'd out, but added now for
	  future tests when required.

2008-01-19 13:31 +0000 [r7816]  robert:

	* Disabled the default enabling of update traversal on
	  osgTerrain::Terrain as this was preventing PagedLOD subgraphs
	  from expiring inactive subgraphs

2008-01-18 21:29 +0000 [r7815]  robert:

	* Updated wrappers

2008-01-18 21:08 +0000 [r7813-7814]  robert:

	* Removed erroneous const in method parameter

	* From Andy Skinner, build fixes for Solaris.

2008-01-18 21:01 +0000 [r7812]  robert:

	* Moved the setting of _clipPlaneNum from the {} body to the
	  intializer list to avoid reading from an unitialized variable.

2008-01-18 20:55 +0000 [r7811]  robert:

	* From Paul Martz, Hi Robert -- "as you and J-S and I have been
	  discussing on osg-users, this submission changes the clamp mode
	  for the fake white texture applied to non-textured geometry.
	  CLAMP_TO_EDGE will keep the geometry a consistent color across
	  the entire texture coordinate range."

2008-01-18 16:36 +0000 [r7810]  robert:

	* Added support for rendering skirts into
	  osgTerrain::GeometryTechinque

2008-01-18 09:17 +0000 [r7809]  robert:

	* Added getNumOperationsInQueue() method

2008-01-17 22:26 +0000 [r7807-7808]  robert:

	* Commented out debug message

	* Added computation of skirt height for osgTerrain::Terrain height
	  fields.

2008-01-17 17:10 +0000 [r7806]  robert:

	* Added call to ClusterCullingCallback to determine if the Terrain
	  node is culled by cluster culling.

2008-01-17 16:41 +0000 [r7805]  robert:

	* Added Node to Terrain serialization

2008-01-17 15:37 +0000 [r7804]  robert:

	* Fixed the computation of terrain bounding volume so that it
	  properly accounts for elevation layers

2008-01-16 15:05 +0000 [r7803]  robert:

	* Changed the Texture clamp mode to CLAMP_TO_EDGE

2008-01-14 14:53 +0000 [r7801-7802]  robert:

	* Updated wrappers

	* Refactor osgTerrain::ProxyLayer so that it is now a pure Proxy,
	  defering implementations to an Implementation rather than a
	  subclass of ProxyLayer. Updating the osgTerrain and GDAL plugins
	  to comply with this refactor.

2008-01-14 13:14 +0000 [r7800]  robert:

	* Added back in checks for various verions of gdal

2008-01-14 12:14 +0000 [r7798]  robert:

	* Updated AUTHORS file and osgversion for 2.3.2 release

2008-01-14 11:44 +0000 [r7797]  robert:

	* Added geometry shader extension supported check to geometry
	  shader parameter calls

2008-01-14 11:30 +0000 [r7796]  robert:

	* From Colin McDonald, "Multi-texturing fails with recent osg on
	  older graphics cards, due to use of parameter
	  GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS which is only part of the
	  standard from 2.0 onwards. I've updated src/osg/State.cpp, so
	  that it attempts to be more rigorous regarding OpenGL version and
	  extension checking."

2008-01-14 11:22 +0000 [r7795]  robert:

	* Updated ChangeLog, date and version number for 2.6.2 release

2008-01-14 11:07 +0000 [r7794]  robert:

	* Updated wrappers

2008-01-14 10:14 +0000 [r7793]  robert:

	* From Daniel Stien, "When removing a child from a osg::Group,
	  childRemoved is called after the node has already been erased
	  from the node list, causing childRemoved to be performed on the
	  consecutive node. Lines 180 and 182 are swapped in the attached
	  Group.cpp. "

2008-01-11 12:16 +0000 [r7792]  robert:

	* From Adrian Egli, made the getHandled() functionality consistent
	  with the rest of the osgGA::MatrixManipulators

2008-01-10 11:08 +0000 [r7791]  robert:

	* From Jean-Sebastien Guay, added OSGUTIL_EXPORT for Windows build

2008-01-10 11:02 +0000 [r7790]  robert:

	* From Paul Martz, "his pretty much wraps up the OcclusionQueryNode
	  work. I might make some additional modifications if testing
	  reveals any issues, otherwise it's ready for 2.4."

2008-01-09 21:17 +0000 [r7789]  robert:

	* Indentation/bracket fixes and change of default size

2008-01-09 21:00 +0000 [r7788]  robert:

	* Simplified the image reading/writing

2008-01-09 16:56 +0000 [r7787]  robert:

	* Adding missing files

2008-01-09 16:35 +0000 [r7786]  robert:

	* Added support for reading and writing osgTerrain objects

2008-01-09 14:22 +0000 [r7785]  robert:

	* Added setting of UpdateVisitor's FrameStamp and TraversalNumber
	  in updateTraversal()

2008-01-09 11:42 +0000 [r7784]  robert:

	* From Mike Weiblen, build fix for VS8.

2008-01-08 23:20 +0000 [r7783]  ewing:

	* Updates to resync Xcode project with current state of repository.
	  Added several missing plugins (e.g. osgdb_osgShadow,
	  osgdb_osgViewer, osgdb_Terrain). Added dependency information
	  hoping that the Xcode 3 parallel target building will work now.

2008-01-08 18:13 +0000 [r7782]  robert:

	* From Colin McDonald, build fixes for Solaris.

2008-01-08 17:18 +0000 [r7781]  robert:

	* From Jean-Sebastien Guay, Warning fixes

2008-01-08 16:09 +0000 [r7780]  robert:

	* Added support for reading and writing the Terrain's Locator

2008-01-08 15:20 +0000 [r7779]  robert:

	* Added writing and reading of inlined HeightField

2008-01-08 14:38 +0000 [r7777-7778]  robert:

	* Removed non standard and redundent /*EOF*/

	* Updated wrappers

2008-01-08 14:29 +0000 [r7776]  robert:

	* From Mike Weiblen, support for geometry shaders, and
	  osgeometryshaders example to demonstrate them.

2008-01-08 14:22 +0000 [r7775]  robert:

	* Fixed warning

2008-01-08 13:56 +0000 [r7774]  robert:

	* Added support for MinLevel and MaxLevel for ProxyLayer

2008-01-08 13:24 +0000 [r7772-7773]  robert:

	* Introduced new osg::discardDeletedOpenGLObjects() methods, and
	  usage of it in GrpahicsContext::close() to handle cases where
	  deletingOpenGLObjects is no possible, such as when
	  GraphicsWindowEmbedded is used.

	* Removed debug info

2008-01-08 13:10 +0000 [r7771]  robert:

	* Reorganised the .osg support for osgTerrain NodeKit to make it
	  more extensible

2008-01-07 09:47 +0000 [r7770]  robert:

	* Added OSGUTIL_EXPORTs

2008-01-06 17:53 +0000 [r7769]  robert:

	* Added missing #include <osgUtil/Export>

2008-01-06 10:52 +0000 [r7768]  robert:

	* Added exports for Windows build

2008-01-04 20:03 +0000 [r7767]  robert:

	* Fixed date

2008-01-04 20:00 +0000 [r7766]  robert:

	* From Eric Wing, "Attached are a few Find modules with updates.
	  Among other things, they contain better support for environmental
	  variables to pre-empt the autodection default search path order
	  which is very helpful for people who do automated builds. (I
	  recommend that the remaining modules consider adding the same
	  system to make things consistent and easier for those people that
	  want to do the automated builds.) The CMAKE_PREFIX_PATH has also
	  been added to help people. I don't recommend adding this to the
	  other modules because it looks like CMake agreed with my idea and
	  will be adding the support in 2.6. So when that ships, people
	  will get it for free. (In the meantime, my modules that do have
	  it, it can be used.) Finally, I've submitted all of these modules
	  to official CMake plus more so they will be in the next version
	  of CMake. It looks like I may need to sort some compatibility
	  issues out with the KDE people who seem to have conflicting
	  modules, but this is unrelated to the updates submitted here as
	  OSG already has these conflicts. I figured I would just sync OSG
	  up with my current/best versions. Also of note, I added the large
	  batch of Findosg*.cmake modules to CMake so people building
	  against OpenSceneGraph can use these without writing their own. I
	  wasn't sure if I should submit them here or not since they are
	  for building against OSG and not for building OSG itself. So they
	  are not included. "

2008-01-04 15:33 +0000 [r7764-7765]  robert:

	* From Glenn Waldron, "I found that
	  osg::Sequence::setDuration(speed,reps) was not changing the
	  animation speed factor as expected. The one-line fix (line 312)
	  is attached"

	* From Paul Martz, "Correction to size of reserved filed in .attr
	  file, Spec says "149*4" bytes, not "149""

2008-01-04 15:15 +0000 [r7763]  robert:

	* Updated wrappers

2008-01-04 13:57 +0000 [r7762]  robert:

	* Added catch for handling cases where undefined settings for
	  dislayNum and screenNum are used

2008-01-04 12:03 +0000 [r7759-7760]  robert:

	* Updated data on readme

	* Updated AUTHORS file for 2.3.1 release

2008-01-04 11:45 +0000 [r7757-7758]  robert:

	* Updated version number for 2.3.1 release

	* Updated logs for 2.3.1 releae

2008-01-04 11:26 +0000 [r7756]  robert:

	* From Brede Johansen, support for contiuation records.

2008-01-04 11:14 +0000 [r7755]  robert:

	* From Paul Martz, completion of .ive and .osg support for
	  OcclusionQueryNode

2007-12-26 22:00 +0000 [r7754]  robert:

	* From Paul Martz, "The osgocclusionquery example contained some
	  duplicate code that was also in the core OSG occlusion query
	  code. This change removes the need for that."

2007-12-26 21:43 +0000 [r7753]  robert:

	* Updated wrappers

2007-12-26 21:39 +0000 [r7751-7752]  robert:

	* From David Callu, further work in support of shapefile support in
	  VirtualPlanetBuilder

	* Suppressed reflection of problem templates/typedefs

2007-12-25 21:11 +0000 [r7750]  robert:

	* Replaced values.h with float.h is avoid Windows compile issues

2007-12-24 15:37 +0000 [r7749]  robert:

	* Updated wrappers

2007-12-24 15:32 +0000 [r7748]  robert:

	* Fom Brede Johansen, "I have added the OSGPL license to the
	  OpenFlight source files"

2007-12-24 15:19 +0000 [r7747]  robert:

	* From Sid Byce, fixes for compiling with gcc 4.3

2007-12-24 14:47 +0000 [r7745-7746]  robert:

	* From Rafa Gaitan, "I have corrected some includes of the
	  quicktime plugin from Quicktime/Quicktime.h to
	  QuickTime/QuickTime.h. MacOsX filesystem is normally case
	  insensitive, but in my case I changed that option and the
	  quicktime headers were not found. Now compiles fine and on case
	  insesitive file systems should work correctly too. "

	* From Jason Daly, "I'm still having a problem with SWING
	  animations on sequences. Here's the fix again, merged with this
	  morning's svn (including the other Sequence fixes from J-S)."

2007-12-24 12:56 +0000 [r7744]  robert:

	* Based on Suggestions from "Harald A" fixed CMake setup of Doxygen
	  docs

2007-12-23 18:15 +0000 [r7743]  robert:

	* Convert osgText and freetype plugin across to keeping the font
	  size as state that is passed into the getGlyph and getKerning
	  methods rather than a current state of the font itself.

2007-12-23 13:45 +0000 [r7742]  robert:

	* Moved Font code across to using FontSizePair internally and on
	  Font methods, but still using original implemetations.

2007-12-23 13:18 +0000 [r7741]  robert:

	* Renamed osgText::Font::SizePair to osgText::FontSizePair in prep
	  for use this more widely within osgText/freetype plugin. Added
	  support for inserting loading models into --mt multithreaded
	  implementation.

2007-12-23 13:08 +0000 [r7740]  robert:

	* Fixed indentation

2007-12-21 17:56 +0000 [r7739]  robert:

	* From Jean-Sebastien Guay, added new version of feetype into
	  search list

2007-12-21 17:33 +0000 [r7738]  robert:

	* Added copyright notice and tweaked genwrapper

2007-12-21 17:26 +0000 [r7737]  robert:

	* Updated wrappers

2007-12-21 16:18 +0000 [r7736]  robert:

	* From Paul Martz, "added include<alogrithm> to prevent VS8 compile
	  error"

2007-12-21 15:54 +0000 [r7735]  robert:

	* Removed OperationArrayFunctor for wrappers to avoid compile
	  errors assocaited with them

2007-12-21 15:46 +0000 [r7734]  robert:

	* Removed inappropriate inline

2007-12-21 15:04 +0000 [r7733]  robert:

	* Updated wrappers

2007-12-21 14:49 +0000 [r7732]  robert:

	* From Paul Martz, .osg support for OcclusionQueryNode

2007-12-21 14:45 +0000 [r7731]  robert:

	* From Paul Martz, Introduced osg::OcclusionQueryNode with support
	  for OpenGL occlusion query extension

2007-12-21 14:21 +0000 [r7730]  robert:

	* From Bryan Thrall, "UFOManipulator ignores any attached
	  CoordinateFrameCallback; the attached files fix this (based on
	  2.2 release). "

2007-12-21 14:16 +0000 [r7729]  robert:

	* From Mathias Froehlich, "Something to extend the texture
	  subloading blacklist. ... we have problems with that on solaris."

2007-12-21 14:13 +0000 [r7728]  robert:

	* From John Kelso,"Attached is the ive reader/writer for the 2.x
	  version of the osg::Sequence node. "

2007-12-21 13:32 +0000 [r7726-7727]  robert:

	* From Jeremy Moles, "Here is a implementation of
	  setScreeResolution and setScreenRefreshRate for systems support
	  Xrandr. The include CMakeFile makes this optional, and turns it
	  OFF by default, in which case any person trying to use these
	  functions under Linux will be instructed to build osgViewer w/
	  Xrandr support. "

	* Added return

2007-12-21 13:18 +0000 [r7725]  robert:

	* From Jean-Sebastien Guay, "When using osg::Sequence you can stop
	  the sequence by setting the mode to STOP. Subsequently, you can
	  restart it from the beginning by setting the mode to START. This
	  does not work as expected. The _now time is not updated while the
	  mode is STOP, which causes the items in the sequence to flash by
	  very quickly when the mode is set to START. For example, if the
	  mode was set to STOP and left that way for 30 seconds, and there
	  are 10 items in the sequence, when the mode is set to START all
	  the items will flash by (in 3 loops) while the _now time catches
	  up with the real time, and then the sequence will go on at the
	  rate it should. This is a simple fix for that, which updates the
	  _now time regardless of the mode the sequence is in."

2007-12-21 13:07 +0000 [r7724]  robert:

	* From David Callu, various classes in support of
	  VirtualPlanetBuilder

2007-12-21 12:36 +0000 [r7723]  robert:

	* From David Callue, added support for reading/writing Vec*dArray
	  to .ive plugin

2007-12-20 17:30 +0000 [r7722]  robert:

	* Updated wrappers

2007-12-20 15:51 +0000 [r7720-7721]  robert:

	* Added support for min to max level ranges for Layers in support
	  of VirtualPlanetBuilder usage of this.

	* Added an optional use of doubles for computing error metrics to
	  help investigate precision issues seen in VPB when working with
	  small segments of geographic data.

2007-12-20 15:40 +0000 [r7719]  robert:

	* Reset the the _lineSpacing to 0.0f to fix the line spacing when
	  word wrapping takes place

2007-12-20 14:40 +0000 [r7718]  robert:

	* From Wojciech Lewandowski, "By complete coincidence I just have
	  read an old OSG submission mail related to bugfixes in
	  osg::Polytope.setToUnitFrustum and setToBoundingBox It was sent
	  at beginning of december. I read it when purging my Thrash emails
	  and found it there this because it was wrongly classified as
	  SPAM. What stroke me in this email was the fact that there was
	  once an error in Polytope class. Since I adopted CustomPolytope
	  (osgSim OverlayNode.cpp) for my minimal shadow area computations
	  I checked my code for this error. And I found it in
	  CustomPolytope::setToUnitFrustum method.
	  CustomPolytope::setToBoundingBox seemed OK. So I went back to the
	  origin and fixed this error in OverlayNode.cpp as well. I have
	  not tested it in OverlayNode though (I don't know how) so please
	  look at this carefully. But it seems to work fine with my shadow
	  calculations."

2007-12-20 10:48 +0000 [r7717]  robert:

	* Reorder includes in an attempt to avoid compile problems under
	  Cygwin.

2007-12-17 21:52 +0000 [r7715]  robert:

	* Updated AUTHORS files

2007-12-17 21:35 +0000 [r7714]  robert:

	* Updated ChangeLog for 2.3.0 release

2007-12-17 21:08 +0000 [r7713]  robert:

	* Updated version number for 2.3.0 dev release

2007-12-17 18:38 +0000 [r7711]  robert:

	* From Paul Obermeier, "Please find enclosed the following 2 bug
	  fixes: File osgShadow/Version.cpp, Line 25: const char*
	  osgShaodowGetLibraryName() should be: const char*
	  osgShadowGetLibraryName() File CMakeModules/OsgMacroUtils.cmake,
	  Line 224: SET_TARGET_PROPERTIES(${TARGET_TARGETNAME} PROPERTIES
	  DEBUG_POSTFIX ${CMAKE_DEBUG_POSTFIX}) should be:
	  SET_TARGET_PROPERTIES(${TARGET_TARGETNAME} PROPERTIES
	  DEBUG_POSTFIX "${CMAKE_DEBUG_POSTFIX}") Otherwise setting
	  CMAKE_DEBUG_POSTFIX to an empty string instead of "d" in the main
	  CMakeLists.txt does not work under Linux. "

2007-12-17 17:43 +0000 [r7710]  robert:

	* From David Cullu, added various mathematical operators

2007-12-17 10:24 +0000 [r7708-7709]  robert:

	* From Stephan Huber, "attached you'll find an updated
	  carbon-implementation, which implements the missing functionality
	  for setWindowName and useCursor "

	* Updated wrappers

2007-12-17 09:58 +0000 [r7707]  robert:

	* From Wojiech Leandowski, "I earlier wrote about my hassles with
	  archives under Windows. I implemented 64 bit binary compatible
	  OSGA archive reader/writer using mixed stdio/iostream calls. But
	  during this work I learned that it can be made in much simpler
	  way. Attached is result of this new attempt. I hope its
	  appropriate for inclusion into OSG codebase. It was compiled and
	  tested with latest SVN OSG, Windows XP 32 bit and Windows Vista
	  business 64 bit. OSG was built using VS 2005 Express SP1 for 32
	  bit environment and VS 2005 Std for 64 bit. --- Solution
	  description (there were two problems involved): --- Problem 1:
	  implicit conversions beetween file positions and 32 bit int. This
	  could be considered a MS compiler bug because this 32 bit int was
	  additionally implicitly converted to/from 64 bit. As far as I
	  know compiler is allowed to make only one implict conversion (but
	  maybe this rule does not refer to simple types). Its actually
	  possible to address OSGA files above 4 GiB range using 32 bit
	  windows iostreams. MS Iostreams in practice offer the same level
	  of functionality as stdio functions. There are functions fsetpos
	  and fgetpos in stdio lib which use 64 bit file pointers (fpos_t).
	  These functions are internally called by seekp( streampos ),
	  seekg( streampos ), tellp(), and tellg() methods. So its also
	  possible to change and retrieve file postions using iostream
	  calls. But the problem lies in implicit handling of streampos
	  type. streampos type is actually a template class used as seekp,
	  seekg parameter and returnd from tellp, tellg. Its capable of
	  storing 64 bit file pointers. But streampos can be also converted
	  to/from simple type streamoff. It has proper constructor and cast
	  operator. In Win 32 environment streamoff is defined as long (~32
	  bit int). So when seekp, and tellp arent used with exact
	  streampos objects but OSGA_Archive::pos_type complier makes
	  implicit casts to 32 bit int types loosing important bits of
	  information. So above problem could be easily handled by making
	  conversion calls explicit. My code defines 2 functions used to
	  convert back and forth beetwen 64 bit OSGA_Archive::pos_type and
	  std::streampos objects: OSGA_Archive::pos_type ARCHIVE_POS( const
	  std::streampos & pos ); std::streampos STREAM_POS(
	  OSGA_Archive::pos_type & pos ); Rest of the OSGA implementation
	  code was modified to call these conversions explicitly with
	  seekp, seekg, tellp, tellg. --- Problem 2: seekp and seekg have
	  two variants. Only one of these variants is actually 64 bit
	  proof. When I solved my first problem and made use of explicit
	  streampos conversion functions, OSGA archive was able to read my
	  example 11 GiB archive. But there were still problems with write
	  and append. I found that the reason for this was pair of seekp(
	  0, std::ios_base::end ) and tellp() calls. It turned out that use
	  of seekp, seekg( offset, direction ) function variants was
	  setting file pos pointer to EOF when file was larger than 4GiB.
	  But I noticed that one arg seekp, seekg ( streampos ) versions
	  worked correctly. So the solution was to change OSGA write logic
	  a little, and replace seekp( offset, direction ) with seekp(
	  absolute_pos ) calls. I achieved this by modifing IndexBlock
	  write method to record and restore file pos after IndexBlock was
	  written. This modification has the effect that put pointer is
	  generally kept at the end of file, so there is no need to
	  repostion to the end before writing the files. This allowed me to
	  get rid of those problematic seekp( 0, std::ios_base::end )
	  calls. There was one place where I could not easily get rid of
	  seekp( 0, std::ios_base::end ). It was situation where existing
	  OSGA was opened for appending. I resolved this by computing file
	  length by finding max position from index block and file block
	  endings. Then I replaced former seekp( 0, std::ios_base::end )
	  with seekp( STREAM_POS( found_file_length ). --- Description of
	  these changes may sound bit hacky but in practice these were
	  fairly simple and straightforward modifications. I hope they pass
	  your review. There is one complex preprocessor condition which I
	  based on few lines taken from boost positioning.hpp. Boost
	  licence does allow such reproduction. In case of problems this
	  condition may be easily simplified to windows only
	  implementation. "

2007-12-16 17:57 +0000 [r7706]  robert:

	* From Jean-Sebastien Guay, "Some clients at my new job noticed
	  that picking did not work with the osg::Capsule subclass of
	  osg::Shape in an osg::ShapeDrawable. Other shapes worked fine. So
	  I have fixed this. Code attached. My modification is in the
	  PrimitiveShapeVisitor, and is based on the DrawShapeVisitor - I
	  added methods called createCylinderBody and createHalfSphere, and
	  used them in apply(Cylinder&) and apply(Capsule&). In my testing
	  they work fine, tested even with transforms and moving around the
	  scene. "

2007-12-16 17:53 +0000 [r7705]  robert:

	* Added check to make set up a sequencegroup only happen when
	  required.

2007-12-16 17:46 +0000 [r7704]  robert:

	* From Wojciech Lewandowski, "osgSim::BlinkSequence has
	  sequenceGroup unitialized by default (=NULL ref_ptr). By looking
	  at the code I figured out that unset sequenceGroup is completely
	  correct and thus allowed. But writing BlinkSequence with empty
	  sequence group caused a crash when IVE was accessing baseTime
	  from NULL address. Atttached is a fix for this situation. "

2007-12-16 17:41 +0000 [r7703]  robert:

	* From Wojiech Lewandowski, "There was a bug in ShadowMap camera
	  view matrix computation. View matrix was wrong when light was
	  directional and shadowed scene was not centered at zero coord. I
	  fixed that and also modified cast distance to much smaller value.
	  With former range it was possible to generate shadows with lowest
	  LODs. "

2007-12-16 17:33 +0000 [r7702]  robert:

	* Fixed HeightField coordinates set up

2007-12-16 17:01 +0000 [r7701]  robert:

	* Added intializers.

2007-12-16 16:18 +0000 [r7700]  robert:

	* Added support for automatically setting the coordinate system of
	  a shapefile by reading associate .prj file

2007-12-16 13:29 +0000 [r7699]  robert:

	* Added parsing of parameters to Viewer constructor.

2007-12-16 13:25 +0000 [r7698]  robert:

	* Added StateSetManipulator for testing purposes, and fixed typo

2007-12-16 13:20 +0000 [r7697]  robert:

	* Removed used of ref_ptr<>'s internally to avoid ciricular calls
	  on destruction.

2007-12-16 12:36 +0000 [r7696]  robert:

	* Added initilizers of variables to FreeTypeFont3D constructors.
	  Removed unused FreeTypeFontBase class

2007-12-15 17:16 +0000 [r7693-7695]  robert:

	* Fixed handling of DISPLAY variable, and mapped the rest of
	  Producer config settings

	* Commented out rendendent warnings

	* commented out rendudent warning

2007-12-15 15:22 +0000 [r7690-7692]  robert:

	* Added setting of ambient bias uniform

	* Added separate unform variable to keep track of abmient
	  contribution.

	* Tweaked the abmient lighting contribution so that the OpenGL
	  vertex lighting has the ambient light source switched off, and
	  use the fragment shader to add this contribution back in.

2007-12-14 17:40 +0000 [r7689]  robert:

	* Refectored the loading of Locator out into its own separate file

2007-12-13 17:51 +0000 [r7688]  robert:

	* Added Locator::s/getTransformScaledByResolution(bool) to assist
	  with VPB integration

2007-12-13 16:06 +0000 [r7687]  robert:

	* Warning fixes

2007-12-13 15:24 +0000 [r7685-7686]  robert:

	* From Andy Skinner, build fixes for Solaris

	* Convert tabs to four spaces

2007-12-13 14:26 +0000 [r7684]  robert:

	* Fixed memory leak

2007-12-13 14:16 +0000 [r7683]  robert:

	* Updated the shapefile attribute IO so that its more streamlined.

2007-12-13 12:30 +0000 [r7682]  robert:

	* Added copy operator to ShapeAttribute to prevent problems when
	  assigned them or use within a vector

2007-12-12 17:59 +0000 [r7681]  robert:

	* Added a osgViewer::setSceneData(ref_ptr<Node>) method.

2007-12-12 17:48 +0000 [r7680]  robert:

	* Added new setFont(ref_ptr<>) variants to Text and Text3D

2007-12-12 17:04 +0000 [r7679]  robert:

	* From Serge Lages, introduce readRef*File() methods which pass
	  back ref_ptr<> rather than C pointers.

2007-12-12 16:56 +0000 [r7677-7678]  robert:

	* Updated copyright notices

	* From Andy Skinner, build fixes for Solaris.

2007-12-12 11:57 +0000 [r7676]  robert:

	* Added std:: infront of sort call

2007-12-12 10:47 +0000 [r7675]  robert:

	* Added const to operators.

2007-12-12 10:35 +0000 [r7674]  robert:

	* Added std:: in front of find enties

2007-12-12 09:48 +0000 [r7673]  robert:

	* From Serge Lages, "Here is a new modification to CMake adding an
	  option (OSG_MSVC_GENERATE_PLUGINS_AND_WRAPPERS_MANIFESTS) to
	  specify if we want to generate or not the manifest files under
	  VS8 for the plugins and the wrappers. It seems that the manifests
	  are needed if we try to load dynamically a core OSG dll."

2007-12-12 09:45 +0000 [r7672]  robert:

	* From Paul Martz, "Function declaration returns a bool, function
	  body was returning a pointer. Changed body to return (pointer !=
	  NULL)."

2007-12-11 17:19 +0000 [r7671]  robert:

	* From Cyril Brulebois, removed redundent typedef.

2007-12-11 17:01 +0000 [r7670]  robert:

	* Updated wrappers

2007-12-11 16:42 +0000 [r7669]  robert:

	* From Brede Johnansen, support for continuation records.

2007-12-11 16:34 +0000 [r7668]  robert:

	* From Karl Heijdenberg, moved set/getFrameStamp() from
	  osgViewer::View to osg::View.

2007-12-11 15:55 +0000 [r7667]  robert:

	* From Mike Garrity, "There was an on again/off again thread on OSG
	  users about creating subclasses of osg::Array that referenced
	  data stored an application's internal data structures. I took a
	  stab at implementing that and ran into a couple of downcasts in
	  Geometry.cpp. Enclosed is my take at fixing those along with a
	  simple example of how to do this."

2007-12-11 14:48 +0000 [r7666]  robert:

	* Added missing copyright notices

2007-12-11 14:39 +0000 [r7665]  robert:

	* From Mathias Froehlich, "Attached is a change to the PBuffer
	  initialsation code that checks for the GLX version before issuing
	  commands that require GLX-1.3. This prevents a crash with open
	  source drivers on linux. "

2007-12-11 14:06 +0000 [r7664]  robert:

	* From Roger James, "The changes are as follows:- 1. DAE object no
	  longer held onto by plugin. 2. Filename to URI conversion now
	  handled internally by plugin. 2. User can supply an external DAE
	  object for use by the plugin. 3. User can supply a std:string
	  object for the plugin to return the URI of the document just
	  processed. 4. User can supply a std::string to receive the unit
	  name information from the document just read in. (e.g. meters,
	  inches, etc.) 5. User can supply a float to receive the metric
	  conversion factor from the document just read in. 6. User can
	  supply an enum to receive the up axis orientation information
	  from the document just read in. 7. Material transparency can be
	  both read and written. 8. User can supply an experimental
	  GoogleMode option on output. The plugin will try to emulate the
	  way Sketchup specifies transparency (i.e. the inverse of what it
	  should be!). I am still struggling to get GE to understand
	  transparency, anyone know what it expects? 9. Rudimentary support
	  for Collada effect parameters (newparam, setparam, param) on
	  input. Basic nVidia FX Composer dae documents can now be read. "

2007-12-11 12:35 +0000 [r7662-7663]  robert:

	* Updated wrappers

	* From Tim More, "This submission tries to optimize redundant
	  compilation of StateSets and Drawables in the DatabasePager. The
	  practical effects of these are to greatly reduce startup time and
	  the time to load an individual scenery tile in FlightGear. - From
	  my log message: Minimize the number of StateSets and drawables
	  that are compiled by checking if they have already been compiled
	  or will be elminated by the SharedStateManager. Move the sorting
	  of the dataToCompile queue out of compileGLObjects into the man
	  pager run function. Change the SharedStateManager to use maps
	  instead of vectors."

2007-12-11 11:57 +0000 [r7660-7661]  robert:

	* From Joseph Steel, "he change is to initializeExtensionProcs() to
	  verify the version of the OpenGL implementation before attempting
	  to get the MaxTextureCoords parameter."

	* From Mathias Froelich, "I have cleaned up the state set handling
	  of the osg::ClipNode. Previously the complete StateSet was
	  cleared, even the non clipping releted state attributes and modes
	  in this stateset on a call to setLocalSetateSetModes. With this
	  change only those modes/attributes are changed that need to be
	  changed. That is, if a clip plane is removed from the ClipNode,
	  only this assiciated mode is removed from the state set, instead
	  of throwing away the whole state set. In this way we have less
	  surprising results if the state set of a clip node is used for
	  more state than just the clip state. "

2007-12-11 11:42 +0000 [r7659]  robert:

	* From Mathias Froechlich, "I have extended the StateSet api with a
	  StateSet::removeAssociatedModes(const StateAttribute*) and a
	  StateSet::removeAssociatedTextureModes(unsigned, const
	  StateAttribute*) call. These funktions are just missing for a
	  complete api IMO."

2007-12-11 11:37 +0000 [r7658]  robert:

	* From Alberto Luaces, "it seems that include/osgParticle/BoxPlacer
	  was created from the SectorPlacer file. The code works well but
	  the SectorPlacer comments stayed in the new file. I have altered
	  those comments so they now contain valid information for the
	  BoxPlacer class and the doxygen generated documentation is
	  correct. "

2007-12-11 11:21 +0000 [r7657]  robert:

	* From Per Fahlberg, "Attached is a fix allowing removal of shaders
	  from a program after it is first compiled. It will also allow new
	  shaders to be attached after the program is first compiled."

2007-12-10 20:56 +0000 [r7656]  robert:

	* From Sherman Wilcox, "In ESRIShapeParser.cpp, wasn't closing the
	  file handle. Added: if(fd) { close(fd); fd = 0; } to the
	  constructor."

2007-12-10 20:36 +0000 [r7653-7655]  robert:

	* From Eric Wing, "For osgviewerCocoa, a very simple change to
	  allow toggling between fullscreen mode and back between views.
	  (To activate, double click on the view to toggle.) It
	  demonstrates/uses the new one-liner fullscreen method introduced
	  in Leopard. Code will still compile and run in pre-Leopard
	  (thanks to Obj-C dynamic/late binding), but code path is treated
	  as a no-op in those cases."

	* Updated wrappers

	* From Richard Schmidt, fix on ordering to be standard OpenGL way.

2007-12-10 20:30 +0000 [r7651-7652]  robert:

	* From Richard Schmidt, "attached you will find a set of small
	  fixes and features. CullVisitor/SceneView: *Feature: This version
	  supports multiple clearnodes in the graph, one per renderstage.
	  Text: *Feature: Performance Enhancement when calling
	  SetBackdropColor Material: *Fix: OpenGL calls are now made
	  according to the OpenGL Standard "

	* From Ulrich Hertlein, "attached are some fixes and tweaks I made
	  to the .obj loader: - Material class contained both 'shininess'
	  and 'Ns' member variables - 'Ns' and 'Ni' are initialized to 0
	  ('Ni' is unused at the moment) - only 'Ns' was read from .mtl
	  file but 'shininess' was used for osg::Material - 'illum' was
	  read from .mtl file but never used; it is now used as follows --
	  illum==0 -> no osg::Material created/attached therefore no
	  lighting -- illum==1 -> osg::Material specular is set to black --
	  illum==2 (default) -> specular read from .mtl file is used -
	  'map_Kd' and 'map_Ks' may contain additional arguments (e.g. '-s
	  1 1 1'), these are now skipped over and the texture filename is
	  properly extracted "

2007-12-10 19:51 +0000 [r7649-7650]  robert:

	* From David Callu, IO support for Text3D

	* From David Callu, Text3D

2007-12-10 17:30 +0000 [r7648]  robert:

	* From Roland Smeenk, "Attached you will find a large set of small
	  typo fixes (mainly in the comments)."

2007-12-10 16:21 +0000 [r7647]  robert:

	* Updated wrappers

2007-12-10 16:14 +0000 [r7646]  robert:

	* Added osgViewerGetVersion() usage to force Windows to link
	  osgViewer.

2007-12-10 15:15 +0000 [r7645]  robert:

	* From David Callu, added support of 3D text to osgText and
	  associated plugins.

2007-12-10 12:45 +0000 [r7644]  robert:

	* From David Callu, added support for automatically reading
	  associate dbase files

2007-12-10 12:00 +0000 [r7643]  robert:

	* Char char[] to char* with new allocation.

2007-12-10 11:34 +0000 [r7642]  robert:

	* Refactored record allocation to fix build errors under Windows.

2007-12-10 11:20 +0000 [r7641]  robert:

	* Added export macro for windows build

2007-12-10 10:16 +0000 [r7640]  robert:

	* Added include<string.h> to fix compile errors under gcc 4.3

2007-12-09 16:38 +0000 [r7639]  robert:

	* From Gustavo Wagner, fixed bugs in reading M records from
	  shapefile

2007-12-09 16:29 +0000 [r7638]  robert:

	* From Gino van den Bergen, "I've added the following features to
	  the OSG VRML plugin: * Support for Box, Sphere, Cone, and
	  Cylinder. These nodes are converted to osg::Geometry conform the
	  VRML97 spec. * Backface culling is enabled/disabled according to
	  the "solid" flag for geometries that are converted from
	  IndexFaceSets. * PROTO instances can now be used for "appearance"
	  and "geometry" fields in a Shape node. The file
	  ReaderWriterVRML2.cpp is adapted for the latest stable public
	  release:
	  http://www.openscenegraph.org/svn/osg/OpenSceneGraph/tags/OpenSceneGraph-2.2.0
	  The changes where needed for being able to read VRML file which
	  are output by VMD (http://www.ks.uiuc.edu/Research/vmd/). A
	  sample VRML file is enclosed in this submission. The plugin has
	  been tested against a number of VRML samples that include
	  texturing. The texturing is found to be VRML97 compliant for all
	  added geometry nodes. "

2007-12-09 16:23 +0000 [r7637]  robert:

	* Removed redundent OpenFlightOptimizer

2007-12-09 16:14 +0000 [r7636]  robert:

	* From Ralf Karn, fixed "invalid enumerant" warning on
	  TEXTURE_2D_ARRAY_EXT initialization

2007-12-09 16:06 +0000 [r7635]  robert:

	* From Mihai Radu, "After someone asked for a fix for non-textured
	  object appearing black with the shader for textured objects. This
	  works very well in cases where there could be a mix of textured
	  and non-textured objects in the scene, and it makes the
	  initialization more robust. The idea is from PSSM, to add a
	  1pixel texture to the main rendering as to provide white for any
	  objects missing textures."

2007-12-09 16:01 +0000 [r7634]  robert:

	* Updated wrappers

2007-12-09 15:43 +0000 [r7633]  robert:

	* From David Callu, added DBase attribute support for shapefiles

2007-12-09 14:54 +0000 [r7632]  robert:

	* Updated wrappers

2007-12-09 12:19 +0000 [r7631]  robert:

	* From Aderian Egli, changed the window dimension clamping code to
	  work independantly for width and height.

2007-12-08 17:10 +0000 [r7630]  robert:

	* From Mario Guimaraes, "Currently, in the StateSet::merge method,
	  the rhs state attributes and modes are not merged into the lhs
	  state when the rhs is PROTECTED. The changes I'm providing here
	  address this problem."

2007-12-08 17:04 +0000 [r7629]  robert:

	* From Serge Lages, "Hi Robert, You were right about the
	  CMAKE_MODULE_LINKER_FLAGS option for CMake, so here is a
	  modification allowing to not generate the manifest files for the
	  plugins making them a lot more easy to redistribute. I have also
	  made the same modification to the wrappers as they are also put
	  into the osgPlugin folder when generated. "

2007-12-08 17:00 +0000 [r7628]  robert:

	* from Paul Matz, "Understood. Well, I think it's reasonable to
	  assume that the non-env var case is the more tested case, and
	  therefore it is correct to set _supportsVertexBufferObjects to
	  the same value as _fastPath. So here's a change that does the
	  same thing for the env var case."

2007-12-08 16:52 +0000 [r7627]  robert:

	* From Jeremy Moles, Anders Backman and Robert Osfield, both Jeremy
	  and Anders added static build support as an option, but one was
	  for Unix and one for Windowsm, but the two mods were also
	  inconsitent in naming and implementation. I have had a bash at
	  merging them both, but don't know yet if these changes will work
	  yet on either configuration... user testing will tell...

2007-12-08 16:37 +0000 [r7626]  robert:

	* From Peter Hrenka, "Due to popular demand I would like to submit
	  this enhanced version of PolytopeIntersector. New features of
	  PolytopeIntersector : * Dimension mask: The user may specify the
	  dimensions of the primitives to be tested. Checking
	  polytope-triangle and polytope-quad intersections is rather slow
	  so this can be turned off. * Reference plane: The resulting
	  intersections are sorted by the distance to this plane. New
	  memebers of PolytopeIntersector::Intersection : * distance:
	  Distance of localIntersectionPoint to the reference plane *
	  maxDistance: Maximum distance of all intersectionPoints to the
	  reference plane. * intersectionPoints: The points intersecting
	  the planes of the polytope or points completely inside the
	  polytope. * localIntersectionPoint: arithmetic mean of all
	  intersection points * primitiveIndex: Index of the primitive that
	  intersected I added some more output to the example
	  osgkeyboardmouse."

2007-12-08 15:46 +0000 [r7625]  robert:

	* From David Cullu and Robert Osfield, David addded a new style of
	  OSG integration with QT by sublcassing from QTWidget and using
	  osgViewer to create the graphics context, Robert added
	  integration of this codes with the original AdapterWidget
	  implementation still available by default. The new implementation
	  can be accessed by running: osgviewerQT cow.osg --QOSGWidget

2007-12-08 15:32 +0000 [r7624]  robert:

	* From Daniel Larimer, "There was a error with QTUtils.h when
	  compiling on HFS case-sensitive file system. The
	  #include<Quicktime/Quicktime.h> line needs to be replaced with
	  #include<QuickTime/QuickTime.h"

2007-12-08 15:27 +0000 [r7623]  robert:

	* From Neil Hughes, "Please find attached a replacement for the 3DS
	  pluggin's ReaderWriter3DS.cpp file. This contains a minor fix
	  (one line added) to ensure that the OSG Material structure is
	  given the name of the material definition within a loaded 3DS
	  file. "

2007-12-08 15:08 +0000 [r7622]  robert:

	* From Donald Cipperly, Fixed memory leak in computeIntersections

2007-12-08 15:04 +0000 [r7621]  robert:

	* From Jeremy Moles, "This extra call to SDL_VideoSetMode()
	  prevents my viewport from getting all wonky when I resize the SDL
	  window. I'm not sure if this bug has always existed or not, but
	  according to the SDL documentation this operation should be safe
	  regardless, and doesn't not introduce the need for extra memory
	  management (that is: there is no need to "cleanup" the old screen
	  variable, that is all handled by SDL for us). "

2007-12-08 13:29 +0000 [r7620]  robert:

	* From Robert Osfield and Richard Schmidt, made fixes inspired by
	  an original submission from Richard which highlighted problems
	  with Light, ClipPlane and Hint usage in osg::State's usage of
	  cloneType and reassignment of target/num in StateSet/these
	  StateAttributes.

2007-12-08 12:12 +0000 [r7619]  robert:

	* From David Callu, added IO_FluidProgram implementation.

2007-12-07 13:42 +0000 [r7618]  robert:

	* Added an #include<assert.h> to avoid compile problems on some
	  systems.

2007-12-07 13:28 +0000 [r7617]  robert:

	* From Tony Horrobin, "Attached is a small fix for the openflight
	  loader with regard to road segment and construction records. It
	  just uses the id field to set the name of the osg node as with
	  other types."

2007-12-07 13:19 +0000 [r7616]  robert:

	* From Paul Martz, minor typo fixes in notify messages

2007-12-06 17:53 +0000 [r7615]  robert:

	* From Bob Kuehne, added extra event handlers

2007-12-06 17:44 +0000 [r7614]  robert:

	* From Farshid Lashkari, "The bmp writer crashes in certain cases.
	  It happens when the computed size of the image data is greater
	  than the actual image size. This causes the memcpy call to go out
	  of the array bounds. I modified the code so that it copies the
	  data during the iteration, instead of memcpy'ing. This fixes the
	  problems i was having. If you are curious, the writer was
	  crashing when trying to write an RGB image that was 2050 x 1280.
	  You might be able to reproduce it by allocating an empty image of
	  that size and writing it to a file."

2007-12-06 17:41 +0000 [r7613]  robert:

	* From Hautio Jari, "Current version of GraphicsWindowWin32 allows
	  resize to zero height window. This breaks rendering in for
	  example MFC SDI applications and in MFC MDI applications if user
	  resizes the window so that client area has zero height. Current
	  safeguard for minimized window: LRESULT
	  GraphicsWindowWin32::handleNativeWindowingEvent( HWND hwnd, UINT
	  uMsg, WPARAM wParam, LPARAM lParam ) ... ///////////////// case
	  WM_MOVE : case WM_SIZE : ///////////////// ... if
	  (clientRect.bottom==0 && clientRect.right==0) ... does not cover
	  this situation. In these situations clientRect.bottom = 0 and
	  clientRect.right > 0. Quick fix to this is relax condition: if
	  (clientRect.bottom==0 || clientRect.right==0) Modified file is
	  attached. Tested with osgviewerMFC from 2.2.0 release (Windows XP
	  sp2) Before fix: - execute from command line osgviewerMFC.exe
	  cow.osg. - the cow is rendered nicely. - resize window to zero
	  height by dragging from bottom border upwards. - resize window
	  back to original height - just blue screen, no cow After fix: -
	  execute from command line osgviewerMFC.exe cow.osg. - the cow is
	  rendered nicely. - resize window to zero height by dragging from
	  bottom border upwards. - resize window back to original height -
	  the cow is where it is supposed to be. "

2007-12-06 17:31 +0000 [r7611-7612]  robert:

	* From Serge Lages, "Here are some modifications to the
	  DatabasePager, with the possibility to : - Get or set the target
	  number of PagedLOD children to remove per frame. - Get or set the
	  minimum number of inactive PagedLOD to keep. Corresponding
	  environment variables have been added too. The default values
	  reproduce the previous DatabasePager behavior."

	* From Cedric Pinson, fixes for toggle fullscreen on gnome desktop

2007-12-06 17:07 +0000 [r7610]  robert:

	* From Mathias Froehlich, "n examples/osgfadetext/CMakeLists.txt
	  osgSim as dependency is missing."

2007-12-06 17:03 +0000 [r7608-7609]  robert:

	* From Mathias Froehlich, "Add missing includes. Fails on hp-ux."

	* From Mathias Froehlich, "Attached is a changed version of
	  osgunittests.cpp. The __FUNCTION__ macro/string value is not
	  portable. Instead the functions name is just put into the
	  string."

2007-12-06 16:50 +0000 [r7607]  robert:

	* From Wojiech Leandowski, fixed the hardwiring of archive
	  extensions to 4 charaters

2007-12-06 10:04 +0000 [r7606]  robert:

	* Fixed crash in cfg by rearranging the code blocks so the codes
	  that use the graphics context are only called when a graphics
	  context is successfully aquired.

2007-12-06 09:22 +0000 [r7605]  robert:

	* From Ulrich Hertlein, added osgViewer dependency for OSX build

2007-12-05 18:32 +0000 [r7604]  robert:

	* Changed WIN32 guard to _WIN32_IMPLEMENTATION to attempt to avoid
	  Win32 build error

2007-12-05 11:29 +0000 [r7603]  robert:

	* Removed debugging line.

2007-12-05 11:23 +0000 [r7602]  robert:

	* From Cedric Pinson, first cut at Producer .cfg camera
	  configuration file support.

2007-12-04 14:46 +0000 [r7597-7601]  robert:

	* Added support for new double Vec*Array classes in various
	  functors.

	* Added optional double support via new Vec3dArray support in
	  osg::Geometry. To enable double usage set the option string
	  "double" i.e. osgviewer myshapefile.shf -O "double"

	* Added support for double Vec*Array objects

	* Added double Vec*Array support

	* Added testPolytope entry

2007-12-01 15:30 +0000 [r7596]  robert:

	* Fixed the Polytop::setFrustum and setBoundingBox method

2007-11-21 10:18 +0000 [r7595]  robert:

	* Added a check against the makeCurrent() return type to make sure
	  that OpenGL calls are only made if the makeCurrent() is
	  successful.

2007-11-17 11:50 +0000 [r7594]  robert:

	* From Colin Dunlop, add --devices support.

2007-11-13 17:03 +0000 [r7593]  robert:

	* Added support for filename only setup of CompositeLayer on
	  reading/writing.

2007-11-10 03:43 +0000 [r7592]  ewing:

	* Added missing files for qt plugin

2007-11-09 20:04 +0000 [r7591]  ewing:

	* For osgdb_freetype: Ugh. Another fix for the cycle problem. It
	  seems that the SDKROOT didn't necessarily solve the problem, but
	  there were some unneeded library dependencies that weren't in my
	  test fork which allowed my test to work, but caused SVN to fail.
	  I have removed some of the excess libraries and it seems to build
	  without the Q&A fix.

2007-11-09 13:16 +0000 [r7590]  ewing:

	* OpenThreads Version header was mistakenly in Resources. osg
	  Texture2DArray header was mistakenly in Resources.

2007-11-09 02:21 +0000 [r7589]  ewing:

	* Lots of Leopard information added.

2007-11-08 10:30 +0000 [r7588]  robert:

	* From Colin Dunlop, added missing header (note from Robert
	  Osfield, this submission was extracted from an inline submission
	  so may be prone to errors).

2007-11-08 10:30 +0000 [r7587]  ewing:

	* For Leopard freetype, path is $(SDKROOT)/usr/X11/lib not X11R6.

2007-11-06 12:07 +0000 [r7586]  robert:

	* From Colin Dunlop, add live video stream support

2007-11-04 16:08 +0000 [r7585]  robert:

	* Added support for setting volume in xine plugin, manual
	  adjustment of volume in osgmove example, and clamping to 0 to 1.0
	  range in quicktime plugin

2007-11-04 15:21 +0000 [r7584]  robert:

	* Changed the include definition so that it works under Cygwin.

2007-11-03 10:32 +0000 [r7583]  robert:

	* Fixed bug in addSlave

2007-10-31 12:55 +0000 [r7581-7582]  robert:

	* Changed the spherical display intensity map set up to use colours
	  rather than a second texture unit.

	* Added getColor method to allow easy reading of individual pixels.

2007-10-31 11:06 +0000 [r7580]  robert:

	* Fixed wrap mode for panoramic display.

2007-10-30 14:17 +0000 [r7579]  robert:

	* Changed debug message from NOTICE to INFO.

2007-10-29 00:36 +0000 [r7578]  ewing:

	* Fix for freetype plugin to be aware of SDKs (i.e. use SDKROOT).

2007-10-25 09:00 +0000 [r7577]  robert:

	* Fixed the capitilization of the osgdb_osgfx plugin

2007-10-19 09:58 +0000 [r7576]  robert:

	* Fixed errors is setup of VBO/EBO's.

2007-10-19 08:42 +0000 [r7575]  robert:

	* Fix for setting scene data after slaves have been added.

2007-10-19 08:39 +0000 [r7574]  robert:

	* Fixed getOrCreateVertexBufferObject().

2007-10-17 19:01 +0000 [r7573]  robert:

	* Removed redundent X11/Intrinsic include

2007-10-16 19:04 +0000 [r7570-7572]  robert:

	* Added flv to accepted list video format for the quicktime and
	  xine-lib plugins

	* Added flv to accepted list of formats

	* Added flv to the list of accepted movie types

2007-10-05 11:48 +0000 [r7569]  ewing:

	* Forgot to bump version numbers to 2.2.0.

2007-10-05 11:28 +0000 [r7568]  ewing:

	* Needed to remove dead header from precompiled header file. Minor
	  fixes to readme.

2007-10-05 10:46 +0000 [r7567]  robert:

	* From Mathias Froehlich, "since we patched our hp to an other
	  patchlevel, I need the following to include/osg/Texture"

2007-10-05 09:10 +0000 [r7566]  robert:

	* From Andy Skinner, build fixes for Solaris.

2007-10-05 09:03 +0000 [r7565]  robert:

	* Changed the threading model to single threaded.

2007-10-04 11:24 +0000 [r7563]  robert:

	* Updated ChangeLog for 2.2 release

2007-10-04 11:20 +0000 [r7561]  robert:

	* Added asView() method to GUIActionAdapter to help out with .NET
	  wrappers. Updated wrappers

2007-10-04 10:05 +0000 [r7558]  robert:

	* Updated version for 2.2 release

2007-10-04 08:54 +0000 [r7556]  robert:

	* From Trajce Nikolov, added support for extract a region for
	  geospatial imagery

2007-10-03 23:44 +0000 [r7554]  robert:

	* Updated ChangeLog, NEWS and AUTHORS file for 2.1.15 release

2007-10-03 23:27 +0000 [r7553]  robert:

	* Updated version for 2.1.15 dev release

2007-10-03 23:03 +0000 [r7551-7552]  robert:

	* From Panagiotis Papadakos, "Setting the maximum height of osgText
	  doen't seem to work. If the text is big enough, it exceeds the
	  height that I gave as input to setMaximumHeight. So check if
	  cursor is out of -_maximumHeight."

	* Added support for defining an option
	  OSG_GLU_TESS_CALLBACK_TRIPLEDOT within the CMake build system,
	  enabling this option will build the OSG against the (...) version
	  of the tesselation callback functions. One can also set the
	  default value of this option via the
	  DEFAULT_GLU_TESS_CALLBACK_TRIPLEDOT variable that is set locally
	  to OFF for all platforms except AIX and OSX, but can be overriden
	  by setting it via command line option i.e. cmake .
	  -DDDEFAULT_GLU_TESS_CALLBACK_TRIPLEDOT=ON

2007-10-03 21:12 +0000 [r7550]  shuber:

	* updated XCode projects

2007-10-03 20:21 +0000 [r7549]  robert:

	* Added GLU_TESS_CALLBACK_TRIPLEDOT path into include/osg/GLU and
	  enabled this for AIX as reading the old paths this was required.
	  This looks like it is needed under Xcode build as well.

2007-10-03 19:54 +0000 [r7548]  robert:

	* Removed double return error

2007-10-03 12:49 +0000 [r7545-7546]  robert:

	* Updated version, authors and change log for the 2.1.14 release

	* From Mahai Radu, improvements to handling of spotlights

2007-10-03 12:04 +0000 [r7544]  robert:

	* Refactored the plugin and library naming to fix Cygwin plugin
	  loaded issues.

2007-10-03 10:38 +0000 [r7542-7543]  robert:

	* Added preliminary press release

	* From Alberto Luaces, build fix for Cygwin.

2007-10-03 08:34 +0000 [r7541]  robert:

	* Added return 0 to fix warning

2007-10-02 21:45 +0000 [r7539-7540]  robert:

	* Updated wrappers

	* From Mihair Radu, "Most of the additions are small utility
	  methods: - set the resolution of the shadow map; it calls dirty()
	  to re-initialize at next update - keep a list of Shader objects
	  to use instead of the default ones, if the list is empty, the
	  default shaders are used - explicitly create the Uniform
	  variables, so that subsequent additions that require more
	  Uniforms can put them in a central place - set a Light or
	  LightSource to use explicitly for shadow casting, allows multiple
	  lights in the scene, with one casting shadows There are two
	  additions that do not ( yet ) function correctly, but in the
	  present usage they do not interfere with the regular usage of the
	  techique: - support for using spotlights, it's using
	  Light.spotCutoff to determine if it's a spot-light and not
	  point-light, there is an error in the setup of either the shadow
	  camera or the texgen, most likely due to the direction of the
	  spotlight, since the position is being used just like in point or
	  directional lights. - creation of a debugHUD the hud is created
	  properly, ( the example included shows it ), but it displays only
	  white, there has been some discussion of displaying the shadow
	  map, but I could not find it, the addition of a simple fragment
	  shader with the appropriate color transform should get this
	  going."

2007-10-02 21:28 +0000 [r7535-7538]  robert:

	* Updated wrappers

	* Introduced a OSG_PLUGIN_PREFIX variable into CMake build system
	  with it set to "" for all platforms except Cygwin where its set
	  to "cygwin_" and Mingw where it is set to "mingw_". Updated
	  osgDB::Registry to look for these for the plugins. Updated the
	  osgintrospection example to search for these names as well.

	* Updated to reflect new CompositeViewer threading models

	* Merged the threading set up and rendering code from Viewer and
	  CompositeViewer into ViewerBase to allow CompositeViewer to
	  inherit the same theading models previously just supported by
	  osgViewer::Viewer

2007-10-02 20:56 +0000 [r7532-7534]  robert:

	* Changed the search for Qt version to prevent problems when having
	  both Qt3 and Qt4 installed on one machine.

	* Added a #ifdef 0 code block to test setting of the
	  StateSetManipulator's DataVariance to DYNAMIC to solve a
	  threading issue relating to mixing of StateSetManipulator and
	  DrawThreadPerContext.

	* Changed the GLU_TESS_CALLBACK in an attempt to avoid compile
	  problems under OSX.

2007-10-02 20:45 +0000 [r7531]  robert:

	* From Andy Skinner, changes the library linkage to just include
	  osg and OpenThreads

2007-10-01 15:11 +0000 [r7530]  robert:

	* Removed redundent malloc.

2007-10-01 11:02 +0000 [r7528]  robert:

	* From David Callu, various fixes for window inheritance

2007-10-01 10:23 +0000 [r7525-7526]  robert:

	* Updated AUTHORS for 2.1.13 release

	* Updated Version number for 2.1.13 and updated ChangeLog.

2007-10-01 09:41 +0000 [r7522]  robert:

	* Changed requestWarpPointer to use _eventDislay to avoid crash in
	  osghanglide example due to async usage.

2007-10-01 08:50 +0000 [r7521]  robert:

	* Removed log2 and replaced the places where is was used with a new
	  Image::computeNumberOfMipmapLevels method.

2007-09-30 20:16 +0000 [r7520]  shuber:

	* updated XCode-projects

2007-09-30 19:56 +0000 [r7519]  robert:

	* Updated wrappers

2007-09-30 19:53 +0000 [r7518]  robert:

	* From Paul Martz, "here's the osgDB::Registry changes to add
	  Options to the read*File() interface. As we discussed, this
	  preserves the old interface for backwards compatibility. osgconv
	  also changed to use the new Registry::writeNode() interface. No
	  other applications or examples were affected."

2007-09-30 19:39 +0000 [r7517]  robert:

	* Updated wrappers

2007-09-30 19:27 +0000 [r7516]  robert:

	* Added support for CompositeViewer to WindowSizeHandler,
	  ThreadingHandler, RecordCameraPathManipulator and HelpHandler.

2007-09-30 19:15 +0000 [r7515]  robert:

	* Changed HelpHandler so it supports use with CompositeViewer and
	  Viewer

2007-09-30 18:43 +0000 [r7513-7514]  robert:

	* Added hdwriter to CMake build

	* From David Spilling, "Please find attached an extension of the
	  Radiance HDR (RGBE) image reader to support writing. The options
	  are intended to match the existing read options. By default it
	  will only write RGB32F format; if the "RAW" option is selected,
	  it will output 8 bit RGBA as "raw" RGBE. Note also that the
	  writer inserts a flipVertical(); although the RGBE format,
	  according to spec, should support top-to-bottom or bottom-to-top
	  ordering, no software I've found, including that from the formats
	  originator, actually respects this."

2007-09-30 18:33 +0000 [r7512]  robert:

	* From Jan Peciva, "I am submitting improved Inventor (iv) writer.
	  List of changes: - added support for Billboards and LOD -
	  improved Material handling "

2007-09-30 16:24 +0000 [r7511]  shuber:

	* updated xcode-projects

2007-09-30 15:24 +0000 [r7510]  robert:

	* Updated wrappers

2007-09-30 15:07 +0000 [r7508-7509]  robert:

	* Updated wrappers

	* From Dan Minor, "osgText::Text does not currently have a
	  getAxisAlignment method. The attached code adds this, along with
	  a member variable to keep track of the setting. It is based on
	  the latest subversion version, and was tested by creating a new
	  text object with the same axis alignment as an existing one (e.g.
	  new_text->setAxisAlignment(old_text->getAxisAlignment()); )."
	  From Robert Osfield, " I originally didn't add a
	  getAxisAlignment() as all setAxisAlignment does is set the
	  Rotation member variable, and potentially one could apply user
	  defined Rotation setting after the setAxisAlignment() which would
	  bring it out of sync with the setAxisAlignment. Rather than
	  reject your submission on the ground of potentially getting out
	  of sync and therefore misleading users I've added a
	  USED_DEFINED_ROTATION to AxisAlignment enum, and set this in the
	  serRotation and then override this setting of _axisAlignment in
	  the setAxisAlingment method. I've also removed the lazy updating
	  optimization you've added to the top of setAxisAlignment to avoid
	  potential problems as well."

2007-09-30 11:37 +0000 [r7507]  robert:

	* Moved ViewerBase class out into its own header and source file.
	  Improved the support for stats collection in
	  CompositeViewer/StatsHandler.

2007-09-29 16:46 +0000 [r7506]  robert:

	* Refactor Viewer/CompositeViewer so the both inherit from the a
	  ViewerBase class

2007-09-29 11:41 +0000 [r7505]  robert:

	* From Stephan Huber, add basic support for CompositeViewer in
	  StatsHandler

2007-09-29 11:12 +0000 [r7504]  robert:

	* From Mattias Linde, "Nice, this almost gets the job done, one way
	  communication into the plugin is possible. I've done some
	  additional small modification regarding constness in ReaderWriter
	  and added mutable on _pluginData so passing data back would be
	  possible too. Have updated the collada plugin
	  (ReaderWriterDAE.cpp) to use the map to handle options and have
	  attached the changes. The stuff in daeReader.h and daeWriter.h
	  are just cosmetic changes to get rid of a warning."

2007-09-28 13:42 +0000 [r7503]  robert:

	* Fixed SphericalDisplay set up codes to properly manage display
	  host/num

2007-09-28 13:38 +0000 [r7501-7502]  robert:

	* From Mathias Froehlich, "I had a chance to look into the remote
	  display problems. The screen resolution was queried for the wrong
	  display."

	* From Mattias Linde, "I've attached a modified ReaderWriter header
	  which has some additions to osgDB::ReaderWriter::Options to
	  handle PluginData."

2007-09-28 08:53 +0000 [r7499-7500]  robert:

	* Andre Garneau, three fixes in one submissions: "This is a fix for
	  the issue reported by Anders a week ago (see \u201c[osg-users]
	  BUG?: mouse coordinate changes after window move\u201d discussion
	  thread on Sept. 20). The issue was that the initial
	  implementation added a few months back was not converting the
	  window coordinates to client-area coordinates resulting in a
	  slight offset each time a decorated window was moved (caused by
	  the window border). This was also causing windows to move out of
	  their assigned screen." and "Attached is a fix for the taskbar
	  repaint issue that occurs when a graphics window is toggled from
	  full-screen mode to windowed mode (as identified by Gert van
	  Maren a couple of weeks ago). Also included is a fix derived from
	  the \u201cEvents from the past\u201d discussion thread that took
	  place on July 11."

	* Added record path manipulator

2007-09-27 13:49 +0000 [r7498]  robert:

	* Changed across to using a GraphicsOperation as the base class for
	  the RealizeOperation.

2007-09-27 12:47 +0000 [r7497]  robert:

	* From Adrian Egli, "update the PSSM, i did some bug fixes and
	  added new features to move the camera virtual against the view
	  direction by applaying a simple distance factor (a), which is
	  calculated camera eye - camera center distance. and we can move
	  the "light camera" against the light direction (b). (a) some
	  objects behind the camera can cast shadow (b) object aboive the
	  camera can cast shadow then i fixed the shadow map orientation,
	  now screen x coordinate alinged which improve the quality"

2007-09-27 12:15 +0000 [r7496]  robert:

	* From Mathias Froehlich, compile fix for HP-UX without large file
	  support

2007-09-27 10:47 +0000 [r7495]  robert:

	* From Mathias Froehlich, "Some more file that needs some
	  adjustment because of missing member templates in suns stl."

2007-09-27 10:42 +0000 [r7494]  robert:

	* Changed copy constrcutor to a default constrcutor and std::copy
	  to avoid problems with dodge Sun compiler.

2007-09-27 10:22 +0000 [r7492]  robert:

	* Added support for selecting internal texture format via the
	  internalFormat <numbits> entry in the .osg file

2007-09-26 16:17 +0000 [r7491]  shuber:

	* updated XCode project-files

2007-09-26 14:44 +0000 [r7490]  robert:

	* From Jean-Sebastien Guay, "Attached you will find an expanded
	  FindOpenVRML.cmake file, as well as a fixed CMakeLists.txt file
	  for the VRML plugin ."

2007-09-26 14:31 +0000 [r7489]  robert:

	* Updated wrappers

2007-09-26 14:02 +0000 [r7488]  robert:

	* Added IntensityMap reading in .view files

2007-09-26 11:32 +0000 [r7486]  robert:

	* Tweaked the wrapping of osgViewer::Scene to fix build problems

2007-09-26 10:58 +0000 [r7485]  robert:

	* From Stephan Huber, "attached you'll find a first implementation
	  for the obj-plugin to write obj-files. It is not feature complete
	  but usable. Known issues: * not all materials are handled
	  correctly (especially when using osg::StateAttribute::OVERRIDE),
	  not all properties are supported * could not test point and
	  lines, all of my programs which are capable to read obj-files
	  only import triangle-meshes. * only simple texture-handling"

2007-09-26 10:46 +0000 [r7484]  robert:

	* Added suprression of the reflection of osgViewer::Scene to avoid
	  build issues associated with the class.

2007-09-26 09:59 +0000 [r7483]  robert:

	* Updated wrappers

2007-09-26 09:50 +0000 [r7482]  robert:

	* From David Callu, adding support for GraphicsWindowX11 window
	  inhertance and setWindowName() method.

2007-09-25 19:14 +0000 [r7481]  robert:

	* Added support for intensityMap and fix naming of --panoramic-sd
	  and --3d-sd command line arguments

2007-09-25 17:02 +0000 [r7479-7480]  robert:

	* Added --flip argument docs.

	* Added --flip option to allow one to flip the source data about
	  the x axis.

2007-09-25 15:01 +0000 [r7477]  robert:

	* Removed all dome distortion correction code as this is now part
	  of the core osgViewer. Added viewer mode where movies are made
	  fullscreen. One can use the old interactive camera mode by using
	  --interactive parameter on the command line.

2007-09-25 13:51 +0000 [r7475]  robert:

	* Preliminary PanoramicSphericalScreen support

2007-09-25 12:34 +0000 [r7473]  robert:

	* Added --major/minor/path-number support

2007-09-25 11:26 +0000 [r7472]  robert:

	* Fixed version number

2007-09-25 10:18 +0000 [r7471]  robert:

	* Added thread unit test to test the create, start and destruction
	  of threads

2007-09-24 16:34 +0000 [r7466]  robert:

	* Updated Version and AUTHORS for 2.1.12 dev release

2007-09-24 16:30 +0000 [r7464-7465]  robert:

	* Renamed packaging directory to pkgconfig

	* Updated ChangeLog for release

2007-09-24 16:25 +0000 [r7463]  robert:

	* Updated wrappers

2007-09-24 15:24 +0000 [r7462]  robert:

	* From Adrian Egli, further work on PSSM implementation.

2007-09-24 10:36 +0000 [r7460]  robert:

	* From Alberto Luaces, fixed typo of valid() in warning message

2007-09-24 10:31 +0000 [r7459]  robert:

	* Changed iterator name to avoid warning

2007-09-24 09:39 +0000 [r7458]  robert:

	* From Mirko Viviani, "attacched you'll find the updated xcode
	  project for OpenSceneGraph 2.1.11. The one supplied in the
	  archive does not build due to some missing file references."

2007-09-24 09:35 +0000 [r7457]  robert:

	* From Jose Delport: "have been using the new
	  VIEW_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY mode of the OverlayNode.
	  I change the overlay subgraph dynamically and when I remove all
	  the subgraph nodes that is inside the current main camera FOV
	  (others outside still exist), the overlay texture does not update
	  because of the early return in the traversal. I then get a kind
	  of ghost texture moving around the terrain. The attached file
	  fixed the problem for me, but I'm not sure if it is the best way
	  to address the problem."

2007-09-24 09:26 +0000 [r7456]  robert:

	* From Art Tevs, "Following two lines has to be included into the
	  Image.cpp in the computeNumComponents(...) method:
	  case(GL_RGBA16F_ARB): return 4; case(GL_RGBA32F_ARB): return 4;"

2007-09-24 09:05 +0000 [r7455]  robert:

	* Made ReaderWriter and ReaderWriter::Options use thread safe ref
	  counting.

2007-09-22 17:39 +0000 [r7454]  robert:

	* Improved the handling of OSG_CONFIG_FILE support.

2007-09-22 16:50 +0000 [r7453]  robert:

	* From David Callu, added getOrCreateScene method, made contractors
	  protected. From Robert Osfield, made getOrCreateScene protected
	  and made View a friend of Scene to all it to construct Scene
	  objects itself.

2007-09-22 16:46 +0000 [r7452]  robert:

	* From Adrian Egli, update to ParallelSplitShadowMap.

2007-09-22 13:06 +0000 [r7451]  robert:

	* Added EXPORT

2007-09-21 19:43 +0000 [r7450]  robert:

	* From David Callu, added findSlaveIndexForCamera method

2007-09-21 19:04 +0000 [r7449]  robert:

	* Added return

2007-09-21 15:34 +0000 [r7448]  robert:

	* Added support for basic viewer configuration files

2007-09-21 13:30 +0000 [r7447]  robert:

	* Further steps towards reading coniguration files.

2007-09-21 09:02 +0000 [r7446]  robert:

	* From Luc Frauciel, "A few improvements to osgstereoimage: - When
	  using a large numbrer of files, the command line was too long;
	  Added a -files option that allow to store filenames in a file
	  (one file per line) - Added some more intuitive key bindings for
	  controls (left, right, + , -) - Set the texture wrapping to
	  CLAMP_TO_EDGE (it's cleaner now) "

2007-09-20 10:14 +0000 [r7444-7445]  robert:

	* Updated wrappers

	* From Anders Backman, added bias and texture size methods. From
	  Robert Osfield, tweaks to the above for method parameters and
	  indenting.

2007-09-19 16:53 +0000 [r7443]  robert:

	* Added supoort for OSG_WRITE_OUT_DEFAULT_VALUES env var

2007-09-19 15:29 +0000 [r7442]  robert:

	* Added support for bool in ArgumentParser::Parameter. Added
	  support for using Input::read(...) methods using
	  ArgumentParser::Paramter to adapter to multiple paramter types.

2007-09-19 11:56 +0000 [r7441]  robert:

	* From Adrian Egli, ParallelSplitShadowMap implmentation. Changes
	  by Robert Osfield - CMakeLists.txt and name change to
	  ParallelSplitShadowMap.

2007-09-19 10:14 +0000 [r7440]  robert:

	* Changed the simplifier so that it produces deterministic results,
	  no longer using memory pointers for sorting.

2007-09-19 09:00 +0000 [r7439]  robert:

	* Removed check for shaders/overlay_perspective_main.vert

2007-09-18 16:00 +0000 [r7438]  robert:

	* Commented out herror() as its not called anywhere in the code.

2007-09-17 09:33 +0000 [r7436]  robert:

	* Updated ChangeLog, AUTHORS and README for 2.1.11 release

2007-09-17 09:26 +0000 [r7435]  robert:

	* Updated version numbers for 2.1.11 dev release

2007-09-16 17:48 +0000 [r7431-7434]  robert:

	* Fixed Locator::setTransform method so it takes a const Matrixd&,
	  and improved the setting of Locator in the gdal plugin.

	* Setting for new option for hinting whether to write out default
	  values

	* Added option for controlling whether output code should write out
	  default values

	* Fixed warning

2007-09-16 07:55 +0000 [r7429]  robert:

	* From Loic Dachary, pkg_config files

2007-09-15 17:40 +0000 [r7428]  robert:

	* Introduced the use of a ReentrantMutex to avoid problems with
	  findFontFile.

2007-09-15 17:36 +0000 [r7427]  robert:

	* From David Spilling, "Given no replies to my recent "does anybody
	  use the DDS writer" query, I was emboldened to submit this very
	  small patch. The bitmasks for RGBA and RGB have been modified in
	  the writer portion of the code (line 765 onwards). This is now
	  consistent with what the DDS plugin reads. In terms of testing,
	  note that many 3rd party applications erroneously ignore the
	  bitmasks in the file, and assume a BGRA order."

2007-09-14 11:26 +0000 [r7426]  robert:

	* Updated wrappers

2007-09-14 11:06 +0000 [r7425]  robert:

	* From Andy Skinner, added support for ot-soversion-OpenThreads.dll
	  dll naming under Windows

2007-09-14 11:02 +0000 [r7421-7423]  robert:

	* Updated wrappers

	* Added TemplateRegisterDotOsgWrapperProxy.

	* Ran conversion of tabs to four spaces

2007-09-14 10:44 +0000 [r7420]  robert:

	* Introduce
	  GUIEventHandler::handleWithCheckAgainstIgnoreHandledEventsMask()
	  methods to help make it easier to get event handles to ingore
	  events that have already been handled.

2007-09-14 10:26 +0000 [r7419]  robert:

	* From Ole-Morten Duesund, added IgnoreUsedEventsMask.

2007-09-14 10:00 +0000 [r7418]  robert:

	* Added _hudText->setDataVariance(osg::Object::DYNAMIC); to prevent
	  from the text being updated at the same time as being rendered.

2007-09-13 11:00 +0000 [r7416]  robert:

	* Fix for build error during aggressive warning build

2007-09-13 10:42 +0000 [r7415]  robert:

	* Fixed warning in wrappers

2007-09-13 10:38 +0000 [r7414]  robert:

	* Fixed warnigns

2007-09-13 10:33 +0000 [r7412-7413]  robert:

	* Updated wrappers and READEME

	* From Paul Martsz, changed the Texture clamping mode to
	  CLAMP_TO_EDGE

2007-09-13 10:21 +0000 [r7410-7411]  robert:

	* From Blake Williams, warning fixes

	* Add static_cast to fix warning.

2007-09-13 10:16 +0000 [r7408-7409]  robert:

	* Removed unncessary typedefs

	* Fixed warnings of casting void* by refactoring the type and
	  extensiosn setup.

2007-09-13 10:10 +0000 [r7407]  robert:

	* Fixed uint/int comparison warning.

2007-09-13 09:30 +0000 [r7406]  robert:

	* Created two PixelBufferX11::closeImplementation() one the real
	  implementation and a second non op one for GLX <1.3.

2007-09-12 17:01 +0000 [r7404-7405]  robert:

	* Added preliminary handling of cases where GLX version < 1.3

	* Removed debug messages

2007-09-12 16:28 +0000 [r7403]  robert:

	* Moved the linking of OpenThreads from osgversion/CMakeLists.txt
	  into applications/CMakeLists.txt

2007-09-12 16:20 +0000 [r7402]  robert:

	* Rejigged the casting to avoid warnings under Windows

2007-09-12 10:43 +0000 [r7400]  robert:

	* Updated version, ChangeLog and AUTHORS file for 2.1.10 release

2007-09-12 10:04 +0000 [r7399]  robert:

	* From Jan Peciva, build fix

2007-09-11 20:54 +0000 [r7397]  robert:

	* Added log2(int) and log2(uint) methods

2007-09-11 20:24 +0000 [r7396]  robert:

	* Removed int version of log2 to avoid possible errors in assuming
	  log2(10) should ~= log2(10.0)

2007-09-11 17:10 +0000 [r7394-7395]  robert:

	* Added OpenThreads to target libraries

	* From Art Tevs, Added log2 function.

2007-09-11 16:59 +0000 [r7392-7393]  robert:

	* From Art Tevs, build fix.

	* Replaced allocateMipmap code with warning message as mipmaps
	  aren't support for TextureRectangle.

2007-09-11 13:47 +0000 [r7391]  robert:

	* Removed the output num_children from Group .osg output and
	  removed the output of "DataVaraince UNSPECIFIED" as this is
	  redundent considering the default value is UNSPECIFIED.

2007-09-11 13:42 +0000 [r7389-7390]  robert:

	* Updated wrappers

	* From Mathias Froenlich, "have a problem with the SunOS CC. It
	  does not like that the prototype of ClipNode::setStateSetModes()
	  differs from implementation of that function in the constness of
	  the second parameter. On SunOS it compiles fine, but I get link
	  errors when the variant that is declared in the header is
	  referenced. The attached src/osg/ClipNode.cpp file removes the
	  const qualifier from the implementation to match exactly the
	  prototype in the header file. The file is based on revision 7386
	  as of today. "

2007-09-11 13:34 +0000 [r7387-7388]  robert:

	* From Art Trevs, "File Changes: - GL2Extensions, Program and
	  Program.cpp Features: - Support for fragment output binding.
	  (e.g. You can now specify in the fragment shader varying out vec3
	  fragOut; fragOut = vec3(1,0,1); to write to the fragOut variable.
	  In your program you call glBindFragDataLocation(program, 1,
	  "fragOut") to bind the fragOut variable with the MRT 1 -
	  GL_COLOR_ATTACHMENT1_EXT) - new methods
	  Program::add/removeBindFragDataLocation
	  Program::getFragDataBindingList "

	* Seperated out GeometryTechnique .osg support.

2007-09-11 12:28 +0000 [r7386]  robert:

	* Changed the isTextureIntegerSupported method so that it no longer
	  has the EXT entry in it for forward compatability reasons.

2007-09-11 12:04 +0000 [r7385]  robert:

	* From Art Trevs, "Features of the patch are: - Implementation of
	  integer textures as in EXT_texture_integer - setBorderColor(Vec4)
	  changed to setBorderColor(Vec4d) to pass double values as border
	  color. (Probably we have to provide an overloading function to
	  still support Vec4f ?) - new method
	  Texture::getInternalFormatType() added. Gives information if the
	  internal format normalized, float, signed integer or unsigned
	  integer. Can help people to write better code ;-) " Futher
	  changes to this submission by Robert Osfield, changed the dirty
	  mipmap flag into a buffer_value<> vector to ensure safe handling
	  of multiple contexts.

2007-09-11 10:16 +0000 [r7384]  robert:

	* From Rafa Giatan, "Changed int to GLsizei in the input parameter
	  of the method osg::Texture2DArray::applyTexImage2DArray_subload
	  inside Texture2DArray (lines 214 and 257), Otherwise it gives a
	  compile error on MacOSX."

2007-09-11 10:10 +0000 [r7383]  robert:

	* From Mike Wittman and Robert Osfield, added support for
	  SO_VERSION number in runtime version info. Added checks for
	  OpenThreads version.

2007-09-10 16:06 +0000 [r7380]  robert:

	* Maded versioning under Windows the default.

2007-09-10 15:19 +0000 [r7379]  robert:

	* Intoduced a new setGLExtensions template method to do a copy of
	  void* pointer to local function pointer to avoid compiler
	  warnings related to case void*. Moved various OSG classes across
	  to using setGLExtensions instead of getGLExtensions, and changed
	  them to use typedef declarations in the headers rather than casts
	  in the .cpp. Updated wrappers

2007-09-08 07:21 +0000 [r7378]  robert:

	* Flesh out a bit more of the view IO support

2007-09-08 07:04 +0000 [r7377]  robert:

	* Fixed typo

2007-09-07 15:03 +0000 [r7375]  robert:

	* From David Callu, warning fixes

2007-09-07 13:54 +0000 [r7374]  robert:

	* Removed warning type not support by gcc 4.1.x

2007-09-07 13:37 +0000 [r7373]  robert:

	* Updated wrappers for new Texture2DArray class

2007-09-07 13:25 +0000 [r7372]  robert:

	* Moved defined from Texture2DArray into Texture

2007-09-07 11:21 +0000 [r7371]  robert:

	* From Art Tevs, "A new texture class Texture2DArray derived from
	  Texture extends the osg to support the new EXT_texture_array
	  extensions. Texture arrays provides a feature for people
	  interesting in GPGPU programming. Faetures and changes: - Full
	  support for layered 2D textures. - New uniform types were added
	  (sampler2DArray) - FrameBufferObject implementation were changed
	  to support attaching of 2D array textures to the framebuffer -
	  StateSet was slightly changed to support texture arrays. NOTE:
	  array textures can not be used in fixed function pipeline. Thus
	  using the layered texture as a statemode for a Drawable produce
	  invalid enumerant OpenGL errors. - Image class was extended to
	  support handling of array textures Tests: I have used this class
	  as a new feature of my application. It works for me without
	  problems (Note: Texture arrays were introduced only for shading
	  languages and not for fixed function pipelines!!!). RTT with
	  Texture2DArray works, as I have tested them as texture targets
	  for a camera with 6 layers/faces (i.e. replacement for cube
	  maps). I am using the array textures in shader programming. Array
	  textures can be attached to the FBO and used as input and as
	  output."

2007-09-07 10:50 +0000 [r7370]  robert:

	* From Daniel Sjolie, "I patched the zip plugin to make use of my
	  favorite zip/pack-application for windows if it is installed in
	  the standard location..."

2007-09-07 10:15 +0000 [r7369]  robert:

	* From Guillaume Millet, "Please find in attachment a small
	  improvement to the pfb plugin CmakeLists.txt and to the
	  FindPerformer.cmake module. Under Windows libs are: libpf.lib (we
	  need to add the lib prefix) and libpfdu-util.lib (libpfdu and
	  libpfutil are compiled into one lib) We need to add PFROOT to the
	  search path for libs and includes (default environment variable
	  for Performer path) And at last we need to put PFROOT/include and
	  PFROOT/include/Performer as include dir for compiling."

2007-09-07 09:53 +0000 [r7368]  robert:

	* From Maria Ten, fix lat/long usage.

2007-09-07 09:49 +0000 [r7367]  robert:

	* From Mattias Linde, "Have made the updates now. Added a std::map
	  for easy lookup if a visual node is targeted by a rigid body
	  which is the reason why the .h-file was changed too. So now
	  there'll be Group as often as possible, otherwise
	  PostitionAttitudeTransform."

2007-09-06 08:23 +0000 [r7366]  robert:

	* Added osg lib

2007-09-05 17:12 +0000 [r7365]  robert:

	* From David Callu, improved consistency of Version strings and add
	  version support for osgIntrospection and osgManipulator.

2007-09-05 17:03 +0000 [r7364]  robert:

	* Changed tabs to four spaces to make merges more straight forward

2007-09-05 16:47 +0000 [r7363]  robert:

	* Added automatic removal of .qt extension that allows one to
	  automatically select the quicktime plugin.

2007-09-05 16:36 +0000 [r7362]  robert:

	* Added setting of locator source

2007-09-05 14:15 +0000 [r7361]  robert:

	* Added option to Locator to help specify here the locator value
	  was defined from. Update wrappers and Gdal plugin to use this new
	  parameter

2007-09-04 14:00 +0000 [r7360]  robert:

	* Improved Terrain IO

2007-09-04 12:38 +0000 [r7359]  robert:

	* Added mutex to DefaultFont::instance().

2007-09-04 12:32 +0000 [r7358]  robert:

	* Added mutex into osgText::Font::GlphTexture to marshel adding to
	  and reading from glyph list

2007-09-04 09:00 +0000 [r7357]  robert:

	* Rearrange _stateset member variable to avoid compile warning

2007-09-03 16:04 +0000 [r7354-7355]  robert:

	* Updated AUTHORS and README to 2.1.9 dev release

	* Updated ChangeLog

2007-09-03 15:47 +0000 [r7353]  robert:

	* Updated wrappers

2007-09-03 15:43 +0000 [r7352]  robert:

	* From Sherman Wilcox, added extension checking support for
	  compressed texture subloading.

2007-09-03 15:22 +0000 [r7351]  robert:

	* From Jan Peciva, build fix

2007-09-03 14:05 +0000 [r7350]  robert:

	* Updated version number for 2.1.9 dev release

2007-09-03 13:59 +0000 [r7349]  robert:

	* From Jan Peciva, improvement to the FindInventor.

2007-09-03 13:52 +0000 [r7348]  robert:

	* From Jan Peciva, Added write support into Inventor plugin. Note
	  from Robert Osfield. A couple of lines of code in
	  ConvertToInventor.cpp would not compile under g++ 4.1.2, so
	  rather than hold back the dev release till this is resolved I've
	  optional compiled out the problem section. The #define
	  DISABLE_PROBLEM_COMPILE_SECTIONS is used to compile out the
	  problem section, this define is add via the CMakeLists.txt file.

2007-09-03 12:27 +0000 [r7346]  robert:

	* Added osgdepthpeeling example

2007-09-03 10:12 +0000 [r7345]  robert:

	* From Ralf Kern, "the attached color mapped TIFF file klink1_l.tif
	  is incorrectly read as GL_LUMINANCE data instead of GL_RGB data.
	  You can easily check with "osgViewer --image klink1_l.tif". The
	  bug is in ReaderWriterTIFF.cpp function simage_tiff_load, where
	  numComponents_ret is incorrectly set to 1 instead of 3 for color
	  mapped data."

2007-09-03 10:04 +0000 [r7344]  robert:

	* From Almalric Alexandre, "I've noticed that all osgViewerMFC
	  example from osg 2.x.x are flickering when resizing 3D view, to
	  avoid this only add OnEraseBkgnd callback in CMFC_OSG_MDIView
	  class and do nothing in it. Just like the WxWidget example.
	  Attached the modified version of MFC_OSG_MDIView.cpp and
	  MFC_OSG_MDIView.h." Note from Robert Osfield, submission came
	  with wrong header file, so have had to guess at what it should
	  be, fingers crossed it worn't break windows build... :-)

2007-09-03 09:56 +0000 [r7342-7343]  robert:

	* From Laurens Voerman, "I hit a bug when making a copy of a
	  PagedLOD node, the copy has lost it's _databasePath and can no
	  longer load it's childen. " Added
	  _databasePath(plod._databasePath), in the copy copy construcutor.

	* Fixed spacing.

2007-09-03 09:50 +0000 [r7341]  robert:

	* From Sherman Wilcox, "I modified texturerectangle.cpp to address
	  this issue. I used a DXT5 DDS file to test the change."

2007-09-03 09:47 +0000 [r7340]  robert:

	* Updated wrapper

2007-09-03 09:43 +0000 [r7339]  robert:

	* Added default contructors to Operation

2007-09-02 22:31 +0000 [r7338]  robert:

	* Fixed cancel loop.

2007-09-01 16:56 +0000 [r7337]  robert:

	* Added convinience methods for setting up 3d spherical displays.

2007-09-01 15:24 +0000 [r7336]  robert:

	* Changed Font's mutex to become a static mutex shared between all
	  instances of Font. This ensures single threaded access of the
	  freetype plugin.

2007-08-31 20:30 +0000 [r7335]  robert:

	* Changed mutex reference to a mutex pointer to avoid problems with
	  wrappers

2007-08-31 20:21 +0000 [r7334]  robert:

	* Updated wrappers

2007-08-31 20:16 +0000 [r7332-7333]  robert:

	* To solve creations with multi-threaded creation of text, added
	  mutex to Font, and use of this mutex in Text, and added mutex to
	  the reading of fonts.

	* Added mutex locking add addParents/removeParents in Drawable,
	  Node and StateSet.

2007-08-31 18:56 +0000 [r7331]  robert:

	* Added mutex to protect the readFontFile calls

2007-08-31 16:59 +0000 [r7329]  robert:

	* Added support for running multiple text generation threads

2007-08-31 16:05 +0000 [r7328]  robert:

	* Changed RenderLeaf and StateGraph so that they use ref_ptr<> by
	  default for Drawable and StateSet.

2007-08-31 15:49 +0000 [r7327]  robert:

	* From Luigi Calori, fixed Windows install of wrappers

2007-08-31 12:14 +0000 [r7326]  robert:

	* Added export for Windows build

2007-08-31 11:04 +0000 [r7325]  robert:

	* From Luigi Calori, added support for Win32 versioning/new buid
	  placement.

2007-08-30 19:26 +0000 [r7324]  robert:

	* Further work on osgTerrain::Locator and GDAL plugin

2007-08-30 12:18 +0000 [r7323]  robert:

	* From Luigi Calori, add osgText to geo plugin build

2007-08-30 10:41 +0000 [r7322]  robert:

	* From Luigi Calori, introduction of versioning of dll's and
	  placement of dll and plugins into bin directory during build.

2007-08-30 10:17 +0000 [r7320-7321]  robert:

	* Updated wrappers

	* Further refinement of ProxyLayer API

2007-08-29 16:29 +0000 [r7317]  robert:

	* Further work on new ProxyLayer

2007-08-29 12:18 +0000 [r7316]  robert:

	* Added ProxyLayer support into osgTerrain plugin

2007-08-29 11:51 +0000 [r7315]  robert:

	* Added support for post fixing filenames with .gdal to force use
	  of gdal plugin.

2007-08-29 10:52 +0000 [r7314]  robert:

	* Added preliminary ProxLayer and DataSetLayer in GDAL plugin to
	  aid integration of GDAL reading into osgTerrain.

2007-08-28 16:12 +0000 [r7313]  robert:

	* Changed the error code reporting to use hex to match up with
	  freetype headers

2007-08-28 15:35 +0000 [r7311-7312]  robert:

	* Improved formatting.

	* Removed the OSG_INCLUDE

2007-08-28 15:31 +0000 [r7310]  robert:

	* Tweeked settings

2007-08-28 14:02 +0000 [r7309]  robert:

	* Added multi-threaded test path

2007-08-27 16:59 +0000 [r7308]  robert:

	* Replaced CartesianLocator and EllipsoidLocator by a single
	  general purpose Locator class

2007-08-27 13:33 +0000 [r7307]  robert:

	* From Brandon Hamm, changed WxWindows example to use double
	  buffering

2007-08-27 13:29 +0000 [r7306]  robert:

	* Added support for controlling the draw order on Cameras on each
	  GraphcisContext via the Camera::setRenderOrder parameters

2007-08-27 10:37 +0000 [r7304]  robert:

	* Updated ChangeLog and AUTHORS file for release

2007-08-27 10:29 +0000 [r7302-7303]  robert:

	* Updated date on READEME

	* Updated version numbers for 2.1.8 dev release

2007-08-27 10:00 +0000 [r7301]  robert:

	* Cleaned up the getRotate implementation selection using #defines,
	  and made the COMPILE_getRotate_David_Spillings_Mk1 the default.

2007-08-27 09:51 +0000 [r7300]  robert:

	* From David Spilling, tweaked quat tests to reproduce getRotate
	  errors.

2007-08-26 10:27 +0000 [r7299]  robert:

	* From Jan Ciger, warning fixes

2007-08-26 10:24 +0000 [r7298]  robert:

	* From Jean-Sebastien Guay, fixed comment

2007-08-26 10:19 +0000 [r7297]  robert:

	* Added dynamic_cast<GraphicsWindow> and extra doc commented just
	  to force the use of symbol from osgViewer so that it links
	  properly and pulls in the platform specific GraphcisWindow*
	  implementation.

2007-08-26 09:59 +0000 [r7296]  robert:

	* Change char* to const char* to fix warnings

2007-08-26 09:46 +0000 [r7294-7295]  robert:

	* Updated wrappers, and change Renderer so that private: to
	  proteccted:.

	* Updated links

2007-08-24 19:16 +0000 [r7292-7293]  robert:

	* Changed debug comments to output to notify level and tweaked the
	  handling of the .terrain file.

	* Added support for reading a .osg style data from a file string
	  when trailed by a .osgs extension i.e. osgviewer
	  "osgTerrain::Terrain { ElevationLayer { CartesianLocator 0 0
	  1000000 1000000 Image ps_height_512.tif } ColorLayer {
	  CartesianLocator 0 0 1000000 1000000 Image ps_texture_1k.tif }
	  }".osgs

2007-08-24 18:48 +0000 [r7291]  robert:

	* Added writing out of Terrain, Layer and Locators, and reading in
	  of .terrain string.

2007-08-24 16:16 +0000 [r7290]  robert:

	* Set the debug out to info notification level

2007-08-24 16:12 +0000 [r7288-7289]  robert:

	* Added better handling of OSG_TEXT_INCREMENTAL_SUBLOADING env var.

	* Added default disabling of incremental subload for ATI cards.

2007-08-24 14:00 +0000 [r7287]  robert:

	* Added support for setting DatabasePager thread priority via
	  OSG_DATABASE_PAGER_PRIORITY.

2007-08-24 13:33 +0000 [r7286]  robert:

	* Cleaned up the thread priority management in DatabasePager and
	  added support for paging stats.

2007-08-24 10:58 +0000 [r7285]  robert:

	* Added setting of block into the ThreadSafeQueue's contructor.

2007-08-24 09:45 +0000 [r7284]  robert:

	* Disable the escape sets done on the viewer

2007-08-24 09:42 +0000 [r7283]  robert:

	* From Mario Valle, osgviewerWX: "To make the example compile using
	  a wx build non UNICODE based. Tested on Linux with wxGTK 2.8.4"
	  osgviewerFOX: "Added removeChore() call in the FOX_OSG_MDIView
	  destructor to get rid of a Trace/BPT trap error on exit on Linux.
	  BTW this is suggested also in the FOX documentation."

2007-08-23 16:56 +0000 [r7282]  robert:

	* Made plugin build names lowercase

2007-08-23 16:33 +0000 [r7281]  robert:

	* Changed the plugin name to openflight instead of OpenFlight to
	  avoid problems with osgDB looking for just lower case plugin
	  names

2007-08-23 15:36 +0000 [r7279]  robert:

	* Updated for 2.1.7 dev release

2007-08-23 14:35 +0000 [r7278]  robert:

	* From Stephan Huber, fix for crash on exit

2007-08-23 14:31 +0000 [r7277]  robert:

	* From Galen Faidley," Please find attached the modifications to
	  get the new checkerboard stereo format to work. It's a good thing
	  I tested these on a TV before submitting them since I did indeed
	  have a bug. One thing I did not test was to see how this would
	  work in windowed mode. Does the interlaced stereo code have
	  support for 'absolute' positions? For example a given pixel on
	  the screen is always shown in a given eye no matter where the
	  graphics context is placed? "

2007-08-23 14:10 +0000 [r7276]  robert:

	* From Jean-Sebastien Guay,"As discussed yesterday on the osg-users
	  list, I have altered src/osgDB/FileUtils.cpp to implement the
	  official Windows DLL search order as described on the page
	  http://msdn2.microsoft.com/en-us/library/ms682586.aspx . As
	  mentioned, the search order is now: 1. The directory from which
	  the application loaded. 2. The system directory.
	  (C:\Windows\System32 by default, gotten using the
	  GetSystemDirectory function) 3. The 16-bit system directory.
	  (C:\Windows\System by default, gotten by adding "\System" to the
	  path gotten in the next step...) 4. The Windows directory.
	  (C:\Windows by default, gotten using the GetWindowsDirectory
	  function) 5. The current directory. (".") 6. The directories that
	  are listed in the PATH environment variable. (as before) The
	  first four directories are obtained using Win32 API calls, so
	  they should work correctly even on non-standard Windows installs.
	  The changes are well commented and should be clear, even to
	  someone not familiar with the Win32 API. I have tested in a few
	  scenarios and it works as expected. Serge Lages has also tested
	  the changes and confirmed they worked as described. I have not
	  had any other reports though (positive or negative). I also fixed
	  the issue with a trailing semicolon on the PATH adding an empty
	  string to the end of the search paths, as this was an
	  inconsistent side effect rather than a desirable effect. This
	  change will take effect on other platforms as well, but since it
	  tests for an empty string in the last item added to the search
	  paths, it should have no adverse effect. "

2007-08-23 11:06 +0000 [r7275]  robert:

	* Updated wrappers

2007-08-23 11:00 +0000 [r7274]  robert:

	* Addd control for serializing draw dispatch.

2007-08-22 19:31 +0000 [r7273]  robert:

	* From Jean-Sebastien Guay, "After a bit more testing, it was still
	  not 100% robust, so this fix will bring the change in line with
	  what is done on other OSes (Linux) and works in all tested cases.
	  For reference, this was tested with: osgviewer <file>.wrl (file
	  in current directory) osgviewer <dir>\<file>.wrl (file in child
	  directory, relative) osgviewer .\<dir>\<file>.wrl (file in child
	  directory, specify current) osgviewer <drive>:\<dir>\<file>.wrl
	  (absolute path) "

2007-08-22 19:26 +0000 [r7272]  robert:

	* Updated wrappers

2007-08-22 17:18 +0000 [r7270-7271]  robert:

	* Updated wrappers

	* Refactored the implementation of cull/draw for
	  DrawThreadPerContex and CullThreadPerCameraDrawThreadPerContex
	  and added an experimental draw serialization.

2007-08-22 14:32 +0000 [r7269]  ewing:

	* Documentation updates.

2007-08-22 12:33 +0000 [r7268]  robert:

	* Updated wrappers

2007-08-22 12:21 +0000 [r7267]  robert:

	* Cleaned up the thread setup and fixed the
	  CullThreadPerCameraDrawThreadPerContext path

2007-08-22 12:14 +0000 [r7266]  robert:

	* Added thread safe ref/unref by default.

2007-08-22 11:04 +0000 [r7265]  ewing:

	* Fixes to DMG script to reflect removal of GDAL and external
	  OpenThreads. Support for OpenSceneGraph-Data repo aside
	  OpenSceneGraph repo. Added background image support to DMG.
	  Pre-laid-out .DS_Store included.

2007-08-22 10:56 +0000 [r7264]  ewing:

	* Removed missing shadow examples from Xcode project.

2007-08-22 10:34 +0000 [r7263]  robert:

	* Set main scene graph elements to use thread safe ref/unref by
	  default

2007-08-22 09:50 +0000 [r7256-7262]  robert:

	* Cleaned up copy constructor and switched on thread safe
	  ref/unref.

	* Added debug ENFORCE_THREADSAFE paths into osg::Referenced, these
	  are off by default.

	* Simplified the thread set up.

	* Added thread safe ref/unref

	* Added debug message to destructor

	* Added setting of thread safe ref/unref.

	* Added default setting of use of thread safe ref/unref.

2007-08-22 09:05 +0000 [r7255]  robert:

	* Changed ReadFileCallback and WriteFileCallback to use virtual
	  inhertinace.

2007-08-21 09:32 +0000 [r7254]  robert:

	* Added missing clear() implementation

2007-08-20 13:09 +0000 [r7253]  robert:

	* Fixed the install path of plugins under Windows.

2007-08-20 10:15 +0000 [r7250-7251]  robert:

	* Updated README date

	* Updated AUTHORS file for 2.1.6 release

2007-08-20 10:06 +0000 [r7249]  robert:

	* Updated ChangeLog

2007-08-20 09:28 +0000 [r7247-7248]  robert:

	* Updated version number for 2.1.6 release and updated wrappers

	* Removed Makefile as this is autogenerated.

2007-08-19 19:22 +0000 [r7246]  robert:

	* From Antione Hue and Robert Osfield, moved prepend in front of
	  lib entry.

2007-08-17 16:10 +0000 [r7245]  robert:

	* Fixed zfar setting

2007-08-17 09:37 +0000 [r7244]  robert:

	* Changed ++_modifedCount cases to dirty().

2007-08-16 18:49 +0000 [r7243]  robert:

	* Changed the tolower of the file extension into the plugin name
	  construction code. Added support for CompositeLayer.

2007-08-16 15:29 +0000 [r7242]  robert:

	* Updated wrappers

2007-08-16 14:13 +0000 [r7241]  robert:

	* From Maria Ten, "I divide the init method of the
	  geometrytechnique in submethods to made more easy the inheritance
	  between the user and osg-class. This is a first step to add more
	  functions in osgTerrain. Maybe the subdivision of the method have
	  to be in the terraintechnique because is the base class of
	  GeometryTechnique. If Robert or anyone think that this is better
	  i change this class too."

2007-08-15 15:11 +0000 [r7240]  robert:

	* From Jan Ciger, "I am attaching a little hack from Jean-Sebastien
	  Guay which allows absolute paths to work on Windows."

2007-08-15 15:07 +0000 [r7239]  robert:

	* From Stephan Huber, "the softshadowmap-implementation does not
	  compile on os x, to be more precise, the shader does not compile
	  on os x because of some type-conflicts ala "can not convert from
	  const int to const float" So I changed the offending lines to
	  force the type of the vars. It works now on OS X (albeit very
	  slowly, 3fps on a 7300), perhaps you find the changes useful.
	  Note: perhaps there is a better way in shaders to cast/convert
	  from int to float and viceversa."

2007-08-15 15:03 +0000 [r7238]  robert:

	* From Brede Johansen, "The attached file updates the framestamp
	  and traversal number of the updatevisitor in osgViewer::Viewer.
	  The bug prevented DOF animations because osgSim::DOFTransform
	  checks the traversal number before doing any updates."

2007-08-14 17:13 +0000 [r7237]  robert:

	* Changed the plugin name to lower case to be consistent with the
	  way that osgDB::Registry searches for only lower case plugin
	  names.

2007-08-14 17:04 +0000 [r7236]  robert:

	* Added string to keyword map parser.

2007-08-14 13:08 +0000 [r7235]  shuber:

	* From Stephan Huber: updating the XCode-project-files

2007-08-14 12:47 +0000 [r7234]  robert:

	* Added Ben van Basten to list of authors.

2007-08-14 08:41 +0000 [r7233]  robert:

	* Replaced uint with unsigned int

2007-08-13 14:02 +0000 [r7232]  robert:

	* Removed osgdepthshadow and osgshadowtexture from build list

2007-08-13 11:59 +0000 [r7230]  robert:

	* Updated ChangeLog, AUTHORS and README files

2007-08-13 11:45 +0000 [r7229]  robert:

	* Updated version for 2.1.5 dev release

2007-08-13 10:31 +0000 [r7228]  robert:

	* From Luc Frauciel, "I've done 2 main modifications : 1) added
	  texture->setResizeNonPowerOfTwoHint(false); when loading an
	  image. It speeds up by 10 the loading of large images. 2) added a
	  --disk option : only a filelist is read, images are only loaded
	  when needed. It allows to handle very large set of very large
	  images that would not fit in memory. Nothing change when the
	  option is not set."

2007-08-13 10:27 +0000 [r7227]  robert:

	* From Jan Ciger, "I am attaching an improved version of the
	  OpenVRML plugin. It still uses OpenVRML 0.14.3 and is without the
	  Boost dependency. The changes: - - Fixed loading of textures and
	  normals when no corresponding indices are specified. It uses
	  vertex indices now, compliant with the VRML spec. - - Added
	  colour per vertex support. - - Added group node support. - -
	  Changed the code to use osg::ref_ptr instead of naked pointers to
	  avoid memory leaks. - - Fixed breakage for loading files
	  specified by relative path."

2007-08-13 10:20 +0000 [r7225-7226]  robert:

	* From J.P. Delport, fix of GDAL location search

	* From Brad Christiansen, "I added the ability to set the render
	  target implementaion on the osgSim::OverlayNode. The attached
	  changes were made against the 2.0 release."

2007-08-13 09:13 +0000 [r7224]  robert:

	* Added gdal/gdal.h to header search path, and gdal1.4.1 to the lib
	  search path.

2007-08-12 13:30 +0000 [r7223]  robert:

	* Updated wrappers

2007-08-12 13:18 +0000 [r7221-7222]  robert:

	* Added getStart()/getEnd()

	* From Jean-Sebastien Guay, "adds
	  osgUtil::LineSegmentIntersector::setStart(osg::Vec3d) and
